<?php

namespace App\Http\Controllers;

use App\Models\Expense;
use App\Models\Payment;
use App\Models\Subscription;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class ProfitController extends Controller
{
    public function index()
    {
        $pageInfo['title'] = 'الأرباح';

        if ((auth('admin')->check() && Auth::guard('admin')->user()->hasAllPermissions(['profits-list']))|| auth('partner')->check()){
            //$salaries = Payment::where('expense_id', 1)->with('employee')->get();
            $salaries = Payment::where('expense_id', 1)->with('employee')->get();
            $salaries_total = $salaries->sum('amount');
            $payments = Payment::where('expense_id','<>', 1)->get();
            $payments_total= $payments->sum('amount');
            $subscriptions = Subscription::where('type','platform')->where('paid',1)->get();
            $subscriptions_total = $subscriptions->sum('partners_amount');
            $sales = Subscription::where('type','pos')->where('paid',1)->get();
            $sales_total = $sales->sum('partners_amount');
            $from = "2024-01-01T00:00:00";
            $to = now();
            //dd($salaries_total);
            return view('admin.profits.index', compact('from','to','payments','subscriptions','salaries','salaries_total','payments_total','subscriptions_total','sales_total', 'pageInfo'));
        }else{
            return view('admin.pages.not_allowed', compact('pageInfo'));
        }
    }
    public function filter(Request $request)
    {
        $pageInfo['title'] = 'الأرباح';

        $from = $request->from;
        $to = $request->to;
        if ((auth('admin')->check() && Auth::guard('admin')->user()->hasAllPermissions(['profits-list']))|| auth('partner')->check()){
            //$salaries = Payment::where('expense_id', 1)->with('employee')->get();
            $salaries = Payment::where('expense_id', 1)->where('created_at', '>' ,$from)->where('created_at', '<' ,$to)->with('employee')->get();
            $salaries_total = $salaries->sum('amount');
            $payments = Payment::where('expense_id','<>', 1)->where('created_at', '>' ,$from)->where('created_at', '<' ,$to)->get();
            $payments_total= $payments->sum('amount');
            $subscriptions = Subscription::where('type','platform')->where('paid',1)->where('paid_date', '>' ,$from)->where('paid_date', '<' ,$to)->get();
            $subscriptions_total = $subscriptions->sum('partners_amount');
            $sales = Subscription::where('type','pos')->where('paid',1)->where('paid_date', '>' ,$from)->where('paid_date', '<' ,$to)->get();
            $sales_total = $sales->sum('partners_amount');
            //dd($salaries_total);
            return view('admin.profits.index', compact('from','to','payments','subscriptions','salaries','salaries_total','payments_total','subscriptions_total','sales_total', 'pageInfo'));
        }else{
            return view('admin.pages.not_allowed', compact('pageInfo'));
        }
    }
    public function monthlyProfits()
    {
        $pageInfo['title'] = 'الأرباح';

        if ((auth('admin')->check() && Auth::guard('admin')->user()->hasAllPermissions(['profits-list']))|| auth('partner')->check()){
            /* $monthlyData = DB::table('subscriptions')
            ->select(
                DB::raw('YEAR(subscriptions.created_at) as year'),
                DB::raw('MONTH(subscriptions.created_at) as month'),
                DB::raw('SUM(CASE WHEN type = "platform" THEN total ELSE 0 END) as total_subscriptions'),
                DB::raw('SUM(COALESCE(payments.amount, 0)) as total_payments'),
                DB::raw('SUM(COALESCE(teacher_payments.amount, 0)) as total_teacher_payments'),
                DB::raw('SUM(COALESCE(partner_payments.amount, 0)) as total_partner_payments')
            )
            ->leftJoin('payments', function ($join) {
                $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', DB::raw('YEAR(payments.created_at)'))
                    ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', DB::raw('MONTH(payments.created_at)'));
            })
            ->leftJoin('teacher_payments', function ($join) {
                $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', DB::raw('YEAR(teacher_payments.created_at)'))
                    ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', DB::raw('MONTH(teacher_payments.created_at)'));
            })
            ->leftJoin('partner_payments', function ($join) {
                $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', DB::raw('YEAR(partner_payments.created_at)'))
                     ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', DB::raw('MONTH(partner_payments.created_at)'));
            })
            ->groupBy('year', 'month')
            ->get(); */
            /* $monthlyData = DB::table('subscriptions')
                ->select(
                    DB::raw('YEAR(subscriptions.created_at) as year'),
                    DB::raw('MONTH(subscriptions.created_at) as month'),
                    DB::raw('SUM(CASE WHEN type = "platform" THEN total ELSE 0 END) as total_subscriptions'),
                    DB::raw('(SELECT SUM(amount) FROM payments WHERE YEAR(payments.created_at) = YEAR(subscriptions.created_at) AND MONTH(payments.created_at) = MONTH(subscriptions.created_at)) as total_payments'),
                    DB::raw('(SELECT SUM(amount) FROM teacher_payments WHERE YEAR(teacher_payments.created_at) = YEAR(subscriptions.created_at) AND MONTH(teacher_payments.created_at) = MONTH(subscriptions.created_at)) as total_teacher_payments'),
                    DB::raw('(SELECT SUM(amount) FROM partner_payments WHERE YEAR(partner_payments.created_at) = YEAR(subscriptions.created_at) AND MONTH(partner_payments.created_at) = MONTH(subscriptions.created_at)) as total_partner_payments')
                )
                ->groupBy('year', 'month')
                ->get(); */
                // Create temporary tables for pre-aggregation
                   /*  DB::statement('CREATE TEMPORARY TABLE temp_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM payments
                    GROUP BY year, month
                    ');

                    DB::statement('CREATE TEMPORARY TABLE temp_teacher_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM teacher_payments
                    GROUP BY year, month
                    ');

                    DB::statement('CREATE TEMPORARY TABLE temp_partner_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM partner_payments
                    GROUP BY year, month
                    ');

                    // Main query with joins to temporary tables
                    $monthlyData = DB::table('subscriptions')
                    ->select(
                        DB::raw('YEAR(subscriptions.created_at) as year'),
                        DB::raw('MONTH(subscriptions.created_at) as month'),
                        DB::raw('SUM(CASE WHEN type = "platform" THEN total ELSE 0 END) as total_subscriptions'),
                        'temp_payments.total_amount as total_payments',
                        'temp_teacher_payments.total_amount as total_teacher_payments',
                        'temp_partner_payments.total_amount as total_partner_payments'
                    )
                    ->leftJoin('temp_payments', function($join) {
                        $join->on('subscriptions.year', '=', 'temp_payments.year')
                            ->on('subscriptions.month', '=', 'temp_payments.month');
                    })
                    ->leftJoin('temp_teacher_payments', function($join) {
                        $join->on('subscriptions.year', '=', 'temp_teacher_payments.year')
                            ->on('subscriptions.month', '=', 'temp_teacher_payments.month');
                    })
                    ->leftJoin('temp_partner_payments', function($join) {
                        $join->on('subscriptions.year', '=', 'temp_partner_payments.year')
                            ->on('subscriptions.month', '=', 'temp_partner_payments.month');
                    })
                    ->groupBy('year', 'month')
                    ->get();

                    // Drop temporary tables
                    DB::statement('DROP TEMPORARY TABLE temp_payments');
                    DB::statement('DROP TEMPORARY TABLE temp_teacher_payments');
                    DB::statement('DROP TEMPORARY TABLE temp_partner_payments'); */
                    // Create temporary tables for pre-aggregation
                    /* DB::statement('CREATE TEMPORARY TABLE temp_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM payments
                    GROUP BY year, month
                    ');

                    DB::statement('CREATE TEMPORARY TABLE temp_teacher_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM teacher_payments
                    GROUP BY year, month
                    ');

                    DB::statement('CREATE TEMPORARY TABLE temp_partner_payments AS
                    SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                    FROM partner_payments
                    GROUP BY year, month
                    ');
                    // Combine all months from temp tables into a single temporary table
                    DB::statement("CREATE TEMPORARY TABLE temp_all_months AS
                        SELECT year, month FROM temp_payments
                        UNION
                        SELECT year, month FROM temp_teacher_payments
                        UNION
                        SELECT year, month FROM temp_partner_payments
                    ");
                    // Main query with RIGHT JOINs to get all months
                        $monthlyData = DB::table('temp_all_months') // Start with the combined months table
                        ->select(
                            'temp_all_months.year',  // Specify the table for year and month
                            'temp_all_months.month',
                            DB::raw('COALESCE(SUM(CASE WHEN type = "platform" THEN total ELSE 0 END), 0) as total_subscriptions'),
                            DB::raw('COALESCE(temp_payments.total_amount, 0) as total_payments'),
                            DB::raw('COALESCE(temp_teacher_payments.total_amount, 0) as total_teacher_payments'),
                            DB::raw('COALESCE(temp_partner_payments.total_amount, 0) as total_partner_payments')
                        )
                        ->rightJoin('subscriptions', function($join) {
                            $join->on('temp_all_months.year', '=', DB::raw('YEAR(subscriptions.created_at)'))
                                ->on('temp_all_months.month', '=', DB::raw('MONTH(subscriptions.created_at)'));
                        })
                        ->rightJoin('temp_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_payments.month');
                        })
                        ->rightJoin('temp_teacher_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_teacher_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_teacher_payments.month');
                        })
                        ->rightJoin('temp_partner_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_partner_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_partner_payments.month');
                        })
                        ->groupBy('year', 'month')
                        ->get(); */

                   /*  $monthlyData = DB::table('subscriptions')
                        ->select(
                            DB::raw('YEAR(subscriptions.created_at) as year'),
                            DB::raw('MONTH(subscriptions.created_at) as month'),
                            DB::raw('SUM(CASE WHEN type = "platform" THEN total ELSE 0 END) as total_subscriptions'),
                            DB::raw('COALESCE(temp_payments.total_amount, 0) as total_payments'),
                            DB::raw('COALESCE(temp_teacher_payments.total_amount, 0) as total_teacher_payments'),
                            DB::raw('COALESCE(temp_partner_payments.total_amount, 0) as total_partner_payments')
                        )
                        ->leftJoin('temp_payments', function($join) {
                            $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', 'temp_payments.year')
                                ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', 'temp_payments.month');
                        })
                        ->leftJoin('temp_teacher_payments', function($join) {
                            $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', 'temp_teacher_payments.year')
                                ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', 'temp_teacher_payments.month');
                        })
                        ->leftJoin('temp_partner_payments', function($join) {
                            $join->on(DB::raw('YEAR(subscriptions.created_at)'), '=', 'temp_partner_payments.year')
                                ->on(DB::raw('MONTH(subscriptions.created_at)'), '=', 'temp_partner_payments.month');
                        })
                        // ... Similar leftJoins for temp_teacher_payments and temp_partner_payments ...
                        ->groupBy('year', 'month', 'total_payments', 'total_teacher_payments', 'total_partner_payments')
                        ->get(); */

                  /*   // Drop temporary tables
                    DB::statement('DROP TEMPORARY TABLE temp_payments');
                    DB::statement('DROP TEMPORARY TABLE temp_teacher_payments');
                    DB::statement('DROP TEMPORARY TABLE temp_partner_payments'); */
                    // Create temporary tables for pre-aggregation
                        DB::statement('CREATE TEMPORARY TABLE temp_payments AS
                        SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                        FROM payments
                        GROUP BY year, month
                        ');

                        DB::statement('CREATE TEMPORARY TABLE temp_teacher_payments AS
                        SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                        FROM teacher_payments
                        GROUP BY year, month
                        ');

                        DB::statement('CREATE TEMPORARY TABLE temp_partner_payments AS
                        SELECT YEAR(created_at) as year, MONTH(created_at) as month, SUM(amount) as total_amount
                        FROM partner_payments
                        GROUP BY year, month
                        ');

                        // Combine all months from temp tables into a single temporary table
                        DB::statement("CREATE TEMPORARY TABLE temp_all_months AS
                        SELECT year, month FROM temp_payments
                        UNION
                        SELECT year, month FROM temp_teacher_payments
                        UNION
                        SELECT year, month FROM temp_partner_payments
                        ");

                        // Main query with RIGHT JOINs and SUM for total payments
                        $monthlyData = DB::table('temp_all_months')
                        ->select(
                            'temp_all_months.year',
                            'temp_all_months.month',
                            DB::raw('COALESCE(SUM(CASE WHEN type = "platform" THEN total ELSE 0 END), 0) as total_subscriptions'),
                            DB::raw('COALESCE(SUM(temp_payments.total_amount), 0) as total_payments'),
                            DB::raw('COALESCE(SUM(temp_teacher_payments.total_amount), 0) as total_teacher_payments'),
                            DB::raw('COALESCE(SUM(temp_partner_payments.total_amount), 0) as total_partner_payments')
                        )
                        ->rightJoin('subscriptions', function($join) {
                            $join->on('temp_all_months.year', '=', DB::raw('YEAR(subscriptions.created_at)'))
                                ->on('temp_all_months.month', '=', DB::raw('MONTH(subscriptions.created_at)'));
                        })
                        ->rightJoin('temp_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_payments.month');
                        })
                        ->rightJoin('temp_teacher_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_teacher_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_teacher_payments.month');
                        })
                        ->rightJoin('temp_partner_payments', function($join) {
                            $join->on('temp_all_months.year', '=', 'temp_partner_payments.year')
                                ->on('temp_all_months.month', '=', 'temp_partner_payments.month');
                        })
                        ->groupBy('temp_all_months.year', 'temp_all_months.month')
                        ->get();

                        // Drop temporary tables
                        DB::statement('DROP TEMPORARY TABLE temp_payments');
                        DB::statement('DROP TEMPORARY TABLE temp_teacher_payments');
                        DB::statement('DROP TEMPORARY TABLE temp_partner_payments');
                        DB::statement('DROP TEMPORARY TABLE temp_all_months');
            dd($monthlyData);
            $from = "2024-01-01T00:00:00";
            $to = now();
            return view('admin.profits.monthly', compact('from','to','monthlyData', 'pageInfo'));
        }else{
            return view('admin.pages.not_allowed', compact('pageInfo'));
        }
    }
    /* public function monthlyProfits()
    {
        $pageInfo['title'] = 'الأرباح';

        if ((auth('admin')->check() && Auth::guard('admin')->user()->hasAllPermissions(['profits-list']))|| auth('partner')->check()){
            $salaries = Payment::where('expense_id', 1)->with('employee')->get();
            $salaries_total = $salaries->sum('amount');
            $payments = Payment::where('expense_id','<>', 1)->get();
            $payments_total= $payments->sum('amount');
            $subscriptions = Subscription::where('type','platform')->where('paid',1)->get();
            $subscriptions_total = $subscriptions->sum('partners_amount');
            $sales = Subscription::where('type','pos')->where('paid',1)->get();
            $sales_total = $sales->sum('partners_amount');
            $from = "2024-01-01T00:00:00";
            $to = now();
            return view('admin.profits.monthly', compact('from','to','payments','subscriptions','salaries','salaries_total','payments_total','subscriptions_total','sales_total', 'pageInfo'));
        }else{
            return view('admin.pages.not_allowed', compact('pageInfo'));
        }
    } */

}
