<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AdminRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        switch ($this->method()) {
            case 'PUT':
                $rules = [
                    'edit_name'=>'required',
                    'phone' => 'required|unique:admins,phone,' . $this->id,
                    'email' => 'required|email|unique:admins,email,' . $this->id,
                    //'password'=>['required','min:6'],
                    'status'=>['nullable'],
                    'roles_name'=>['required']
                ];
                break;

            default:
                $rules = [
                    'name'=>'required',
                    'phone'=>'unique:admins',
                    'email'=>['required','email','unique:admins'],
                    'password'=>['required','min:6'],
                    'status'=>['nullable'],
                    'roles_name'=>['required']
                ];
                break;
        }
        return $rules;
    }
}
