<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        switch ($this->method()) {
            case 'PUT':
                $rules = [
                    'name' => 'required|unique:categories,name,' . $this->id,
                    'price'=>['required'],
                    'price_company'=>['required'],
                    'price_point_sale'=>['required'],
                    'teacher_percentage'=>['required'],
                ];
                break;

            default:
                $rules = [
                    'name'=>'required|unique:categories',
                    'price'=>['required'],
                    'price_company'=>['required'],
                    'price_point_sale'=>['required'],
                    'teacher_percentage'=>['required'],
                ];
                break;
        }
        return $rules;
    }
}
