<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class TeacherRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {

        switch ($this->method()) {
            case 'PUT':
                $rules = [
                    'name'=>'required',
                    'phone' => 'required|unique:teachers,phone,' . $this->id,
                    'email' => 'required|email|unique:teachers,email,' . $this->id,
                    'status'=>['nullable'],
                    'specialization'=>['required']
                ];
                break;

            default:
                $rules = [
                    'name'=>'required',
                    'phone'=>'unique:teachers',
                    'email'=>['required','email','unique:teachers'],
                    'teacher_password'=>['required','min:6'],
                    'status'=>['nullable'],
                    'specialization'=>['required']
                ];
                break;
        }
        return $rules;
    }
}
