<?php

namespace App\Models;

use App\Models\Course;
use App\Models\Teacher;
use App\Models\Category;
use App\Models\CourseSupply;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Card extends Model
{
    use HasFactory;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table='cards';
    protected $fillable = [
        'category_id',
        'teacher_id',
        'status',
    ];
    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id','id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id','id');
    }

    public function subscriptions()
    {
        return $this->hasMany(Subscription::class);
    }

    public function courses()
    {
        return $this->belongsToMany(Course::class);
    }

    public function supplies()
    {
        return $this->hasMany(CourseSupply::class);
    }

    public function orders()
    {
        return $this->hasMany(CardOrder::class);
    }
}
