<?php

namespace App\Models;

use App\Models\Card;
use App\Models\Order;
use App\Models\Teacher;
use App\Models\Category;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CardOrder extends Model
{
    use HasFactory;
    protected $table='card_order';

    protected $fillable = [
        'category_id',
        'teacher_id',
        'card_id',
        'order_id',
        'price',
        'quantity',
        'total',

    ];
    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id','id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id','id');
    }
    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id','id');
    }
    public function card()
    {
        return $this->belongsTo(Card::class, 'card_id','id');
    }
}
