<?php

namespace App\Models;

use App\Models\Card;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Category extends Model
{
    use HasFactory;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table='categories';
    protected $fillable = [
        'name',
        'price',
        'price_company',
        'price_point_sale',
        'status',
        'teacher_percentage',
        'type',
        'teacher_amount',
    ];

    public function subscriptions()
    {
        return $this->hasMany(Subscription::class);
    }

    public function cards()
    {
        return $this->hasMany(Card::class);
    }

}
