<?php

namespace App\Models;

use App\Models\Card;
use App\Models\Teacher;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Course extends Model
{
    use HasFactory;
    protected $fillable = [
        'title',
        'price',
        'teacher_id'
    ];
    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id','id');
    }
    public function cards()
    {
        return $this->belongsToMany(Card::class);
    }
}
