<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CourseSupplyOrder extends Model
{
    use HasFactory;
    protected $table='course_supply_order';

    protected $fillable = [
        'category_id',
        'teacher_id',
        'card_id',
        'order_id',
        'course_supply_id',
        'price',
        'quantity',
        'total',

    ];

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id','id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id','id');
    }
    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id','id');
    }
    public function supply()
    {
        return $this->belongsTo(CourseSupply::class, 'course_supply_id','id');
    }
}
