<?php

namespace App\Models;

use App\Models\Section;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Employee extends Model
{
    use HasFactory;
    protected $table='employees';
    protected $fillable = [
        'name',
        'email',
        'phone',
        'salary',
        'notes',
        'status',
        'specialization'
    ];
    public function section()
    {
        return $this->belongsTo(Section::class, 'specialization','id');
    }

    public function payments()
    {
        return $this->hasMany(Payment::class);
    }
}
