<?php

namespace App\Models;

use App\Models\Region;
use App\Models\CardOrder;
use App\Models\CourseSupply;
use App\Models\CourseSupplyOrder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Order extends Model
{
    use HasFactory;
    protected $table='orders';

    protected $fillable = [
        'code',
        'user_name',
        'phone',
        'company_id',
        'delivery_fees',
        'region_id',
        'address',
        'total',
        'notes',
        'status',
    ];
    /* public function supplies()
    {
        return $this->belongsToMany(CourseSupply::class, 'course_supply_order', 'order_id', 'course_supply_id');
    } */

    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id','id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id','id');
    }
    public function region()
    {
        return $this->belongsTo(Region::class, 'region_id','id');
    }
    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id','id');
    }
    public function cards()
    {
        return $this->hasMany(CardOrder::class);
    }
    public function supplies()
    {
        return $this->hasMany(CourseSupplyOrder::class);
    }

}
