<?php

namespace App\Models;

use App\Models\Pos;
use App\Models\Card;
use App\Models\Partner;
use App\Models\Category;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Subscription extends Model
{
    use HasFactory;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table='subscriptions';
    protected $fillable = [
        'category_id',
        'card_id',
        'number_of_cards',
        'price',
        'total',
        'teacher_id',
        'teacher_percentage',
        'teacher_amount',
        'partners_amount',
        'pos_id',
        'paid',
        'paid_date',
        'type',
        'discount',
        'price_befor_discount',
        'created_at'
    ];
    public function pos()
    {
        return $this->belongsTo(Pos::class, 'pos_id','id');
    }
    public function card()
    {
        return $this->belongsTo(Card::class, 'card_id','id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id','id');
    }



    public function partners()
    {
        return $this->belongsToMany(Partner::class)->withPivot('partner_percentage', 'amount');
    }

}
