<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Collection;


class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Collection::macro('orderBySum', function ($relation, $column) {
            return $this->sortByDesc(function ($model) use ($relation, $column) {
                return $model->{$relation}->sum($column);
            });
        });
        /* Collection::macro('orderBySum', function ($relation, $column, $filterColumn = null, $filterValue = null) {
            return $this->sortByDesc(function ($model) use ($relation, $column, $filterColumn, $filterValue) {
                $relationData = $model->{$relation};
                if ($filterColumn && $filterValue !== null) {
                    $relationData = $relationData->where($filterColumn, $filterValue);
                }
                return $relationData->sum($column);
            });
        }); */
        Schema::defaultStringLength(191);
    }
}
