@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('cards.index') }}">البطاقات</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('cards.update',$card->id)}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @method('PUT')
                            <input type="hidden" name="id" value="{{ $card->id }}">

                            {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif --}}
                            <div class="row">
                                <div class="row" id="addCard">
                                    {{-- <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="name">الاسم</label>
                                            <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="">
                                            @error('name')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div> --}}
                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="category_id">الفئة</label>
                                            <select class="form-control" name="category_id" id="category_id" required>
                                                <option value="">اختر الفئة</option>
                                                @foreach ( $categories as $category )
                                                    <option value="{{ $category->id }}" data-id="{{ $category->id }}" @selected( $category->id == $card->category_id)>{{ $category->name }}</option>
                                                @endforeach
                                            </select>
                                            @error('category_id')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="teacher_percentage">نسبة المعلم</label>
                                            <input disabled type="text" min=0  class="form-control @if($errors->has('teacher_percentage')) is-invalid @endif" id="teacher_percentage" name="teacher_percentage" required=""
                                        value="@if ($card->category->type == 'amount'){{ number_format($card->category->teacher_amount, 0, ',', ',') }}@else{{ number_format($card->category->teacher_percentage, 0, ',', ',') }}@endif">

                                            @error('teacher_percentage')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="price">السعر</label>
                                            <input disabled type="text" class="form-control @if($errors->has('price')) is-invalid @endif"
                                                    value="{{number_format( $card->category->price, 0, ',', ',') }}" id="price" name="price" required="">
                                            @error('price')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="price_point_sale">السعر للمندوب</label>
                                            <input disabled type="text" class="form-control @if($errors->has('price_point_sale')) is-invalid @endif"
                                                    value="{{number_format( $card->category->price_point_sale, 0, ',', ',') }}" id="price_point_sale" name="price_point_sale" required="">
                                            @error('price_point_sale')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <label class="form-label">مفعل</label>
                                        <div class="form-group mx-3">
                                            <div class="custom-control custom-switch">
                                                <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" checked>
                                                <label class="custom-control-label" for="status">مفعل</label>
                                                @error('status')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        <div class="form-group">
                                            <label for="teacher_id">المعلم</label>
                                            <select class="form-control" name="teacher_id" id="teacher_id" disabled>
                                                @foreach ( $teachers as $teacher )
                                                    <option value="{{ $teacher->id }}" data-id="{{ $teacher->id }}" @selected( $teacher->id == $card->teacher_id)>{{ $teacher->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 d-flex flex-column justify-content-center">
                                        <h4>اختر الدورات</h4>
                                        @error('courses')
                                            <span role="alert" style="color: red" >
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="row" id="courses">
                                            @foreach($courses as $course)
                                                <div class="col-12 col-md-3">
                                                    <div class="checkbox checkbox-primary">
                                                        <input class=" @if($errors->has('courses')) is-invalid @endif" type="checkbox" id="courses{{$course->id}}"  value="{{$course->id}}" name="courses[]"
                                                        @if($card->courses->contains($course->id)) checked @endif>
                                                        <label  for="courses{{$course->id}}">
                                                            {{$course->title}}
                                                        </label>
                                                    </div>
                                                </div>
                                            @endforeach

                                    </div>


                                </div>
                                <button type="submit" class="btn btn-primary">حفظ</button>
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->

    <script>
            //start select category
                $(document).on("change","#category_id",function() {
                    var selectedOptionId = $(this).children("option:selected").data('id');
                    if(selectedOptionId == null){
                        $('#addCard #price').val('');
                        $('#addCard #price_point_sale').val('');
                        $('#addCard #teacher_percentage').val('');
                    } else {
                        let urlService = '{{ url('/category') }}';
                        var newUrl = urlService + '/' + selectedOptionId+ '/info';
                        let formData = new FormData();
                        formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'Get',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                console.log(response);
                            },
                            success: function (response) {
                                const price = response.success.price;
                                const formattedPrice = price.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                const price_point_sale = response.success.price_point_sale;
                                const formattedPricPointSale = price_point_sale.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                $('#addCard #price').val(formattedPrice);
                                $('#addCard #price_point_sale').val(formattedPricPointSale);
                                if(response.success.type === 'amount'){

                                    const teacher_amount = response.success.teacher_amount;
                                    const formattedTeacherAmount = teacher_amount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                    $('#addCard #teacher_percentage').val(formattedTeacherAmount);
                                } else {

                                    const teacher_percentage = response.success.teacher_percentage;
                                    const formattedTeacherPercentage = teacher_percentage.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                    $('#addCard #teacher_percentage').val(formattedTeacherPercentage);
                                }
                            }
                        });
                    }
                });
            //end select teacher
            //start select teacher
                $(document).on("change","#teacher_id",function() {
                    var selectedOptionId = $(this).children("option:selected").data('id');

                    let urlService = '{{ url('/teacher') }}';
                    var newUrl = urlService + '/' + selectedOptionId+ '/courses';
                    let formData = new FormData();
                    formData.append('_token', '{{ csrf_token() }}');
                    $.ajax({
                        url: newUrl,
                        type: 'Get',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            console.log(response);
                        },
                        success: function (response) {
                            $('#courses').html('');
                            response.success.courses.forEach(element => {
                                $('#courses').append(`<div class="col-12 col-md-3">
                                    <div class="checkbox checkbox-primary">
                                        <input type="checkbox" id="courses${element.id}"  value="${element.id}" name="courses[]">
                                        <label  for="courses${element.id}">
                                            ${element.title}
                                        </label>
                                    </div>
                                </div>`);
                            });
                            /* $('#addBlockRequest #amount').val(response.success.salary);
                            $('#addBlockRequest #section').val(response.success.section.title);
                            $('#addBlockRequest #teacher_notes').val(response.success.notes); */
                        }
                    });
                });
            //end select teacher
    </script>
@endsection
