@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('categories.index') }}">فئات البطاقات</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('categories.update',$category->id)}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @method('PUT')
                            <input type="hidden" name="id" value="{{ $category->id }}">

                            {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif --}}
                            <div class="row">
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="name">الاسم</label>
                                        <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="" value="{{ $category->name }}">
                                        @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="price">السعر</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price')" onblur="formatNumberInput('price')"
                                                class="form-control @if($errors->has('price')) is-invalid @endif" id="price" name="price"
                                                required="" value="{{ number_format($category->price, 0, ',', ',') }}">
                                        @error('price')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="price_point_sale">السعر للمندوب</label>
                                        <input  type="text" min=0 onfocus="formatNumberInput('price_point_sale')" onblur="formatNumberInput('price_point_sale')"
                                                class="form-control @if($errors->has('price_point_sale')) is-invalid @endif" id="price_point_sale"
                                                name="price_point_sale" required="" value="{{ number_format($category->price_point_sale, 0, ',', ',') }}">
                                        @error('price_point_sale')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="price_company">السعر لشركة التوصيل</label>
                                        <input  type="text" min=0 onfocus="formatNumberInput('price_company')" onblur="formatNumberInput('price_company')"
                                                class="form-control @if($errors->has('price_company')) is-invalid @endif" id="price_company"
                                                name="price_company" required="" value="{{ number_format($category->price_company, 0, ',', ',') }}">
                                        @error('price_company')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center px-4">
                                    <div class="form-group">
                                        <label for="email">نوع الفئة</label>
                                        <div class="d-flex justify-content-around">
                                            <div class="radio radio-primary">
                                                <input type="radio" name="type" id="percentage" value="percentage" @checked($category->type == 'percentage')>
                                                <label for="percentage">
                                                    نسبة المعلم
                                                </label>
                                            </div>
                                            <div class="radio radio-primary">
                                                <input type="radio" name="type" id="amount" value="amount" @checked($category->type == 'amount')>
                                                <label for="amount">
                                                    حصة المعلم
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center" id="teacherPercentage">
                                    <div class="form-group">
                                        <label for="teacher_percentage">نسبة او حصة المعلم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('teacher_percentage')" onblur="formatNumberInput('teacher_percentage')" class="form-control @if($errors->has('teacher_percentage')) is-invalid @endif" id="teacher_percentage" name="teacher_percentage" required=""
                                        value="@if ($category->type == 'amount'){{  $category->teacher_amount  }}@else{{  $category->teacher_percentage  }}@endif">

                                        {{-- <input type="number" min="0" max="100" class="form-control @if($errors->has('teacher_percentage')) is-invalid @endif" id="teacher_percentage" name="teacher_percentage" value="60" required="">
                                        --}} @error('teacher_percentage')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center ">
                                    <label class="form-label">مفعل</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" @checked($category->status == 'active')>
                                            <label class="custom-control-label" for="status">مفعل</label>
                                            @error('status')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->

        <script>
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }

            //start select employee
            $(document).on("change","#teacher_id",function() {
                var selectedOptionId = $(this).children("option:selected").data('id');

                let urlService = '{{ url('/teacher') }}';
                var newUrl = urlService + '/' + selectedOptionId+ '/courses';
                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        $('#courses').html('');
                        response.success.courses.forEach(element => {
                            $('#courses').append(`<div class="col-12 col-md-3">
                                <div class="checkbox checkbox-primary">
                                    <input type="checkbox" id="courses${element.id}"  value="${element.id}" name="courses[]">
                                    <label  for="courses${element.id}">
                                        ${element.title}
                                    </label>
                                </div>
                            </div>`);
                        });
                    }
                });


            });
        //end select employee
</script>
@endsection
