@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                                <li class="breadcrumb-item"><a href="javascript:void(0);">فئات البطاقات</a></li>
                                <li class="breadcrumb-item active">كل فئات البطاقات</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل فئات البطاقات</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['categories-add']))
                    <a href={{ route('categories.create') }} type="button" class="btn btn-primary mb-3">+ إضافة فئة</a>
                @endif
            </div>
            {{-- <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('categories.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="from" type="datetime-local" value="{{ $from }}" id="example-datetime-local-input" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="to" type="datetime-local" value="{{ $to }}" id="example-datetime-local-input" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div> --}}
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>الاسم</th>
                                    <th>السعر</th>
                                    <th>السعر لنقطة البيع</th>
                                    <th>حصة المعلم</th>
                                    <th>عدد بطاقات الفئة</th>
                                    <th>حالة الفئة</th>
                                    <th>تاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($categories as $category)
                                    <tr id="tr_{{$category->id}}">
                                        <td>{{ $category->id }}</td>
                                        <td>{{ $category->name }}</td>
                                        <td>{{ number_format($category->price, 0, ',', ',') }}</td>
                                        <td>{{ number_format($category->price_point_sale, 0, ',', ',') }}</td>
                                        @if ($category->type == 'amount')
                                            <td>{{number_format($category->teacher_amount, 0, ',', ',')}}</td>
                                        @else
                                            <td>{{number_format($category->teacher_percentage, 0, ',', ',')}}%</td>
                                        @endif
                                        <td>{{ number_format($category->cards->count(), 0, ',', ',') }}</td>
                                        <td id="status_{{$category->id}}">
                                            @if($category->status=='active')
                                                <div class="tb-tnx-status" >
                                                    <span class="badge badge-dot bg-success text-white" style="text-transform: capitalize">مفعل</span>
                                                </div>
                                            @else
                                                <div class="tb-tnx-status">
                                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">غير مفعل</span>
                                                </div>
                                            @endif
                                        </td>
                                        <td>{{ $category->created_at }}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$category->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('categories-edit'))
                                                    <a href="{{ route('categories.edit', $category->id ) }}" class="btn btn-success">تعديل</a>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('categories-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$category->id}}" >حذف</button>
                                                @endif

                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="9" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد فئات حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <script type="text/javascript">
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/categories') }}';
                var newUrl = urlService + '/' + id;
                console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });
        </script>
@endsection
