@extends('admin.layout.master')
@section('content')

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="javascript:void(0);">كتابك</a></li>
                            <li class="breadcrumb-item active">الرئيسية</li>
                        </ol>
                    </div>
                    <h4 class="page-title">الرئيسية</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row justify-content-center">
            @if((auth('admin')->check() && auth('admin')->user()->can('profits-list')) || auth('partner')->check())
                <div class="col-md-4">
                    <a href="{{ route('profits.index') }}">
                        <div class="card report-card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-4 align-self-center">
                                        <div class="icon-info">
                                            <i class="mdi mdi-cash-multiple text-warning"></i>
                                        </div>
                                    </div>
                                    <div class="col-8 align-self-center text-right">
                                        <div class="ml-2">
                                            <p class="mb-1 text-muted">كاش</p>
                                            <h4 class="mt-0 mb-1">{{ number_format($cash, 0, ',', ',') }}</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div><!--end card-body-->
                        </div><!--end card-->
                    </a>
                </div> <!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->can('payments-list')) || auth('partner')->check())
                <div class="col-md-4">
                    <a href="{{ route('payments.index') }}">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-4 align-self-center">
                                        <div class="icon-info">
                                            <i class="dripicons-swap text-purple"></i>
                                        </div>
                                    </div>
                                    <div class="col-8 align-self-center text-right">
                                        <div class="ml-2">
                                            <div class="ml-2">
                                                <p class="mb-0 text-muted">المصاريف</p>
                                                <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($payments_total, 0, ',', ',') }}</h4>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div><!--end card-body-->
                        </div><!--end card-->
                    </a>
                </div> <!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->can('subscriptions-list')) || auth('partner')->check())
                <div class="col-md-4">
                    <a href="{{ route('subscriptions.index') }}">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-4 align-self-center">
                                        <div class="icon-info">
                                            <i class="mdi mdi-cash-usd text-pink"></i>
                                        </div>
                                    </div>
                                    <div class="col-8 align-self-center text-right">
                                        <div class="ml-2">
                                            <p class="mb-0 text-muted">الايرادات</p>
                                            <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($subscriptions_total, 0, ',', ',') }}</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="progress mt-2" style="height:3px;">
                                        <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div><!--end card-body-->
                        </div><!--end card-->
                    </a>
                </div> <!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->can('subscriptions-list')) || auth('partner')->check())
                <div class="col-md-4">
                    <a href="{{ route('subscriptions.index') }}">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-4 align-self-center">
                                        <div class="icon-info">
                                            <i class="dripicons-card text-pink"></i>
                                        </div>
                                    </div>
                                    <div class="col-8 align-self-center text-right">
                                        <div class="ml-2">
                                            <p class="mb-0 text-muted">عدد الاشتراكات</p>
                                            <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($subscriptions_count, 0, ',', ',') }}</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="progress mt-2" style="height:3px;">
                                        <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div><!--end card-body-->
                        </div><!--end card-->
                    </a>
                </div> <!--end col-->
            @endif
            {{-- @if((auth('admin')->check() && auth('admin')->user()->can('pos-sales-list')) || auth('partner')->check())
            <div class="col-md-4">
                <a href="{{ route('pos-sales.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-folder text-pink"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مبيع البطاقات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($sales_total, 0, ',', ',')  }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div> <!--end col-->
            @endif --}}
            @if((auth('admin')->check() && auth('admin')->user()->can('teacher-payment-list')) || auth('partner')->check())
            <div class="col-md-4">
                <a href="{{ route('teacher-payment.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-cash-refund text-warning"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مدفوعات للمعلمين</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($teacherPayments_total, 0, ',', ',')  }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div> <!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->can('partner-payment-list')) || auth('partner')->check())
            <div class="col-md-4">
                <a href="{{ route('partner-payment.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-cash-refund text-blue"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مدفوعات للشركاء</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($partnerPayments_total, 0, ',', ',')  }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-blue" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div> <!--end col-->
            @endif

        </div><!--end row-->

         <div class="row">
            @if((auth('admin')->check() && auth('admin')->user()->can('cards-list')) || auth('partner')->check())
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title mt-0 mb-3">البطاقات الأكثر مبيعاً</h4>
                            <div class="table-responsive browser_users">
                                <table class="table mb-0">
                                    <thead class="thead-light">
                                        <tr>
                                            <th class="border-top-0">البطاقة</th>
                                            <th class="border-top-0">المعلم</th>
                                            <th class="border-top-0">عدد الاشتراكات</th>
                                        </tr><!--end tr-->
                                    </thead>
                                    <tbody>
                                        @foreach ($cards as $card)
                                            <tr>
                                                <td>@foreach ($card->courses as $course )
                                                    {{ $course->title }}
                                                    @if(!$loop->last)
                                                        -
                                                    @endif
                                                    @endforeach</td>
                                                <td>{{ $card->teacher->name }}</td>
                                                <td> {{ ($card->subscriptions_sum_number_of_cards)? $card->subscriptions_sum_number_of_cards : 0 }}</td>
                                            </tr><!--end tr-->
                                        @endforeach
                                    </tbody>
                                </table> <!--end table-->
                            </div><!--end /div-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->can('teachers-list')) || auth('partner')->check())
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title mt-0 mb-3">المعلمون الأكثر إيراداً</h4>
                            <div class="table-responsive browser_users">
                                <table class="table mb-0">
                                    <thead class="thead-light">
                                        <tr>
                                            <th class="border-top-0">المعلم</th>
                                            <th class="border-top-0">الرصيد</th>
                                            <th class="border-top-0">المسدد</th>
                                            <th class="border-top-0">الغير مدفوع</th>
                                        </tr><!--end tr-->
                                    </thead>
                                    <tbody>
                                        @foreach ($teachers as $teacher)
                                            <tr>
                                                <td>{{ $teacher->name }}</td>
                                                <td>{{ number_format($teacher->total_amount, 0, ',', ',') }}</td>
                                                <td>{{ number_format(($teacher->total_amount - $teacher->unpaid_amount), 0, ',', ',') }}</td>
                                                <td>{{ number_format($teacher->unpaid_amount, 0, ',', ',') }}</td>
                                            </tr><!--end tr-->
                                        @endforeach
                                    </tbody>
                                </table> <!--end table-->
                            </div><!--end /div-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end col-->
            @endif
            {{-- @if((auth('admin')->check() && auth('admin')->user()->can('partners-list')) || auth('partner')->check())
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title mt-0 mb-3">الشركاء الأكثر إيراداً</h4>
                            <div class="table-responsive browser_users">
                                <table class="table mb-0">
                                    <thead class="thead-light">
                                        <tr>
                                            <th class="border-top-0">الشريك</th>
                                            <th class="border-top-0">الرصيد</th>
                                            <th class="border-top-0">المسدد</th>
                                            <th class="border-top-0">الغير مدفوع</th>
                                        </tr><!--end tr-->
                                    </thead>
                                    <tbody>
                                        @foreach ($topPartners as $partner)
                                            <tr>
                                                <td>{{ $partner->name }}</td>
                                                <td>{{ number_format($partner->subscriptions()->sum('amount'), 0, ',', ',') }}</td>
                                                <td>{{ number_format($partner->payments()->sum('amount'), 0, ',', ',') }}</td>
                                                <td>{{ number_format($teacher->unpaid_amount, 0, ',', ',') }}</td>
                                            </tr><!--end tr-->
                                        @endforeach
                                    </tbody>
                                </table> <!--end table-->
                            </div><!--end /div-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end col-->
            @endif --}}
        {{--    @if((auth('admin')->check() && auth('admin')->user()->canAny(['subscriptions-list','payments-list'])) || auth('partner')->check())
            <div class="col-12">
                <div class="card">
                    <div class="card-body" >
                        <h4 class="header-title mt-0">التقارير الشهرية</h4>
                        <div class="chart-container">
                            <div class="pie-chart-container" >
                                <canvas id="comboChart-profits" style="max-height: 450px"></canvas>
                            </div>

                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            @endif
            @if( auth('teacher')->check())
            <div class="col-6">
                <div class="card">
                    <div class="card-body" >

                        <div class="chart-container">
                            <div class="pie-chart-container" >
                                <canvas id="comboChart-profits"></canvas>
                            </div>

                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->canAny(['partners-list'])) || auth('partner')->check())
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">

                            <div class="chart-container">
                                <div class="pie-chart-container">
                                    <canvas id="pie-chart-partners"></canvas>
                                </div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end col-->
            @endif
            @if((auth('admin')->check() && auth('admin')->user()->canAny(['cards-list','subscriptions-list'])) || auth('partner')->check() || auth('teacher')->check())
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">

                            <div class="chart-container">
                                <div class="pie-chart-container">
                                    <canvas id="pie-chart-cards"></canvas>
                                </div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end col-->
            @endif --}}
        </div><!--end row-->

<!-- end page content -->
<script>
    /* @if((auth('admin')->check() && auth('admin')->user()->canAny(['cards-list','subscriptions-list'])) || auth('partner')->check())

    //cards charts
    $(function(){
        //get the pie chart canvas
        var cDataCards = JSON.parse(`<?php echo $cardsData['chart_data']; ?>`);
        var ctxCards = $("#pie-chart-cards");

        //pie chart data
        var dataCards = {
          labels: cDataCards.label,
          datasets: [
            {
              label: "Users Count",
              data: cDataCards.data,
              backgroundColor: [
                "#DEB887",
                "#A9A9A9",
                "#DC143C",
                "#F4A460",
                "#2E8B57",
                "#1D7A46",
                "#CDA776",
              ],
              borderColor: [
                "#CDA776",
                "#989898",
                "#CB252B",
                "#E39371",
                "#1D7A46",
                "#F4A460",
                "#CDA776",
              ],
              borderWidth: [1, 1, 1, 1, 1,1,1]
            }
          ]
        };

        //options
        var options = {
          responsive: true,
          title: {
            display: true,
            position: "top",
            text: "البطاقات الأكثر مبيعاً",
            fontSize: 18,
            fontColor: "#111"
          },
          legend: {
            display: true,
            position: "right",
            labels: {
              fontColor: "#333",
              fontSize: 16
            }
          }
        };

        //create Pie Chart class object
        var chart3 = new Chart(ctxCards, {
          type: "pie",
          data: dataCards,
          options: options
        });

    });
    //partners charts
    $(function(){
        //get the pie chart canvas
        var cDataPartners = JSON.parse(`<?php echo $partners['chart_data']; ?>`);
        var ctxPartners = $("#pie-chart-partners");

        //pie chart data
        var dataPartners = {
          labels: cDataPartners.label,
          datasets: [
            {
              label: "Users Count",
              data: cDataPartners.data,
              backgroundColor: [
                "#DEB887",
                "#A9A9A9",
                "#DC143C",
                "#F4A460",
                "#2E8B57",
                "#1D7A46",
                "#CDA776",
              ],
              borderColor: [
                "#CDA776",
                "#989898",
                "#CB252B",
                "#E39371",
                "#1D7A46",
                "#F4A460",
                "#CDA776",
              ],
              borderWidth: [1, 1, 1, 1, 1,1,1]
            }
          ]
        };

        //options
        var options = {
          responsive: true,
          title: {
            display: true,
            position: "top",
            text: "أرباح الشركاء حتى اليوم",
            fontSize: 18,
            fontColor: "#111"
          },
          legend: {
            display: true,
            position: "bottom",
            labels: {
              fontColor: "#333",
              fontSize: 16
            }
          }
        };

        //create Pie Chart class object
        var chart2 = new Chart(ctxPartners, {
          type: "pie",
          data: dataPartners,
          options: options
        });

    });
    //profits charts
    $(function(){
        //get the pie chart canvas
        var cDataProfits = JSON.parse(`<?php echo $profits['chart_data']; ?>`);
        var ctxProfits = $("#comboChart-profits");

        //pie chart data
        var dataProfits = {
          labels: cDataProfits.label,
          datasets: [
            {
                label: "الإيرادات",
                type: 'bar',
                data: cDataProfits.data.subscriptions,
                backgroundColor: 'rgba(54, 162, 235, 0.5)',
                borderColor: 'rgba(54, 162, 235, 1)',
                borderWidth: 1
            },
            {
                label: "المصاريف",
                type: 'bar',
                data: cDataProfits.data.payments,
                backgroundColor: 'rgba(255, 99, 132, 1)',
                borderColor: 'rgba(255, 99, 132, 1)',
                borderWidth: 2
            }
          ]
        };

        //options
        var options = {
          responsive: true,
          title: {
            display: true,
            position: "top",
            text: "الإيرادات والمصاريف الشهرية",
            fontSize: 18,
            fontColor: "#111"
          },
          legend: {
            display: true,
            position: "bottom",
            labels: {
              fontColor: "#333",
              fontSize: 16
            }
          }
        };

        //create Pie Chart class object
        var chart2 = new Chart(ctxProfits, {
          type: "bar",
          data: dataProfits,
          options: options
        });

    });
    @endif
    @if( auth('teacher')->check())
    //cards charts
    $(function(){
        //get the pie chart canvas
        var cDataCards = JSON.parse(`<?php echo $cardsData['chart_data']; ?>`);
        var ctxCards = $("#pie-chart-cards");

        //pie chart data
        var dataCards = {
          labels: cDataCards.label,
          datasets: [
            {
              label: "Users Count",
              data: cDataCards.data,
              backgroundColor: [
                "#DEB887",
                "#A9A9A9",
                "#DC143C",
                "#F4A460",
                "#2E8B57",
                "#1D7A46",
                "#CDA776",
              ],
              borderColor: [
                "#CDA776",
                "#989898",
                "#CB252B",
                "#E39371",
                "#1D7A46",
                "#F4A460",
                "#CDA776",
              ],
              borderWidth: [1, 1, 1, 1, 1,1,1]
            }
          ]
        };

        //options
        var options = {
          responsive: true,
          title: {
            display: true,
            position: "top",
            text: "البطاقات الأكثر مبيعاً",
            fontSize: 18,
            fontColor: "#111"
          },
          legend: {
            display: true,
            position: "right",
            labels: {
              fontColor: "#333",
              fontSize: 16
            }
          }
        };

        //create Pie Chart class object
        var chart3 = new Chart(ctxCards, {
          type: "pie",
          data: dataCards,
          options: options
        });

    });

    //profits charts
    $(function(){
        //get the pie chart canvas
        var cDataProfits = JSON.parse(`<?php echo $profits['chart_data']; ?>`);
        var ctxProfits = $("#comboChart-profits");

        //pie chart data
        var dataProfits = {
          labels: cDataProfits.label,
          datasets: [
            {
                label: "الإيرادات",
                type: 'bar',
                data: cDataProfits.data,
                backgroundColor: 'rgba(54, 162, 235, 0.5)',
                borderColor: 'rgba(54, 162, 235, 1)',
                borderWidth: 1
            }
          ]
        };

        //options
        var options = {
          responsive: true,
          title: {
            display: true,
            position: "top",
            text: "الإيرادات الشهرية",
            fontSize: 18,
            fontColor: "#111"
          },
          legend: {
            display: true,
            position: "bottom",
            labels: {
              fontColor: "#333",
              fontSize: 16
            }
          }
        };

        //create Pie Chart class object
        var chart2 = new Chart(ctxProfits, {
          type: "bar",
          data: dataProfits,
          options: options
        });

    });
    @endif */
  </script>
@endsection
