@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('orders.index') }}">الطلبات</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['orders-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة</button>
                @endif

            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('orders.update',$order->id) }}" class="needs-validation" novalidate role="form" method="POST" >
                            @csrf
                            @method('PUT')
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            <div class="row">
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="user_name">اسم طالب الطلب</label>
                                        <input type="text" class="form-control @if($errors->has('user_name')) is-invalid @endif" value="{{ $order->user_name }}" id="user_name" name="user_name" required="">
                                        @error('user_name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="phone">رقم الهاتف</label>
                                        <input type="number" class="form-control @if($errors->has('phone')) is-invalid @endif"  value="{{ $order->phone }}" id="phone" name="phone" required="">
                                        @error('phone')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="company_id">شركة التوصيل</label>
                                        <div id="company-id-container">
                                            <select class="form-control  @if($errors->has('company_id')) is-invalid @endif" name="company_id" id="company_id" >
                                                <option value="">اختر الشركة</option>
                                                @foreach ( $companies as $company )
                                                    <option value="{{ $company->id }}" data-id="{{ $company->id }}" data-delivery-fees="{{ $company->delivery_fees }}" @selected( $company->id ==  $order->company_id )>{{ $company->name }}</option>
                                                @endforeach
                                            </select>
                                            @error('company_id')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="delivery_fees">أجور شركة التوصيل</label>
                                        <input type="number" class="form-control @if($errors->has('delivery_fees')) is-invalid @endif"  value="{{  $order->delivery_fees }}" id="delivery_fees" name="delivery_fees" required="" readonly>
                                        @error('delivery_fees')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="region_id">المنطقة</label>
                                        <div id="region-id-container">
                                            <select class="form-control  @if($errors->has('region_id')) is-invalid @endif" name="region_id" id="region_id" >
                                                <option value="">اختر المنطقة</option>
                                                @foreach ( $regions as $region )
                                                    <option value="{{ $region->id }}" data-id="{{ $region->id }}"  @selected( $region->id ==  $order->region_id )>{{ $region->title }}</option>
                                                @endforeach
                                            </select>
                                            @error('region_id')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="address">العنوان</label>
                                        <input type="text" class="form-control @if($errors->has('address')) is-invalid @endif"  value="{{  $order->address }}" id="address" name="address" required="">
                                        @error('address')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>

                                <div class="row">
                                    <div class="col-6">
                                        <h4>الطلبات</h4>
                                    </div>
                                    {{-- <div class="col-6">
                                        <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3 add-new-order">+ إضافة</button>
                                    </div> --}}
                                </div>
                                <div class="col-sm-12 d-flex flex-column justify-content-center" id="orders">
                                    <div class="col-12">
                                        @error('delivery_fees')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="col-12">
                                        <div class="card">
                                            <div class="card-body">
                                                <table class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        <tr>
                                                            <th>#</th>
                                                            <th>النوع</th>
                                                            <th>الاسم</th>
                                                            <th>العدد</th>
                                                            <th>الاجمالي</th>
                                                            <th>حذف</th>
                                                        </tr>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                        @php
                                                            $index = 0;
                                                        @endphp
                                                        @foreach ($order->cards as $o_card)
                                                        {{ $index++ }}

                                                        <tr id="tr_{{$index}}">
                                                            <input type="hidden" name="orders[{{$index}}][category_id]" value="{{ $o_card->category_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][teacher_id]" value="{{ $o_card->teacher_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][card_id]" value="{{ $o_card->card_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][number_of_cards]" value="{{ $o_card->quantity }}">
                                                            <input type="hidden" name="orders[{{$index}}][card_total]" value="{{ $o_card->total }}">
                                                            <td>{{$index}}</td>
                                                            <td>فئة</td>
                                                            <td>
                                                                @foreach ($o_card->card->courses as $course )
                                                                {{ $course->title }}
                                                                @if(!$loop->last)
                                                                    -
                                                                @endif
                                                                @endforeach
                                                            </td>
                                                            <td>{{ number_format($o_card->quantity, 0, ',', ',') }}</td>
                                                            <td class="order-price">{{ number_format($o_card->total, 0, ',', ',') }}</td>
                                                            <td><button type="button"  class="btn btn-danger waves-effect waves-light delete-row" >حذف</button></td>
                                                        </tr>
                                                        @endforeach
                                                        @foreach ($order->supplies as $suppliesIndex => $sup)
                                                         {{--  {{ dd($sup) }} --}}
                                                        {{ $index++ }}
                                                        <tr id="tr_${orderIndex}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][category_id]" value="{{ $sup->category_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][teacher_id]" value="{{ $sup->teacher_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][card_id]" value="{{ $sup->card_id }}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][supply_id]" value="{{ $sup->id }}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][supply_num]" value="{{ $sup->quantity }}">
                                                            <input type="hidden" name="orders[{{$index}}][supplies][{{$suppliesIndex}}][card_total]" value="{{ $sup->total }}">
                                                            <td>{{$index}}</td>
                                                            <td>ملزمة</td>
                                                            <td>{{$sup->supply->name}}</td>
                                                            <td>{{ number_format($sup->quantity, 0, ',', ',') }}</td>
                                                            <td class="order-price">{{ number_format($sup->total, 0, ',', ',') }}</td>
                                                            <td ><button type="button"  class="btn btn-danger waves-effect waves-light delete-row">حذف</button></td>
                                                        </tr>
                                                        @endforeach
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div> <!-- end col -->
                                </div>
                                <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="total">السعر الإجمالي</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('total')" onblur="formatNumberInput('total')" readonly
                                         class="form-control" id="total1" name="total" required="" value="{{ number_format($order->total, 0, ',', ',') }}">
                                        <small id="total_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center px-4">
                                    <div class="form-group">
                                        <label for="email">حالة الطلب</label>
                                        <div class="d-flex justify-content-around">
                                            <div class="radio radio-primary">
                                                <input type="radio" name="status" id="waiting" value="waiting" @checked( $order->status ==  'waiting' )>
                                                <label for="waiting">
                                                    انتظار
                                                </label>
                                            </div>
                                            <div class="radio radio-primary">
                                                <input type="radio" name="status" id="delivered" value="delivered" @checked( $order->status ==  'delivered' )>
                                                <label for="delivered">
                                                    تم التسليم
                                                </label>
                                            </div>
                                            <div class="radio radio-primary">
                                                <input type="radio" name="status" id="returned" value="returned" @checked( $order->status ==  'returned' )>
                                                <label for="returned">
                                                    مرتجع
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="notes">ملاحظات</label>
                                        <textarea id="notes" name="notes" id="" cols="30" rows="6" class="form-control">{{ $order->notes }}</textarea>
                                    </div>
                                </div>


                            </div>
                            <button type="submit" class="btn btn-primary send-order">حفظ</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store section -->
        <div class="modal fade bs-example-modal-lg" id="modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row order">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="form-control category_id" name="category_id" id="category_id" required>
                                            <option value="">اختر الفئة</option>
                                            @foreach ( $categories as $category )
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="teacher_id">المعلم</label>
                                        <select class="form-control teacher_id" name="teacher_id" id="teacher_id" required>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="form-control card_id1" name="orders[0][card_id]" id="card_id1" required>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards')" onblur="formatNumberInput('number_of_cards')"
                                        class="form-control number_of_cards" id="number_of_cards" name="number_of_cards" required="">
                                    </div>
                                </div>
                                <div class="col-sm-12 d-flex flex-column justify-content-center">
                                    <h4>اختر الملازم</h4>
                                    <div class="row supplies" id="supplies"></div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="total">السعر</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('total')" onblur="formatNumberInput('total')" readonly
                                            class="form-control total" id="total" name="total" required="">
                                        <small id="total_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script>
            let indexOrder = 0;
            function formatNumberInput(inputId) {
                    document.getElementById(inputId).addEventListener('input', function(e) {

                        let value = e.target.value;
                        value = value.replace(/[^0-9]/g, '');
                        const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        e.target.value = formattedValue;

                        $('input[name="supply_num"]').on('input', function() {

                            let inputValue =  parseInt($(this).val());
                           // console.log('ففففففففففففففففففففففففففففففف');
                            //console.log('inputValue',inputValue);
                            var max =parseInt($(this).attr('max'));
                            var errorMessage = $('#error-message');

                            if (inputValue > max) {
                                errorMessage.text('الكمية المتوفرة فقط ' + max);
                                $(this).val(max); // Reset to the maximum value
                            } else {
                                errorMessage.text(''); // Clear the error message
                            }


                            var totalPrice = 0;
                            var supplyId = $(this).closest('input[type="checkbox"]:checked').data('price');
                                var supplyQuantity = parseInt($(this).closest('.col-6').next().find('input[name="supply_num"]').val());
                                totalPrice += supplyId * supplyQuantity;
                            $('#total').val(totalPrice);
                        });

                    });
                }
               /*  $('input[name="supply_num"]').on('input', function() {
                    let inputValue = $(this).val();
                    console.log('ففففففففففففففففففففففففففففففف');
                    console.log('inputValue',inputValue);
                    var max = $(this).attr('max');
                    var errorMessage = $('#error-message');

                    if (inputValue > max) {
                        errorMessage.text('الكمية المتوفرة فقط ' + max);
                        $(this).val(max); // Reset to the maximum value
                    } else {
                        errorMessage.text(''); // Clear the error message
                    }

                }); */
                //////////////////////////////////////////////////////////
                //start select company_id
                $('#company_id').on('change', function() {
                    var selectedCompanyId = $(this).val();
                    var deliveryFees = $(this).find('option:selected').data('delivery-fees');

                    // Update the delivery_fees input field
                    $('#delivery_fees').val(deliveryFees);
                    updateTotal();
                });
                //end select company_id
                //start select category
                    $(document).on("change",".category_id",function() {
                        var selectElement = $(this);
                        var selectedOptionId = $(this).children("option:selected").data('id');
                        if(selectedOptionId == null){
                            $(this).closest('.teacher_id').html('');
                            $(this).closest('.card_id1').html('');
                        } else {
                            var selectedOptionId = $(this).children("option:selected").data('id');

                            let urlService = '{{ url('/category') }}';
                            var newUrl = urlService + '/' + selectedOptionId+ '/teachers';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    selectElement.closest('.row').find('.teacher_id').html('');
                                    selectElement.closest('.row').find('.card_id1').html('');
                                    selectElement.closest('.row').find('.teacher_id').append(`<option value="">اختر معلم</option>`);
                                    response.success.forEach(element => {
                                        selectElement.closest('.row').find('.teacher_id').append(`<option value="${element.id}" data-id="${element.id}">${element.name}</option>`);
                                    });
                                }
                            });
                        }
                    });
                //end select category
                //start select teacher
                    $(document).on("change",".teacher_id",function() {
                        var selectElement = $(this);

                        var selectedOptionId = selectElement.children("option:selected").data('id');
                        var selectedCategoryId = selectElement.closest('.row').find('.category_id').children("option:selected").data('id');
                            console.log('selectedOptionId',selectedOptionId);
                            console.log('selectedCategoryId',selectedCategoryId);
                        if(selectedOptionId == null){
                            selectElement.closest('.row').find('.card_id1').html('');
                        } else {
                            var selectedOptionId = selectElement.children("option:selected").data('id');

                            let urlService = '{{ url('/teacher') }}';
                            var newUrl = urlService + '/' + selectedOptionId+'/category/' + selectedCategoryId + '/cards';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                            console.log('newUrl',newUrl);
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    selectElement.closest('.row').find('.card_id1').html('');
                                    selectElement.closest('.row').find('.supplies').html('');
                                    selectElement.closest('.row').find('.card_id1').append(`<option value="">اختر بطاقة</option>`);
                                    response.success.forEach(element => {
                                        let courses ='' ;
                                        element.courses.forEach(course => {
                                            courses = courses +  course.title + ' - ';
                                        });
                                        selectElement.closest('.row').find('.card_id1').append(`<option value="${element.id}" data-id="${element.id}" data-price="${element.category.price_company}" data-name="${courses}">${courses}</option>`);
                                    });
                                }
                            });
                        }
                    });
                //end select teacher

                //start select card_id1
                    $(document).on("change",".card_id1",function() {
                        var selectElement = $(this);
                        var selectedOptionId = selectElement.children("option:selected").data('id');
                         console.log('selectedOptionId',selectedOptionId);
                        if(selectedOptionId == null){
                            selectElement.closest('.row').find('.supplies').html('');
                        } else {
                            var selectedOptionId = selectElement.children("option:selected").data('id');

                            let urlService = '{{ url('/card') }}';
                            var newUrl = urlService + '/' + selectedOptionId+'/supplies';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                          //  console.log('newUrl',newUrl);
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    $('#supplies').html('');
                                  //  console.log('response',response);
                                    //response.success.forEach(element => {
                                        //console.log('element',element);
                                        response.success.supplies.forEach(supply => {
                                            //console.log('supply',supply);
                                            selectElement.closest('.row').find('.supplies').append(`<div class="col-6">
                                                    <div class="checkbox checkbox-primary d-flex items-center flex-column mx-5">
                                                        <input type="checkbox" id="supplies${supply.id}"  value="${supply.id}" data-name="${supply.name}" data-price="${supply.price}" name="supply_id">
                                                        <label  for="supplies${supply.id}">${supply.name}</label>
                                                    </div>
                                                </div>
                                                <div class="col-6 d-flex flex-column justify-content-center">
                                                    <div class="row form-group">
                                                        <div class="col-2">
                                                            <label for="supply_num">العدد</label>
                                                        </div>
                                                        <div class="col-10">
                                                            <input type="number" class="form-control" id="supply_num" name="supply_num" value="1" min="1" max="${supply.quantity}">
                                                            <span id="error-message" class="text-danger"></span> </div>
                                                        </div>
                                                    </div>
                                                </div>`);
                                        });
                                    //});
                                }
                            });
                        }
                    });
                //end select card_id1
                //start select add-new-order
                    $(document).on("click",".add-new-order",function() {
                        indexOrder++
                        //console.log(' $indexOrder', $indexOrder);
                        $('#orders').prepend(` <div class="row order" style="border: 1px solid black">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="orders[${indexOrder}][category_id]" class="mr-2">الفئة</label>
                                                <select class="form-control category_id" name="orders[${indexOrder}][category_id]" id="orders[${indexOrder}][category_id]" required>
                                                    <option value="">اختر الفئة</option>
                                                    @foreach ( $categories as $category )
                                                        <option value="{{ $category->id }}" data-id="{{ $category->id }}">{{ $category->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="orders[${indexOrder}][teacher_id]">المعلم</label>
                                                <select class="form-control teacher_id" name="orders[${indexOrder}]teacher_id" id="orders[${indexOrder}]teacher_id" required>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="orders[${indexOrder}][card_id1]" class="mr-2">البطاقة</label>
                                                <select class="form-control card_id1" name="orders[${indexOrder}][card_id]" id="orders[${indexOrder}][card_id1]" required>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="orders[${indexOrder}][number_of_cards]">عدد البطاقات</label>
                                                <input type="text" min=0 onfocus="formatNumberInput('orders[${indexOrder}][number_of_cards]')" onblur="formatNumberInput('orders[${indexOrder}][number_of_cards]')"
                                                class="form-control number_of_cards" id="orders[${indexOrder}][number_of_cards]" name="orders[${indexOrder}][number_of_cards]" required="">
                                            </div>
                                        </div>
                                        <div class="col-sm-12 d-flex flex-column justify-content-center">
                                            <h4>اختر الملازم</h4>
                                            <div class="row supplies" id="supplies"></div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="orders[${indexOrder}][total]">السعر</label>
                                                <input type="text" min=0 onfocus="formatNumberInput('orders[${indexOrder}][total]')" onblur="formatNumberInput('orders[${indexOrder}][total]')" readonly
                                                    class="form-control total" id="orders[${indexOrder}][total]" name="orders[${indexOrder}][total]" required="">
                                                <small id="total_error" class="form-text text-danger"></small>
                                            </div>
                                        </div>
                                    </div>`);
                    });
                //end select add-new-order
                $('.card_id1, .number_of_cards').on('change', calculateTotal);
                $('.supplies').on('change', 'input[type="checkbox"], input[name="supply_num"]', calculateTotal);

                function calculateTotal(e) {
                    // Get the closest order row
                    var $row = $(e.target).closest('.order');

                    var cardPrice = parseFloat($row.find('.card_id1').children("option:selected").data('price')) || 0;
                    var numCards = parseFloat($row.find('.number_of_cards').val().replace(/,/g, '')) || 0;
                    var suppliesTotal = 0;

                    // Calculate supplies total within the order row
                    $row.find('.supplies input[type="checkbox"]:checked').each(function() {
                    var supplyQuantity = parseInt($(this).closest('.col-6').next().find('input[name="supply_num"]').val()) || 0;
                    suppliesTotal += parseFloat($(this).data('price')) * supplyQuantity;
                    });

                    // Debugging:
                    /*   console.log('cardPrice:', cardPrice);
                    console.log('numCards:', numCards);
                    console.log('suppliesTotal:', suppliesTotal); */

                    var total = (cardPrice * numCards) + suppliesTotal;
                   // console.log('total:', total);

                    // Update the total input field for the current order row
                    $row.find('.total').val(total.toLocaleString());
                }
                // start add block Send
                let orderIndex = 0;
                let order = {{ $index++ }};

                $(document).on("click",".addBlockRequest",function() {
                    let suppliesIndex = 0;
                    order++;
                    let categoryID = $('#category_id').val();
                    let teacherID = $('#teacher_id').val();
                    let cardID = $('#card_id1').val();
                    var cardName = $('#card_id1').children("option:selected").data('name');

                    let numberOfCards = $('#number_of_cards').val();

                    var cardPrice = parseFloat($('#card_id1').children("option:selected").data('price')) || 0;
                    var numCards = parseFloat($('#number_of_cards').val().replace(/,/g, '')) || 0;
                    if(!numCards == 0){
                        orderIndex++;
                        let price = cardPrice * numCards;
                        price = price.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                        $("#orders table tbody").append(`
                            <tr id="tr_${orderIndex}">
                                <input type="hidden" name="orders[${order}][category_id]" value="${categoryID}">
                                <input type="hidden" name="orders[${order}][teacher_id]" value="${teacherID}">
                                <input type="hidden" name="orders[${order}][card_id]" value="${cardID}">
                                <input type="hidden" name="orders[${order}][number_of_cards]" value="${numberOfCards}">
                                <input type="hidden" name="orders[${order}][card_total]" value="${price}">
                                <td>${orderIndex}</td>
                                <td>فئة</td>
                                <td>${cardName}</td>
                                <td>${numberOfCards}</td>
                                <td class="order-price">${price}</td>
                                <td><button type="button"  class="btn btn-danger waves-effect waves-light delete-row" >حذف</button></td>
                            </tr>
                        `);
                    }

                    $('.order').find('.supplies input[type="checkbox"]:checked').each(function() {
                        suppliesIndex++;
                        var supplyID = $(this).val();
                        var supplyName = $(this).data('name');
                        var supplyQuantity = parseInt($(this).closest('.col-6').next().find('input[name="supply_num"]').val()) || 0;
                        supplyPrice = parseFloat($(this).data('price'));
                        suppliesTotal = parseFloat($(this).data('price')) * supplyQuantity;
                        suppliesTotal = suppliesTotal.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                        orderIndex++;

                        $("#orders table tbody").append(`
                            <tr id="tr_${orderIndex}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][category_id]" value="${categoryID}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][teacher_id]" value="${teacherID}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][card_id]" value="${cardID}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][supply_id]" value="${supplyID}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][supply_num]" value="${supplyQuantity}">
                                <input type="hidden" name="orders[${order}][supplies][${suppliesIndex}][card_total]" value="${suppliesTotal}">
                                <td>${orderIndex}</td>
                                <td>ملزمة</td>
                                <td>${supplyName}</td>
                                <td>${supplyQuantity}</td>
                                <td class="order-price">${suppliesTotal}</td>
                                <td ><button type="button"  class="btn btn-danger waves-effect waves-light delete-row">حذف</button></td>
                            </tr>
                        `);
                    });
                    updateTotal();
                    $('#modal').modal('toggle');
                    // Reset the form
                    $('#addBlockRequest')[0].reset();

                    // Reset the select options for teachers and cards
                    $('.teacher_id').html('<option value="">اختر المعلم</option>');
                    $('.card_id1').html('<option value="">اختر البطاقة</option>');

                    // Disable the button after resetting
                    $('.addBlockRequest').prop('disabled', true);

                    // Update the total price to 0
                    $('#total').val(0);

                    // Remove any selected supplies
                    $('.supplies').html('');

                    var ordersExist = $('table tbody tr ').length > 0;

                    $('.send-order').prop('disabled', !(ordersExist));
                });
            // add block Send
                $(document).on("click",".delete-row",function() {
                    $(this).closest('tr').remove();
                    var ordersExist = $('table tbody tr ').length > 0;

                    $('.send-order').prop('disabled', !(ordersExist));

                    updateTotal();
                });



                /////////////////////////////////////////////////////
                $(document).ready(function() {

                    var ordersExist = $('table tbody tr ').length > 0;

                    $('.send-order').prop('disabled', !(ordersExist));


                    // Disable the button initially
                    $('.addBlockRequest').prop('disabled', true);

                    // Event listeners to check for valid selections
                    $('.category_id, .teacher_id, .card_id1, .number_of_cards, .supplies input[type="checkbox"]').on('change', function() {
                        var categorySelected = $('.category_id').val() !== '';
                        var teacherSelected = $('.teacher_id').val() !== '';
                        var cardSelected = $('.card_id1').val() !== '';
                        var numCardsValid = $('.number_of_cards').val() !== '' && parseInt($('.number_of_cards').val()) > 0;
                        var suppliesChecked = $('.supplies input[type="checkbox"]:checked').length > 0;
                        console.log('numCardsValid',numCardsValid);
                        console.log('suppliesChecked',suppliesChecked);
                        $('.addBlockRequest').prop('disabled', !(categorySelected && teacherSelected && cardSelected &&
                                        (numCardsValid || suppliesChecked)));
                    });

                });

                 // Function to update the total price
                function updateTotal() {
                    var total = parseFloat($('#delivery_fees').val()) || 0;
                    $('.order-price').each(function() {
                        var price = parseFloat($(this).text().replace(/[^0-9\.-]/g, '')); // Remove non-numeric characters
                        total += price;
                    });

                    // Update the total1 field
                    const formattedTotal = total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    $('#total1').val(formattedTotal);
                }

                $(document).on('change', '.supplies input[type="checkbox"]', function() {
                    var closestCol6 = $(this).closest('.col-6');
                  //  console.log('closestCol6', closestCol6);

                    var nextCol6 = closestCol6.next();
                  //  console.log('nextCol6', nextCol6);

                    var quantityInput = nextCol6.find('input[name="supply_num"]');
                  //  console.log('quantityInput', quantityInput);

                    // Enable/disable based on checkbox state
                    if ($(this).is(':checked')) {
                        quantityInput.prop('disabled', false);
                        $('.addBlockRequest').prop('disabled', false);
                    } else {
                       /*  let suppliesChecked1 = $('.supplies input[type="checkbox"]:checked').length > 0;
                        console.log('suppliesChecked1',suppliesChecked1);
                        if(suppliesChecked1){
                            $('.addBlockRequest').prop('disabled', true);
                        }else{
                            $('.addBlockRequest').prop('disabled', false);
                        } */
                        quantityInput.prop('disabled', true);

                    }
                });


    </script>
@endsection
