<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>كتابك</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A premium admin dashboard template by Mannatthemes" name="description" />
        <meta content="Mannatthemes" name="author" />

        <!-- App favicon -->
        <link rel="shortcut icon" href="{{ asset('assets/images/favicon.ico') }}">

        <!-- DataTables -->
        <link href="{{ asset('assets/plugins/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- Responsive datatable examples -->
        <link href="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css" />
        <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
        <!-- App css -->
        <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/icons.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/metisMenu.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/style.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/custom.css') }}" rel="stylesheet" type="text/css" />

        <!-- Sweet Alert -->
        <link href="{{ asset('assets/plugins/sweet-alert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/plugins/animate/animate.css') }}" rel="stylesheet" type="text/css">

        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Tajawal:wght@200;300;400;500;700;800;900&display=swap" rel="stylesheet">

        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

        <style>
            .signature small{
                font-size: 1.4rem !important;
            }
            .signature p ,.invoice-head p{
                font-size: 1.4rem !important;
            }
            h6{
                font-size: 1.4rem !important;
            }
            th, td{
                font-size: 1.4rem !important;
            }
        </style>
    </head>

    <body>
        @include('admin.layout.nav')


        <div class="page-wrapper">
            <!-- Page Content-->
            @include('admin.layout.sidebar')

            <div class="container-fluid">
                <div class="page-content" id="page-content">

                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-lg-12 mx-auto">
                                <div class="card">
                                    <div class="card-body invoice-head">
                                        <div class="row">
                                            <div class="col-md-4 align-self-center">
                                                <img src="{{ asset('assets/images/logo.png') }}" alt="logo-small" class="logo-sm mr-2" height="40">
                                                <p class="mt-2 mb-0 text-muted">منصة تعليمية</p>
                                            </div><!--end col-->
                                            <div class="col-md-8">

                                                <ul class="list-inline mb-0 contact-detail float-right">
                                                    <li class="list-inline-item">
                                                        <div class="pr-3">
                                                            <i class="mdi mdi-web"></i>
                                                            <p class="text-muted mb-0">www.ketabac.com</p>
                                                        </div>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <div class="pr-3">
                                                            <i class="mdi mdi-phone"></i>
                                                            <p class="text-muted mb-0">07735404090</p>
                                                        </div>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <div class="pr-3">
                                                            <i class="mdi mdi-map-marker"></i>
                                                            <p class="text-muted mb-0">العراق، ديالى</p>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </div><!--end col-->
                                        </div><!--end row-->
                                    </div><!--end card-body-->
                                    <div class="card-body">
                                        <div class="row mt-3 mb-5">
                                            <div class="col-md-4">
                                                <div class="">
                                                    <h6 class="mb-0"><b>رقم الطلب: </b> {{ $order->code }}</h6>
                                                    <h6 class="mb-0"><b>حالة الطلب: </b>
                                                    @if ( $order->status == 'delivered')
                                                        تم التسليم
                                                    @elseif ( $order->status == 'returned')
                                                        مرتجع
                                                    @else
                                                        قيد الانتظار
                                                    @endif</h6>
                                                    <h6 class="mb-0"><b>تاريخ الطلب: </b> {{ $order->created_at }}</h6>
                                                </div>
                                            </div><!--end col-->
                                            <div class="col-md-4">
                                                <h6 class="mb-0"><b>الاسم:</b> {{ $order->user_name }}</h6>
                                                <h6 class="mb-0"><b>الهاتف:</b> {{ $order->phone }}</h6>
                                                <h6 class="mb-0"><b>الشركة:</b> {{ $order->company->name }}</h6>
                                            </div><!--end col-->
                                            <div class="col-md-4">
                                                <h6 class="mb-0"><b>المنطقة:</b> {{ $order->region->title }}</h6>
                                                <h6 class="mb-0"><b>العنوان:</b> {{ $order->address }}</h6>
                                            </div><!--end col-->
                                            {{-- <div class="col-md-3">
                                                <div class="text-center bg-light p-3 mb-3">
                                                    <h5 class="bg-info mt-0 p-2 text-white d-sm-inline-block">Payment Methods</h5>
                                                    <h6 class="font-13">Paypal & Cards Payments :</h6>
                                                    <p class="mb-0 text-muted">CompanyA/c.paypal@gmai.com</p>
                                                    <p class="mb-0 text-muted">Visa, Master Card, Chaque</p>
                                                </div>
                                            </div> <!--end col--> --}}
                                        </div><!--end row-->

                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="table-responsive project-invoice">
                                                    <table class="table table-bordered mb-0">
                                                        <thead class="thead-light">
                                                            <tr>
                                                                <th>المنتج</th>
                                                                <th>النوع</th>
                                                                <th>العدد</th>
                                                                <th>السعر</th>
                                                                <th>المجموع</th>
                                                            </tr><!--end tr-->
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($order->cards as $card)
                                                            <tr>
                                                                <td>
                                                                    <h5 class="mt-0 mb-1">
                                                                        @foreach ($card->card->courses as $course )
                                                                        {{ $course->title }}
                                                                        @if(!$loop->last)
                                                                            -
                                                                        @endif
                                                                        @endforeach
                                                                    </h5>
                                                                    <p class="mb-0 text-muted">{{ $card->category->name }}, {{ $card->teacher->name }}</p>
                                                                </td>
                                                                <td>بطاقة</td>
                                                                <td>{{ number_format($card->quantity , 0, ',', ',') }}</td>
                                                                <td>{{ number_format($card->price , 0, ',', ',') }}</td>
                                                                <td>{{ number_format($card->total , 0, ',', ',') }}</td>
                                                            </tr><!--end tr-->
                                                            @endforeach
                                                            @foreach ($order->supplies as $supply)
                                                            <tr>
                                                                <td>
                                                                    <h5 class="mt-0 mb-1">
                                                                        {{ $supply->supply->name }}
                                                                    </h5>
                                                                    <p class="mb-0 text-muted">{{ $supply->category->name }}, {{ $supply->teacher->name }}</p>
                                                                </td>
                                                                <td>ملزمة</td>
                                                                <td>{{ number_format($supply->quantity , 0, ',', ',') }}</td>
                                                                <td>{{ number_format($supply->price , 0, ',', ',') }} </td>
                                                                <td>{{ number_format($supply->total , 0, ',', ',') }}</td>
                                                            </tr><!--end tr-->
                                                            @endforeach
                                                            <tr>
                                                                <td>
                                                                    <h5 class="mt-0 mb-1">
                                                                        شركة التوصيل
                                                                    </h5>
                                                                    <p class="mb-0 text-muted">{{ $order->company->name }}</p>
                                                                </td>
                                                                <td>التوصيل</td>
                                                                <td></td>
                                                                <td>{{ number_format($order->delivery_fees , 0, ',', ',') }}</td>
                                                                <td>{{ number_format($order->delivery_fees , 0, ',', ',') }}</td>
                                                            </tr>

                                                            {{-- <tr>
                                                                <td colspan="3" class="border-0"></td>
                                                                <td class="border-0 font-14"><b>المجموع</b></td>
                                                                <td class="border-0 font-14"><b>$82,000.00</b></td>
                                                            </tr><!--end tr--> --}}
                                                            {{-- <tr>
                                                                <th colspan="3" class="border-0"></th>
                                                                <td class="border-0 font-14"><b>شركة التوصيل</b></td>
                                                                <td class="border-0 font-14"><b>$0.00%</b></td>
                                                            </tr><!--end tr--> --}}
                                                            <tr class="">
                                                                <th colspan="3" class="border-0"></th>
                                                                <td class="border-0 "><b>المجموع النهائي</b></td>
                                                                <td class="border-0 "><b>{{ number_format($order->total , 0, ',', ',') }}</b></td>
                                                            </tr><!--end tr-->
                                                        </tbody>
                                                    </table><!--end table-->
                                                </div>  <!--end /div-->
                                            </div>  <!--end col-->
                                        </div><!--end row-->

                                        <div class="row justify-content-center">
                                            <div class="col-lg-6">
                                                @if ($order->notes)
                                                    <h5 class="mt-4">ملاحظات</h5>
                                                    <ul class="pr-3">
                                                        <li><small> {{ $order->notes }}</small></li>
                                                    </ul>
                                                @endif

                                            </div> <!--end col-->
                                            <div class="col-lg-6 align-self-end">
                                                <div class="w-25 float-right py-3 signature">
                                                    <small>مدير المنصة</small>
                                                    {{-- <img src="{{ asset('assets/images/signature.png') }}" alt="" class="" height="48"> --}}
                                                    <p class="border-top">التوقيع</p>
                                                    <p class="pt-3"></p>
                                                </div>
                                            </div><!--end col-->
                                        </div><!--end row-->
                                        <hr>
                                        <div class="row d-flex justify-content-center">
                                            <div class="col-lg-12 col-xl-4 ml-auto align-self-center">
                                                <div class="text-center text-muted"><small>شكرا لك على التعامل معنا. أهلاً بك!</small></div>
                                            </div><!--end col-->
                                            <div class="col-lg-12 col-xl-4">
                                                <div class="float-right d-print-none">
                                                    <a href="javascript:window.print()" class="btn btn-info"><i class="fa fa-print"></i></a>
                                                {{--  <div class="btn btn-info print-invoice"><i class="fa fa-print"></i></div>--}}
                                                    {{-- <a href="#" class="btn btn-primary">Submit</a>
                                                    <a href="#" class="btn btn-danger">Cancel</a> --}}
                                                </div>
                                            </div><!--end col-->
                                        </div><!--end row-->
                                    </div><!--end card-body-->
                                </div><!--end card-->
                            </div><!--end col-->
                        </div><!--end row-->

                    </div><!-- container -->

                </div>
            </div>
        <!-- end page content -->
        @include('admin.layout.footer')

        </div>
        <!-- end page-wrapper -->
        <!-- jQuery  -->
        <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
        <script src="{{ asset('assets/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('assets/js/metisMenu.min.js') }}"></script>
        <script src="{{ asset('assets/js/waves.min.js') }}"></script>
        <script src="{{ asset('assets/js/jquery.slimscroll.min.js') }}"></script>

        {{-- <script src="{{ asset('assets/plugins/apexcharts/apexcharts.min.js') }}"></script>
        <script src="{{ asset('assets/pages/jquery.analytics_dashboard.init.js') }}"></script> --}}

        <!-- Buttons examples -->
        <script src="{{ asset('assets/plugins/datatables/dataTables.buttons.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/buttons.bootstrap4.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/jszip.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/pdfmake.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/vfs_fonts.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/buttons.html5.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/buttons.print.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/buttons.colVis.min.js') }}"></script>
        <!-- Responsive examples -->
        <script src="{{ asset('assets/plugins/datatables/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('assets/plugins/datatables/responsive.bootstrap4.min.js') }}"></script>
        <script src="{{ asset('assets/pages/jquery.datatable.init.js') }}"></script>

        <script src="{{ asset('assets/pages/jquery.validation.init.js') }}"></script>
        <script src="{{ asset('assets/js/jquery.core.js') }}"></script>


        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

        <script src="{{ asset('assets/js/app.js') }}"></script>
        <script src="https://printjs-4de6.kxcdn.com/print.min.js"></script>


    </body>
</html>
