@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('pos.index') }}">نقطة بيع</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
<!-- Page-Title -->

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body border-bottom  met-pro-bg">
                <div class="met-profile">
                    <div class="row">
                        <div class="col-lg-4 mb-3 mb-lg-0 align-self-center">
                            <div class="met-profile-main">
                                <div class="met-profile-main-pic">
                                    <img src="../assets/images/users/user-4.jpg" alt="" class="rounded-circle">
                                    {{-- <span class="fro-profile_main-pic-change">
                                        <i class="fas fa-camera"></i>
                                    </span> --}}
                                </div>
                                <div class="met-profile_user-detail">
                                    <h5 class="met-user-name">{{ $representative->name }}</h5>
                                    <p class="mb-0 met-user-name-post">{{ $representative->name }}</p>
                                </div>
                            </div>
                        </div><!--end col-->
                        <div class="col-lg-4 ml-auto">
                            <ul class="list-unstyled personal-detail">
                                <li class=""><i class="dripicons-phone mr-2 text-info font-18"></i><b> الهاتف </b> : {{ $representative->phone }} </li>
                                <li class="mt-2"><i class="dripicons-mail text-info font-18 mt-2 mr-2"></i><b> البريد الالكتروني </b> : {{ $representative->email }} </li>
                              {{--   <li class="mt-2"><i class="dripicons-location text-info font-18 mt-2 mr-2"></i><b>العنوان</b> </li> --}}
                            </ul>
                            {{-- <div class="button-list btn-social-icon">
                                <button type="button" class="btn btn-blue btn-round">
                                    <i class="fab fa-facebook-f"></i>
                                </button>

                                <button type="button" class="btn btn-secondary btn-round ml-2">
                                    <i class="fab fa-twitter"></i>
                                </button>

                                <button type="button" class="btn btn-pink btn-round  ml-2">
                                    <i class="fab fa-dribbble"></i>
                                </button>
                            </div> --}}
                        </div><!--end col-->
                    </div><!--end row-->
                </div><!--end f_profile-->
            </div><!--end card-body-->
            <div class="card-body">
                <ul class="nav nav-pills mb-0" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link" id="personal_detail_tab" data-toggle="pill" href="#personal_detail">معلومات شخصية</a>
                    </li>
                    {{-- <li class="nav-item">
                        <a class="nav-link" id="education_detail_tab" data-toggle="pill" href="#education_detail">Education</a>
                    </li> --}}
                </ul>
            </div><!--end card-body-->
        </div><!--end card-->
    </div><!--end col-->
</div><!--end row-->
<div class="row">
    <div class="col-12">
        <div class="tab-content detail-list" id="pills-tabContent">
            <div class="tab-pane fade show active" id="general_detail">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="name">الاسم</label>
                                                <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="" value="{{ $representative->name }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="email">البريد الالكتروني</label>
                                                <input type="email" class="form-control" id="email" name="email" required="" autocomplete="off"  value="{{ $representative->email }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">رقم الهاتف</label>
                                                <input type="text" class="form-control" id="phone" name="phone" required="" value="{{ $representative->phone }}" disabled>
                                            </div>
                                        </div>


                                        <div class="col-sm-12 d-flex flex-column justify-content-center mx-3">
                                            <label class="form-label">مفعل</label>
                                            <div class="form-group">
                                                <div class="custom-control custom-switch">
                                                    <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" checked disabled>
                                                    <label class="custom-control-label" for="status">مفعل</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->

        </div><!--end tab-content-->

    </div><!--end col-->
</div><!--end row-->

@endsection
