@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('partners.index') }}">الشركاء</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('partners.percentage.update')}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            <div class="row">
                                @foreach ($partners as $partner)
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="name">الاسم</label>
                                        <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" value="{{ $partner->name }}" disabled>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="percentage">النسبة</label>
                                        <input type="number" class="form-control @if($errors->has('percentage')) is-invalid @endif" id="percentage" name="percentage[{{ $partner->id }}][]" required="" value="{{ $partner->percentage }}">
                                        @error('percentage')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                @endforeach
                            </div>
                            <div class="d-flex justify-between align-items-center">
                                <button type="submit" class="btn btn-primary sendForm ml-5" >تعديل</button>
                                <div class="tb-tnx-status note" style="display: none">
                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">مجموع النسب يجب أن يكون 100٪</span>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <script>
            $(document).ready(function() {
                $('input[type="number"]').on('input', function() {
                    var total = 0;
                    $('input[type="number"]').each(function() {
                        total += parseInt($(this).val()) || 0;
                    });

                    if (total > 100 || total < 100) {
                       // alert('مجموع النسب لا يمكن أن يتجاوز 100٪');
                       // $(this).val('');
                        $('.sendForm').attr('disabled', true);
                        $('.note').show();
                    } else {
                        $('.sendForm').attr('disabled', false);
                        $('.note').hide();
                    }
                });
            });
        </script>


@endsection
