@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">المدفوعات</a></li>
                            <li class="breadcrumb-item active">كل المدفوعات</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل المدفوعات</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مجموع المصاريف</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($payments_total , 0, ',', ',') }}
                                        </h4>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-8">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['payments-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة دفعة</button>
                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('payments.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="form-group row">
                                        <label for="expense_id" class="col-sm-2 col-form-label text-right">النوع</label>
                                        <div class="col-sm-10">
                                            <select class="custom-select" id="expense_id" name="expense_id">
                                                <option value="">اختر النوع</option>
                                                @foreach ($expenses as $expense)
                                                    <option value="{{ $expense->id }}" @selected($expense_id == $expense->id)>{{ $expense->title }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="from" type="datetime-local" value="{{ $from }}" id="example-datetime-local-input">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="to" type="datetime-local" value="{{ $to }}" id="example-datetime-local-input">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>النوع</th>
                                    <th>المبلغ</th>
                                    <th style="max-width: 300px">ملاحظات</th>
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($payments as $index => $payment)
                                    <tr id="tr_{{$payment->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $payment->expense->title }}</td>
                                        <td>{{ number_format($payment->amount , 0, ',', ',') }}</td>

                                      {{--   <td>{{ Str::words($payment->notes, 3, '...') }}</td> --}}
                                        <td  style="max-width: 300px; text-wrap: wrap;">{{ $payment->notes}}</td>
                                        <td>{{$payment->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$payment->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('payments-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$payment->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('payments-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$payment->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="6" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد مدفوعات حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store payment -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة دفعة جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="expense_id" class="mr-2">النوع</label>
                                        <select class="custom-select" id="expense_id" name="expense_id">
                                            @foreach ($expenses as $expense)
                                                @if($expense->id != 1)
                                                    <option value="{{ $expense->id }}">{{ $expense->title }}</option>
                                                @endif
                                            @endforeach
                                        </select>
                                        <small id="expense_id_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                {{-- <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount">المبلغ</label>
                                        <input type="number" class="form-control" id="amount" name="amount" required="">
                                        <small id="amount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>  --}}
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount">المبلغ</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('amount')" onblur="formatNumberInput('amount')" class="form-control" id="amount" name="amount" required="">
                                        <small id="amount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="notes">ملاحظات</label>
                                        <textarea id="notes" name="notes" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

        <!--  Modal content for the edit payment -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل دفعة</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="expense_id_edit" class="mr-2">النوع</label>
                                        <select class="custom-select" id="expense_id_edit" name="expense_id">
                                            @foreach ($expenses as $expense)
                                                <option value="{{ $expense->id }}">{{ $expense->title }}</option>
                                            @endforeach
                                        </select>
                                        <small id="expense_id_edit_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                {{-- <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount_edit">المبلغ</label>
                                        <input type="number" class="form-control" id="amount_edit" name="amount" required="">
                                        <small id="amount_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div> --}}
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount_edit">المبلغ</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('amount_edit')" onblur="formatNumberInput('amount_edit')" class="form-control" id="amount_edit" name="amount" required="">
                                        <small id="amount_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="notes_edit">ملاحظات</label>
                                        <textarea id="notes_edit" name="notes" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
        function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }
            // start add block Send
                $('.addBlockRequest').click(function () {
                    $("#expense_id_error").text('');
                    $("#amount_error").text('');
                    let newUrl = '{{ route("payments.store") }}';
                    let formData = new FormData($('#addBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                //console.log('errors',response1.errors);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                   // console.log(key);
                                   // console.log("#" + key + "_error");
                                    $("#" + key + "_error").text(val[0]);
                                   // console.log( $("#" + key + "_error").val());
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                    swal.fire({
                                            title: 'إضافة!',
                                            text: 'تمت الإضافة بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                    location.reload(true)
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }

                            }
                        });

                });
            // add block Send
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/payments') }}';
                var newUrl = urlService + '/' + id;
               // console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    //console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });


            $(document).on("click",".openEditBlock",function() {
                $("#editBlockRequest").trigger("reset");
                let blockID = $(this).data('id');
                let urlService = '{{ url('/payments') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        var amount = response.success.amount;
                        amount = amount.toString().replace(/[^0-9]/g, '');
                        const formattedTotal = amount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        $('.editModal #amount_edit').val(formattedTotal);

                        $('.editModal #idOfAttr').val(response.success.id);
                     //   $('.editModal #amount_edit').val(response.success.amount);
                        $('.editModal #notes_edit').val(response.success.notes);
                        $('#expense_id_edit option').each(function() {
                            if ($(this).val() == response.success.expense_id) {
                                $(this).prop('selected', true);
                            }
                        });
                        $(".editModal").modal("toggle");
                    }
                });
            });
        //end open edit block modal
        //start edit block modal
            $('.editBlockRequest').click(function() {
                $("#name-ar_error").text('');
                $("#name-en_error").text('');

                let blockID = $('#idOfAttr').val();
                let urlService = '{{ url('/payments') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData($('#editBlockRequest')[0]);
                formData.append('_token', '{{ csrf_token() }}');
                formData.append('_method', 'PUT');

                    $.ajax({
                        url: newUrl,
                        type: 'POST',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            var response1 = $.parseJSON(response.responseText);
                            $.each(response1.errors, function (key, val) {
                                key = key.replace('.', "-");
                                $("#" + key + "_error").text(val[0]);
                            });
                        },
                        success: function (response) {
                            if(response.success){
                                    swal.fire({
                                            title: 'تعديل!',
                                            text: 'تم التعديل بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        setTimeout(function(){
                                            location.reload(true);
                                        }, 1000);
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }
                        }
                    });

            });
        //end edit block-add modal
        </script>
@endsection
