@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">بطاقات نقاط البيع</a></li>
                            <li class="breadcrumb-item active">كل بطاقات نقاط البيع</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل بطاقات نقاط البيع</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['pos-sales-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة </button>
                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('pos-sales.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="category" class="col-sm-2 col-form-label text-right">الفئة</label>
                                        <div class="col-sm-10">
                                            <select class="custom-select" id="category" name="category_id">
                                                <option value="">اختر الفئة</option>
                                                @foreach ($categories as $category)
                                                    <option value="{{ $category->id }}" @selected($category_id == $category->id)>{{ $category->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="pos_id" class="col-sm-2 col-form-label text-right">نقطة البيع</label>
                                        <div class="col-sm-10">
                                            <select class="custom-select" id="pos_id" name="pos_id">
                                                <option value="">اختر نقطة البيع</option>
                                                @foreach ($pos as $po)
                                                    <option value="{{ $po->id }}" @selected($pos_id == $po->id)>{{ $po->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                {{-- @if(auth('admin')->check() && auth('admin')->user()->canAny(['subscriptions-add']))
                                    <div class="col-lg-5">
                                        <div class="form-group row">
                                            <label for="teacher_id" class="col-sm-2 col-form-label text-right">المعلم</label>
                                            <div class="col-sm-10">
                                                <select class="custom-select" id="teacher_id" name="teacher_id">
                                                    <option value="">اختر معلم</option>
                                                    @foreach ($teachers as $teacher)
                                                        <option value="{{ $teacher->id }}" @selected($teacher_id == $teacher->id)>{{ $teacher->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                @endif --}}
                                {{-- @if(auth('teacher')->check())
                                    <div class="col-lg-5">
                                        <div class="form-group row">
                                            <label for="teacher_id" class="col-sm-2 col-form-label text-right">المعلم</label>
                                            <div class="col-sm-10">
                                                <select class="custom-select" id="teacher_id" name="teacher_id" disabled>
                                                    <option value="">اختر معلم</option>
                                                    @foreach ($teachers as $teacher)
                                                        <option value="{{ $teacher->id }}" @selected($teacher_id == $teacher->id)>{{ $teacher->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                @endif --}}

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="from"  value="{{ $from }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="to"  value="{{ $to }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>الفئة</th>
                                    <th>نقطة البيع</th>
                                    <th>عدد البطاقات</th>
                                    <th>السعر</th>
                                    <th>المجموع</th>
                                   {{--  <th>تم الدقع؟</th> --}}
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($subscriptions as $index => $subscription)
                                    <tr id="tr_{{$subscription->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $subscription->category->name}}</td>

                                        <td>{{ $subscription->pos->name }}</td>
                                        <td>{{ number_format($subscription->number_of_cards, 0, ',', ',') }}</td>
                                        <td>{{ number_format($subscription->price, 0, ',', ',') }}</td>
                                        <td>{{ number_format($subscription->total, 0, ',', ',') }}</td>
                                        {{-- <td>
                                            @if($subscription->paid)
                                                <div class="tb-tnx-status" >
                                                    <span class="badge badge-dot bg-success text-white" style="text-transform: capitalize">مدفوع</span>
                                                </div>
                                            @else
                                                <div class="tb-tnx-status">
                                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">غير مدفوع</span>
                                                </div>
                                            @endif
                                        </td> --}}
                                        <td>{{$subscription->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$subscription->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('pos-sales-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$subscription->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('pos-sales-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$subscription->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="11" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لا يوجد مبيعات</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store subscription -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة اشتراك جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pos_id" class="mr-2">نقطة البيع</label>
                                        <select class="custom-select" id="pos_id" name="pos_id">
                                            @foreach ($pos as $po)
                                                <option value="{{ $po->id }}">{{ $po->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="pos_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="custom-select" id="category_id" name="category_id">
                                            <option value="">اختر فئة</option>
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="category_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                {{-- <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="teacher_id1" class="mr-2">المعلم</label>
                                        <select class="custom-select" id="teacher_id1" name="teacher_id">
                                        </select>
                                        <small id="teacher_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="custom-select" id="card_id1" name="card_id">
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}">{{ $card->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="card_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div> --}}
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards')" onblur="formatNumberInput('number_of_cards')"
                                         class="form-control" id="number_of_cards" name="number_of_cards" required="">
                                        <small id="number_of_cards_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                {{-- <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <label class="form-label">دفع</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="paid" id="paid" value="active">
                                            <label class="custom-control-label" for="paid">دفع</label>
                                        </div>
                                    </div>
                                </div> --}}
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <!--  Modal content for the edit subscription -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل اشتراك</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pos_id_edit" class="mr-2">نقطة البيع</label>
                                        <select class="custom-select" id="pos_id_edit" name="pos_id">
                                            @foreach ($pos as $po)
                                                <option value="{{ $po->id }}">{{ $po->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="pos_id_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id_edit" class="mr-2">الفئة</label>
                                        <select class="custom-select" id="category_id_edit" name="category_id" disabled>
                                            <option value="">اختر فئة</option>
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="category_id_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                               {{--  <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="teacher_id_edit" class="mr-2">المعلم</label>
                                        <select class="custom-select" id="teacher_id_edit" name="teacher_id" disabled>
                                            @foreach ($teachers as $teacher)
                                                <option value="{{ $teacher->id }}" data-id="{{ $teacher->id }}">{{ $teacher->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="teacher_id_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id_edit" class="mr-2">البطاقة</label>
                                        <select class="custom-select" id="card_id_edit" name="card_id" disabled>
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}">{{ $card->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="card_id_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div> --}}
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards_edit">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards_edit')" onblur="formatNumberInput('number_of_cards_edit')"
                                            class="form-control" id="number_of_cards_edit" name="number_of_cards" required="">
                                        <small id="number_of_cards_edit_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                               {{--  <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center ">
                                    <label class="form-label">دفع</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="paid" id="paid_edit" value="active">
                                            <label class="custom-control-label" for="paid_edit">دفع</label>

                                        </div>
                                    </div>
                                </div> --}}
                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }

            // start add block Send
                $('.addBlockRequest').click(function () {
                    $("#card_id_error").text('');
                    $("#number_of_cards_error").text('');
                    let newUrl = '{{ route("pos-sales.store") }}';
                    let formData = new FormData($('#addBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                //console.log('errors',response1.errors);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                   // console.log(key);
                                   // console.log("#" + key + "_error");
                                    $("#" + key + "_error").text(val[0]);
                                   // console.log( $("#" + key + "_error").val());
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                    swal.fire({
                                            title: 'إضافة!',
                                            text: 'تمت الإضافة بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                    location.reload(true)
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }

                            }
                        });

                });
            // add block Send
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/pos-sales') }}';
                var newUrl = urlService + '/' + id;
               // console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    //console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });


            $(document).on("click",".openEditBlock",function() {
                $("#editBlockRequest").trigger("reset");
                let blockID = $(this).data('id');
                let urlService = '{{ url('/pos-sales') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        $('.editModal #idOfAttr').val(response.success.id);
                        $('.editModal #number_of_cards_edit').val(response.success.number_of_cards);

                        $('#pos_id_edit option').each(function() {
                            if ($(this).val() == response.success.pos_id) {
                                $(this).prop('selected', true);
                            }
                        });
                        $('#category_id_edit option').each(function() {
                            if ($(this).val() == response.success.category_id) {
                                $(this).prop('selected', true);
                            }
                        });


                        $('#paid_edit').prop('checked',  response.success.paid);

                        $(".editModal").modal("toggle");
                    }
                });
            });
            //end open edit block modal
            //start edit block modal
                $('.editBlockRequest').click(function() {
                    $("#name-ar_error").text('');
                    $("#name-en_error").text('');

                    let blockID = $('#idOfAttr').val();
                    let urlService = '{{ url('/pos-sales') }}';
                    var newUrl = urlService + '/' + blockID;

                    let formData = new FormData($('#editBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                    formData.append('_method', 'PUT');

                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                    $("#" + key + "_error").text(val[0]);
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                        swal.fire({
                                                title: 'تعديل!',
                                                text: 'تم التعديل بنجاح',
                                                icon: 'success',
                                                confirmButtonText: 'موافق',
                                            });
                                            setTimeout(function(){
                                                location.reload(true);
                                            }, 1000);
                                    } else {
                                        swal({
                                                title: 'عذرا!!',
                                                text: response.error,
                                                icon: 'error',
                                                confirmButtonText: 'موافق',
                                            });
                                    }
                            }
                        });

                });
            //end edit block-add modal


            //start select category
            $(document).on("change","#category_id",function() {
                    var selectedOptionId = $(this).children("option:selected").data('id');
                    console.log('selectedOptionId',selectedOptionId);
                    if(selectedOptionId == null){
                        $('#addBlockRequest #teacher_id1').html('');
                        $('#addBlockRequest #card_id1').html('');
                    } else {
                        var selectedOptionId = $(this).children("option:selected").data('id');

                        let urlService = '{{ url('/category') }}';
                        var newUrl = urlService + '/' + selectedOptionId+ '/teachers';
                        let formData = new FormData();
                        formData.append('_token', '{{ csrf_token() }}');
                        console.log('newUrl',newUrl);
                        $.ajax({
                            url: newUrl,
                            type: 'Get',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                console.log(response);
                            },
                            success: function (response) {
                                $('#teacher_id1').html('');
                                $('#addBlockRequest #card_id1').html('');
                                $('#teacher_id1').append(`<option value="">اختر معلم</option>`);
                                response.success.forEach(element => {
                                    $('#teacher_id1').append(`<option value="${element.id}" data-id="${element.id}">${element.name}</option>`);
                                });
                            }
                        });
                    }

                });
            //end select category
            //start select teacher
                $(document).on("change","#teacher_id1",function() {
                    var selectedOptionId = $(this).children("option:selected").data('id');
                    var selectedCategoryId = $('#addBlockRequest #category_id').children("option:selected").data('id');
                   // console.log('selectedOptionId',selectedOptionId);
                    if(selectedOptionId == null){
                        $('#addBlockRequest #card_id1').html('');
                    } else {
                        var selectedOptionId = $(this).children("option:selected").data('id');

                        let urlService = '{{ url('/teacher') }}';
                        var newUrl = urlService + '/' + selectedOptionId+'/category/' + selectedCategoryId + '/cards';
                        let formData = new FormData();
                        formData.append('_token', '{{ csrf_token() }}');
                        console.log('newUrl',newUrl);
                        $.ajax({
                            url: newUrl,
                            type: 'Get',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                console.log(response);
                            },
                            success: function (response) {
                                $('#card_id_ed').html('');
                                response.success.forEach(element => {
                                    //console.log('element',element);
                                    //console.log('element.courses',element.courses);
                                    let courses ='' ;
                                    element.courses.forEach(course => {
                                        //console.log('course',course);
                                        courses = courses +  course.title + ' - ';
                                    });
                                    //console.log('courses',courses);
                                    $('#card_id1').append(`<option value="${element.id}">${courses}</option>`);
                                });
                            }
                        });
                    }

                });
            //end select teacher
        </script>
@endsection
