@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الدفعات</a></li>
                            <li class="breadcrumb-item active">كل الدفعات</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الدفعات</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مجموع الدفعات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($payments->sum('amount'), 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-8">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['pos-payment-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة دفعة</button>
                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('pos-payment.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">

                                @if(auth('admin')->check() && auth('admin')->user()->canAny(['pos-payment-add']) || auth('partner')->check())
                                    <div class="col-lg-5">
                                        <div class="form-group row">
                                            <label for="pos_id" class="col-2 col-form-label text-right">نقطة البيع</label>
                                            <div class="col-10">
                                                <select class="custom-select" id="pos_id" name="pos_id">
                                                    <option value="">اختر نقطة بيع</option>
                                                    @foreach ($pos as $p)
                                                        <option value="{{ $p->id }}" @selected($pos_id == $p->id)>{{ $p->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                @endif

                                <div class="col-lg-5"></div>
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="from"  value="{{ $from }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="to"  value="{{ $to }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>نقطة البيع</th>
                                    <th>الفئة</th>
                                    <th>رصيد نقطة البيع الكلي</th>
                                    <th>المبلغ غير المدفوع قبل الدفعة</th>
                                    <th>قيمة الدفعة</th>
                                    <th>المبلغ المتبقي</th>
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($payments as $index => $payment)
                                    <tr id="tr_{{$payment->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td><a href="{{ route('pos.show', $payment->pos->id) }}">{{ $payment->pos->name }}</a></td>
                                        <td>{{ $payment->category->name }}</td>
                                        <td>{{ number_format($payment->total_pos_amount, 0, ',', ',') }}</td>
                                        <td>{{ number_format($payment->unpaid_pos_amount, 0, ',', ',') }}</td>
                                        <td>{{ number_format($payment->amount, 0, ',', ',') }}</td>
                                        <td>{{ number_format($payment->remaining_unpaid_amount, 0, ',', ',') }}</td>
                                        <td>{{$payment->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$payment->id}}">
                                            {{--     @if(auth('admin')->check() && auth('admin')->user()->can('pos-payment-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$payment->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif --}}
                                                @if(auth('admin')->check() && auth('admin')->user()->can('pos-payment-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$payment->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="11" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد دفعات </div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store pos-payment -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة دفعة جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-sm-12 col-md-6 ">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="form-control" name="category_id" id="category_id" required>
                                            <option value="">اختر الفئة</option>
                                            @foreach ( $categories as $category )
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}" data-type="{{ $category->type }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 ">
                                    <div class="form-group d-flex flex-column justify-content-center" >
                                        <label for="pos_id1" class="mr-2">نقطة البيع</label>
                                        <select class="custom-select" id="pos_id1" name="pos_id1">
                                            <option value="">اختر نقطة البيع</option>
                                            @foreach ($pos as $p)
                                                <option value="{{ $p->id }}" data-id="{{ $p->id }}">{{ $p->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="pos_id1_error" class="form-text text-danger"></small>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pos_amount">رصيد نقطة البيع</label>
                                        <input type="text" class="form-control" id="pos_amount" name="pos_amount" disabled>
                                        <small id="pos_amount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="unpaid_pos_amount">المبلغ غير المدفوع</label>
                                        <input type="text" class="form-control" id="unpaid_pos_amount" disabled>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount">قيمة الدفعة</label>
                                        <input type="text" min=0 class="form-control" id="amount" name="amount"
                                        onfocus="formatNumberInput('amount')" onblur="formatNumberInput('amount')"
                                         required>
                                        <small id="amount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <!--  Modal content for the edit pos-payment -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل دفعة</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards_edit">عدد البطاقات</label>
                                        <input type="text" class="form-control" id="number_of_cards_edit" name="number_of_cards" required="">
                                        <small id="number_of_cards_edit_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }


            // start add block Send
                $('.addBlockRequest').click(function () {
                    $('#addBlockRequest #pos_amount_error').html('');
                    $('#addBlockRequest #unpaid_pos_amount_error').html('');
                    $('#addBlockRequest #amount_error').html('');

                    let posAmount =   $('#addBlockRequest #unpaid_pos_amount').val();
                    let amount =   $('#addBlockRequest #amount').val();

                    let decimalPosAmount = parseFloat(posAmount.replace(/,/g, ''));
                    let decimalAmount = parseFloat(amount.replace(/,/g, ''));

                    if(decimalAmount > decimalPosAmount){
                        $('#addBlockRequest #amount_error').html('لا يمكن ان تكون قيمة الدفعة اكبر من المبلغ غير الدفوع');
                    } else {
                        let newUrl = '{{ route("pos-payment.store") }}';
                        let formData = new FormData($('#addBlockRequest')[0]);
                        formData.append('_token', '{{ csrf_token() }}');
                            $.ajax({
                                url: newUrl,
                                type: 'POST',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    var response1 = $.parseJSON(response.responseText);
                                    //console.log('errors',response1.errors);
                                    $.each(response1.errors, function (key, val) {
                                        key = key.replace('.', "-");
                                    // console.log(key);
                                    // console.log("#" + key + "_error");
                                        $("#" + key + "_error").text(val[0]);
                                    // console.log( $("#" + key + "_error").val());
                                    });
                                },
                                success: function (response) {
                                    if(response.success){
                                        swal.fire({
                                                title: 'إضافة!',
                                                text: 'تمت الإضافة بنجاح',
                                                icon: 'success',
                                                confirmButtonText: 'موافق',
                                            });
                                        location.reload(true)
                                    } else {
                                        swal({
                                                title: 'عذرا!!',
                                                text: response.error,
                                                icon: 'error',
                                                confirmButtonText: 'موافق',
                                            });
                                    }

                                }
                            });

                        }
                });
            // add block Send
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/pos-payment') }}';
                var newUrl = urlService + '/' + id;
               // console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    //console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });
            //Delete Role
            //start open edit block modal
                $(document).on("click",".openEditBlock",function() {
                    $("#editBlockRequest").trigger("reset");
                    let blockID = $(this).data('id');
                    let urlService = '{{ url('/pos-payment') }}';
                    var newUrl = urlService + '/' + blockID;

                    let formData = new FormData();
                    formData.append('_token', '{{ csrf_token() }}');
                    $.ajax({
                        url: newUrl,
                        type: 'Get',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            console.log(response);
                        },
                        success: function (response) {
                            $('.editModal #idOfAttr').val(response.success.id);
                            $('.editModal #number_of_cards_edit').val(response.success.number_of_cards);
                            $('#card_id_edit option').each(function() {
                                if ($(this).val() == response.success.card_id) {
                                    $(this).prop('selected', true);
                                }
                            });
                            $(".editModal").modal("toggle");
                        }
                    });
                });
            //end open edit block modal
            //start edit block modal
                $('.editBlockRequest').click(function() {
                    $("#name-ar_error").text('');
                    $("#name-en_error").text('');

                    let blockID = $('#idOfAttr').val();
                    let urlService = '{{ url('/pos-payment') }}';
                    var newUrl = urlService + '/' + blockID;

                    let formData = new FormData($('#editBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                    formData.append('_method', 'PUT');

                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                    $("#" + key + "_error").text(val[0]);
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                        swal.fire({
                                                title: 'تعديل!',
                                                text: 'تم التعديل بنجاح',
                                                icon: 'success',
                                                confirmButtonText: 'موافق',
                                            });
                                            setTimeout(function(){
                                                location.reload(true);
                                            }, 1000);
                                    } else {
                                        swal({
                                                title: 'عذرا!!',
                                                text: response.error,
                                                icon: 'error',
                                                confirmButtonText: 'موافق',
                                            });
                                    }
                            }
                        });

                });
            //end edit block-add modal

            //start select pos
                $(document).on("change","#pos_id1",function() {
                    var selectedOptionCategory = $('#category_id').children("option:selected").data('id');
                    var selectedOptionId = $(this).children("option:selected").data('id');
                    if(selectedOptionId == null || selectedOptionCategory == null){
                        $('#addBlockRequest #pos_amount').val('');
                        $('#addBlockRequest #unpaid_pos_amount').val('');
                        $('#addBlockRequest #amount').val('');
                    } else {
                        var selectedOptionId = $(this).children("option:selected").data('id');
                        let urlService = '{{ url('/pos') }}';
                        var newUrl = urlService + '/' + selectedOptionId+'/category/'+selectedOptionCategory+'/get';
                        let formData = new FormData();
                        formData.append('_token', '{{ csrf_token() }}');
                        //console.log('newUrl',newUrl);
                        $.ajax({
                            url: newUrl,
                            type: 'Get',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                console.log(response);
                            },
                            success: function (response) {
                                const totalAmount = response.success.total_amount;
                                const formattedTotalAmount = totalAmount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                const unpaidAmount = response.success.unpaid_amount;
                                const formattedUnpaidAmount = unpaidAmount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                $('#addBlockRequest #pos_amount').val(formattedTotalAmount);
                                $('#addBlockRequest #unpaid_pos_amount').val(formattedUnpaidAmount);
                            }
                        });
                    }

                });
            //end select pos
            //start select pos
                $(document).on("change","#category_id",function() {
                    var selectedOptionCategory = $(this).children("option:selected").data('id');
                    var selectedOptionId = $('#pos_id1').children("option:selected").data('id');
                    if(selectedOptionId == null || selectedOptionCategory == null){
                        $('#addBlockRequest #pos_amount').val('');
                        $('#addBlockRequest #unpaid_pos_amount').val('');
                        $('#addBlockRequest #amount').val('');
                    } else {
                        var selectedOptionId = $('#pos_id1').children("option:selected").data('id');
                        let urlService = '{{ url('/pos') }}';
                        var newUrl = urlService + '/' + selectedOptionId+'/category/'+selectedOptionCategory+'/get';
                        let formData = new FormData();
                        formData.append('_token', '{{ csrf_token() }}');
                        console.log('newUrl',newUrl);
                        $.ajax({
                            url: newUrl,
                            type: 'Get',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                console.log(response);
                            },
                            success: function (response) {
                                const totalAmount = response.success.total_amount;
                                const formattedTotalAmount = totalAmount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                const unpaidAmount = response.success.unpaid_amount;
                                const formattedUnpaidAmount = unpaidAmount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                                $('#addBlockRequest #pos_amount').val(formattedTotalAmount);
                                $('#addBlockRequest #unpaid_pos_amount').val(formattedUnpaidAmount);
                            }
                        });
                    }

                });
            //end select pos

            $(document).ready(function() {
                $('#pos_id').select2({
                    placeholder: "ابحث عن نقطة بيع", // Placeholder text
                    allowClear: true, // Allow clearing the selection
                });
            });
        </script>
@endsection
