@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">نقاط البيع</a></li>
                            <li class="breadcrumb-item active">كل نقاط البيع</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل نقاط البيع</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->can('pos-add'))
                    <a href={{ route('pos.create') }} type="button" class="btn btn-primary mb-3">+ إضافة نقطة بيع</a>
                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>الاسم</th>
                                    <th>البريد الالكتروني</th>
                                    <th>العنوان</th>
                                    <th>حالة المستخدم</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($pos as $p)
                                    <tr id="tr_{{$p->id}}">
                                        <td>{{ $p->id }}</td>
                                        <td>{{ $p->name }}</td>
                                        <td>{{ $p->email }}</td>
                                        <td>{{$p->address}}</td>

                                        <td id="status_{{$p->id}}">
                                            @if($p->status=='active')
                                                <div class="tb-tnx-status" >
                                                    <span class="badge badge-dot bg-success text-white" style="text-transform: capitalize">مفعل</span>
                                                </div>
                                            @else
                                                <div class="tb-tnx-status">
                                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">غير مفعل</span>
                                                </div>
                                            @endif
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$p->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('pos-edit'))
                                                    <a href="{{ route('pos.edit', $p->id ) }}" class="btn btn-success">تعديل</a>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('pos-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$p->id}}" >حذف</button>
                                                @endif
                                                @if((auth('admin')->check() && auth('admin')->user()->can('pos-show')) || auth('partner')->check())
                                                    <a href="{{ route('pos.show', $p->id ) }}" class="btn btn-primary">عرض</a>
                                                @endif

                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="6" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد نقطة بيع حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <script type="text/javascript">
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/pos') }}';
                var newUrl = urlService + '/' + id;
                console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });
        </script>
@endsection
