@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الأرباح</a></li>
                            <li class="breadcrumb-item active">كل الأرباح</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأرباح</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('profits.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="from" type="datetime-local" value="{{ $from }}" id="example-datetime-local-input" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-datetime-local-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" name="to" type="datetime-local" value="{{ $to }}" id="example-datetime-local-input" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>


        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">الأرباح</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format((($subscriptions_total + $sales_total ) - ($payments_total + $salaries_total)), 0, ',', ',') }}
                                        </h4>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
        </div>
        <h4>مجموع المصاريف: {{ number_format(($salaries_total +$payments_total ), 0, ',', ',') }}</h4>


        <div class="row">

            <div class="col-lg-4">
                <a href="{{ route('salaries.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="dripicons-user-id text-warning"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-1 text-muted">الرواتب</p>
                                        <h4 class="mt-0 mb-1">{{ number_format($salaries_total, 0, ',', ',') }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div><!--end col-->
            <div class="col-lg-4">
                <a href="{{ route('payments.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-folder-open text-purple"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <div class="ml-2">
                                            <p class="mb-0 text-muted">المصاريف</p>
                                            <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($payments_total, 0, ',', ',') }}</h4>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div><!--end col-->
        </div>
        <h4>مجموع الإيرادات: {{ number_format(($subscriptions_total +$sales_total ), 0, ',', ',') }}</h4>

        <div class="row">
            <div class="col-lg-4">
                <a href="{{ route('subscriptions.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-folder text-pink"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">الاشتراكات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($subscriptions_total, 0, ',', ',') }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div><!--end col-->
            <div class="col-lg-4">
                <a href="{{ route('pos-sales.index') }}">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-4 align-self-center">
                                    <div class="icon-info">
                                        <i class="mdi mdi-folder text-pink"></i>
                                    </div>
                                </div>
                                <div class="col-8 align-self-center text-right">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مبيع البطاقات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($sales_total, 0, ',', ',')  }}</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="progress mt-2" style="height:3px;">
                                    <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div><!--end card-body-->
                    </div><!--end card-->
                </a>
            </div><!--end col-->
        </div><!--end row-->
        {{--<div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                         <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>النوع</th>
                                    <th>الموظف</th>
                                    <th>المبلغ</th>
                                    <th>ملاحظات</th>
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($payments as $index => $payment)
                                    <tr id="tr_{{$payment->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $payment->expense->title }}</td>
                                        <td><a href="{{ route('employees.show', $payment->employee->id) }}">{{ $payment->employee->name }}</a></td>
                                        <td>{{ $payment->amount }}</td>
                                        <td>{{ Str::words($payment->notes, 3, '...') }}</td>
                                        <td>{{$payment->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$payment->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('salaries-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$payment->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('salaries-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$payment->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="7" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد رواتب حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->--}}


@endsection
