@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الأرباح الشهرية</a></li>
                            <li class="breadcrumb-item active">شهر {{ $monthlyData['date'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأرباح</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مجموع الاشتراكات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['subscriptions_total'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مجموع المصاريف</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['payments_total'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">مجموع الرواتب</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['salaries_total'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">دفعات المعلمين</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['total_teacher_payments'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">دفعات الشركاء</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['total_partner_payments'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-lg-3">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="mdi mdi-folder-open text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">الكاش في نهاية هذا الشهر</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($monthlyData['cash'] , 0, ',', ',') }}
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->

        </div> <!-- end row -->
        <div class="row">
            <div class="col-12">
                <div class="card">

                    <div class="card-body">
                        <ul class="nav nav-pills mb-0" id="pills-tab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="subscriptions_tab" data-toggle="pill" href="#subscriptions">الاشتراكات</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="payments_tab" data-toggle="pill" href="#payments">المصاريف</a>
                            </li>
                             <li class="nav-item">
                                <a class="nav-link" id="salaries_tab" data-toggle="pill" href="#salaries">الرواتب</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="teacher_payments_tab" data-toggle="pill" href="#teacher_payments">دفعات المعلمين</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="partner_payments_tab" data-toggle="pill" href="#partner_payments">دفعات الشركاء</a>
                            </li>

                           {{-- <li class="nav-item">
                                <a class="nav-link " id="general_detail_tab" data-toggle="pill" href="#general_detail">الاشتراكات</a>
                            </li> --}}
                        </ul>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
        </div><!--end row-->
        <div class="row">
            <div class="col-12">
                <div class="tab-content detail-list" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="subscriptions">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="card">
                                                    <div class="card-body">
                                                        <div class="table-responsive">
                                                            <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                            <tr>
                                                                <tr>
                                                                    <th>#</th>
                                                                    <th>البطاقة</th>
                                                                    <th>عن طريق</th>
                                                                    <th>عدد البطاقات</th>
                                                                    <th>السعر</th>
                                                                    <th>المجموع</th>
                                                                    <th>نسبة المعلم</th>
                                                                    <th>حصة المعلم</th>
                                                                    <th>التاريخ</th>
                                                                </tr>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                                @forelse($subscriptions as $index => $subscription)
                                                                    <tr id="tr_{{$subscription->id}}">
                                                                        <td>{{ ++$index }}</td>
                                                                        <td>
                                                                            @foreach ($subscription->card->courses as $course )
                                                                            {{ $course->title}}
                                                                            @if(!$loop->last)
                                                                                -
                                                                            @endif
                                                                            @endforeach
                                                                        </td>
                                                                        <td>
                                                                            @if( $subscription->type == 'pos')
                                                                                {{ $subscription->pos->name }}
                                                                            @else
                                                                                إدارة الموقع
                                                                            @endif
                                                                        </td>
                                                                        <td>{{ number_format($subscription->number_of_cards, 0, ',', ',')  }}</td>
                                                                        <td>{{number_format($subscription->price, 0, ',', ',') }}</td>
                                                                        <td>{{number_format($subscription->total, 0, ',', ',') }}</td>

                                                                        @if ($subscription->card->category->type == 'amount')
                                                                            <td>{{$subscription->teacher_percentage}}</td>
                                                                        @else
                                                                            <td>{{$subscription->teacher_percentage}}%</td>
                                                                        @endif
                                                                        <td>{{number_format($subscription->teacher_amount, 0, ',', ',') }}</td>
                                                                        <td>{{$subscription->created_at}}</td>
                                                                    </tr>
                                                                @empty
                                                                    <tr class="noData">
                                                                        <td colspan="10" >
                                                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد اشتراكات</div></div>
                                                                        </td>
                                                                    </tr>
                                                                @endforelse
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                    </div>
                                                </div>
                                            </div> <!-- end col -->
                                        </div>

                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->
                    </div><!--end general detail-->
                    <div class="tab-pane fade" id="payments">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                            <div class="row">
                                                <div class="col-12">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <div class="table-responsive">
                                                                <table class="table table-bordered mb-0 table-centered">
                                                                <thead>
                                                                    <tr>
                                                                        <th>#</th>
                                                                        <th>النوع</th>
                                                                        <th>المبلغ</th>
                                                                        <th>ملاحظات</th>
                                                                        <th>التاريخ</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        @forelse($payments as $index => $payment)
                                                                            <tr id="tr_{{$payment->id}}">
                                                                                <td>{{ ++$index }}</td>
                                                                                <td>{{ $payment->expense->title }}</td>
                                                                                <td>{{ number_format($payment->amount , 0, ',', ',') }}</td>
                                                                                <td>{{ Str::words($payment->notes, 3, '...') }}</td>
                                                                                <td>{{$payment->created_at}}</td>
                                                                            </tr>
                                                                        @empty
                                                                            <tr class="noData">
                                                                                <td colspan="5" >
                                                                                    <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد مصاريف</div></div>
                                                                                </td>
                                                                            </tr>
                                                                        @endforelse
                                                                    </tbody>
                                                            </table>
                                                        </div>
                                                        </div>
                                                    </div>
                                                </div> <!-- end col -->
                                            </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->
                    </div><!--end general detail-->
                    <div class="tab-pane fade" id="salaries">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                            <div class="row">
                                                <div class="col-12">
                                                    <div class="card">
                                                        <div class="card-body">

                                                            <div class="table-responsive">
                                                                <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                                <tr>
                                                                    <tr>
                                                                        <th>#</th>
                                                                        <th>النوع</th>
                                                                        <th>الموظف</th>
                                                                        <th>المبلغ</th>
                                                                        <th>ملاحظات</th>
                                                                        <th>التاريخ</th>

                                                                    </tr>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @forelse($salaries as $index => $salary)
                                                                        <tr id="tr_{{$salary->id}}">
                                                                            <td>{{ ++$index }}</td>
                                                                            <td>{{ $salary->expense->title }}</td>
                                                                            <td><a href="{{ route('employees.show', $salary->employee->id) }}">{{ $salary->employee->name }}</a></td>
                                                                            <td>{{ $salary->amount }}</td>
                                                                            <td>{{ Str::words($salary->notes, 3, '...') }}</td>
                                                                            <td>{{$salary->created_at}}</td>

                                                                        </tr>
                                                                    @empty
                                                                        <tr class="noData">
                                                                            <td colspan="6" >
                                                                                <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد رواتب</div></div>
                                                                            </td>
                                                                        </tr>
                                                                    @endforelse
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        </div>
                                                    </div>
                                                </div> <!-- end col -->
                                            </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div><!--end general detail-->
                    <div class="tab-pane fade" id="teacher_payments">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                            <div class="row">
                                                <div class="col-12">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <div class="table-responsive">
                                                                <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                                    <tr>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>المعلم</th>
                                                                            <th>رصيد المعلم الكلي</th>
                                                                            <th>المبلغ غير المدفوع قبل الدفعة</th>
                                                                            <th>قيمة الدفعة</th>
                                                                            <th>المبلغ المتبقي</th>
                                                                            <th>التاريخ</th>
                                                                        </tr>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        @forelse($teacher_payments as $index => $teacherPayment)
                                                                            <tr id="tr_{{$teacherPayment->id}}">
                                                                                <td>{{ ++$index }}</td>
                                                                                <td><a href="{{ route('teachers.show', $teacherPayment->teacher->id) }}">{{ $teacherPayment->teacher->name }}</a></td>
                                                                                <td>{{ number_format($teacherPayment->total_teacher_amount, 0, ',', ',') }}</td>
                                                                                <td>{{ number_format($teacherPayment->unpaid_teacher_amount, 0, ',', ',') }}</td>
                                                                                <td>{{ number_format($teacherPayment->amount, 0, ',', ',') }}</td>
                                                                                <td>{{ number_format($teacherPayment->remaining_unpaid_amount, 0, ',', ',') }}</td>
                                                                                <td>{{$teacherPayment->created_at}}</td>
                                                                            </tr>
                                                                        @empty
                                                                            <tr class="noData">
                                                                                <td colspan="11" >
                                                                                    <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد دفعات </div></div>
                                                                                </td>
                                                                            </tr>
                                                                        @endforelse
                                                                    </tbody>
                                                            </table>
                                                        </div>
                                                        </div>
                                                    </div>
                                                </div> <!-- end col -->
                                            </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div><!--end general detail-->

                    <div class="tab-pane fade" id="partner_payments">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                            <div class="row">
                                                <div class="col-12">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <div class="table-responsive">
                                                                <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                                <tr>
                                                                    <tr>
                                                                        <th>#</th>
                                                                        <th>الشريك</th>
                                                                        <th>رصيد الشريك الكلي</th>
                                                                        <th>المبلغ غير المدفوع قبل الدفعة</th>
                                                                        <th>قيمة الدفعة</th>
                                                                        <th>المبلغ المتبقي</th>
                                                                        <th>التاريخ</th>
                                                                    </tr>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @forelse($partner_payments as $index => $partnerPayment)
                                                                        <tr id="tr_{{$partnerPayment->id}}">
                                                                            <td>{{ ++$index }}</td>
                                                                            <td><a href="{{ route('partners.show', $partnerPayment->partner->id) }}">{{ $partnerPayment->partner->name }}</a></td>
                                                                            <td>{{ number_format($partnerPayment->total_partner_amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($partnerPayment->unpaid_partner_amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($partnerPayment->amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($partnerPayment->remaining_unpaid_amount, 0, ',', ',') }}</td>
                                                                            <td>{{$partnerPayment->created_at}}</td>

                                                                        </tr>
                                                                    @empty
                                                                        <tr class="noData">
                                                                            <td colspan="11" >
                                                                                <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد دفعات </div></div>
                                                                            </td>
                                                                        </tr>
                                                                    @endforelse
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        </div>
                                                    </div>
                                                </div> <!-- end col -->
                                            </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div><!--end general detail-->




                </div><!--end tab-content-->
            </div><!--end col-->
        </div><!--end row-->



@endsection
