@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الأرباح الشهرية</a></li>
                            <li class="breadcrumb-item active">كل الأرباح</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأرباح</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('profits.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="month" id="example-date-input" name="from"  value="{{ $from }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="month" id="example-date-input" name="to"  value="{{ $to }}">
                                        </div>
                                    </div>
                                </div>
                               {{--  <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-month-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="from"  id="example-month-input">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-month-input2" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="to" id="example-month-input2">
                                        </div>
                                    </div>
                                </div> --}}
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>


        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-lg-12">
                <div class="accordion" id="Customers_collapse">
                    <div class="card">
                        <div class="card-body">
                            <a class="d-lg-flex justify-content-between" data-toggle="collapse" href="#Customer1" role="button" aria-expanded="true" aria-controls="Customer1">
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">ايرادات الاشتراكات</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">ايرادات نقاط البيع</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">المصاريف</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">الرواتب</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->

                                <p class="text-muted mb-2 mb-lg-0 align-self-center"><i class="fas fa-calendar mr-2 text-info font-14"></i>04 June 2019</p>
                            </a>
                            <div class="collapse show" id="Customer1" data-parent="#Customers_collapse">
                                <div class="card card-body mb-0">
                                    <div class="row">
                                        <div class="col-lg-8">
                                            <div class="row">
                                                <h4 class="mt-4 mb-2">تفاصيل الشركاء</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                                <hr>
                                                <h4 class="mt-4 mb-2">تفاصيل المعلمين</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                                <h4 class="mt-4 mb-2">تفاصيل نقاط البيع</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                            </div>
                                        </div><!-- end col-->
                                        <div class="col-lg-4 ">
                                            <h4 class="mt-0 header-title">الرصيد الكاش</h4>
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-4 align-self-center">
                                                            <div class="icon-info">
                                                                <i class="dripicons-user-id text-warning"></i>
                                                            </div>
                                                        </div>
                                                        <div class="col-8 align-self-center text-right">
                                                            <div class="ml-2">
                                                                <p class="mb-1 text-muted">الرصيد</p>
                                                                <h4 class="mt-0 mb-1">{{ number_format(500000, 0, ',', ',') }}</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="progress mt-2" style="height:3px;">
                                                        <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                    </div>
                                                </div><!--end card-body-->
                                            </div><!--end card-->
                                        </div><!-- end col-->
                                    </div><!--end row-->
                                </div><!--end card-->
                            </div><!--end collapse-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end Customers_collapse-->
                <div class="accordion" id="Customers_collapse1">
                    <div class="card">
                        <div class="card-body">
                            <a class="d-lg-flex justify-content-between" data-toggle="collapse" href="#Customer2" role="button" aria-expanded="true" aria-controls="Customer2">
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">ايرادات الاشتراكات</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">ايرادات نقاط البيع</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">المصاريف</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->
                                <div class="media mb-3 mb-lg-0">
                                    <div class="media-body align-self-center">
                                        <h5 class="mt-0 mb-1">الرواتب</h5>
                                        <p class="text-muted mb-0"><i class="fas fa-map-marker-alt mr-2 text-info"></i> {{ number_format(500000, 0, ',', ',') }} </p>
                                    </div><!--end media body-->
                                </div> <!--end media-->

                                <p class="text-muted mb-2 mb-lg-0 align-self-center"><i class="fas fa-calendar mr-2 text-info font-14"></i>04 June 2019</p>
                            </a>
                            <div class="collapse show" id="Customer2" data-parent="#Customers_collapse1">
                                <div class="card card-body mb-0">
                                    <div class="row">
                                        <div class="col-lg-8">
                                            <div class="row">
                                                <h4 class="mt-4 mb-2">تفاصيل الشركاء</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                                <hr>
                                                <h4 class="mt-4 mb-2">تفاصيل المعلمين</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                                <h4 class="mt-4 mb-2">تفاصيل نقاط البيع</h4>
                                                <div class="col-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered table-sm">
                                                            <thead>
                                                            <tr>
                                                                <th>اسم الشريك</th>
                                                                <th>الارباح</th>
                                                                <th>المسدد</th>
                                                                <th>غير مسدد</th>
                                                                <th>عمليات</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>محمد</td>
                                                                <td>$321</td>
                                                                <td><span class="badge badge-soft-success">$321</span></td>
                                                                <td><span class="badge badge-soft-danger">$100</span></td>
                                                                <td>
                                                                    <div class="dropdown d-inline-block float-right">
                                                                        <a class="nav-link dropdown-toggle arrow-none" id="dLabel1" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                                                            <i class="fas fa-ellipsis-v font-20 text-muted"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu" aria-labelledby="dLabel1">
                                                                            <a class="dropdown-item" href="#">بروفايل الشريك</a>
                                                                            <a class="dropdown-item" href="#">تسديد الدفعات</a>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                            </tbody>
                                                        </table><!--end /table-->
                                                    </div><!--end /tableresponsive-->
                                                </div>
                                            </div>
                                        </div><!-- end col-->
                                        <div class="col-lg-4 ">
                                            <h4 class="mt-0 header-title">الرصيد الكاش</h4>
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-4 align-self-center">
                                                            <div class="icon-info">
                                                                <i class="dripicons-user-id text-warning"></i>
                                                            </div>
                                                        </div>
                                                        <div class="col-8 align-self-center text-right">
                                                            <div class="ml-2">
                                                                <p class="mb-1 text-muted">الرصيد</p>
                                                                <h4 class="mt-0 mb-1">{{ number_format(500000, 0, ',', ',') }}</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="progress mt-2" style="height:3px;">
                                                        <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                    </div>
                                                </div><!--end card-body-->
                                            </div><!--end card-->
                                        </div><!-- end col-->
                                    </div><!--end row-->
                                </div><!--end card-->
                            </div><!--end collapse-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end Customers_collapse-->
            </div><!--end col-->
        </div><!--end row-->



@endsection
