@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الأرباح الشهرية</a></li>
                            <li class="breadcrumb-item active">كل الأرباح</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأرباح</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
            {{-- <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('profits.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="month" id="example-date-input" name="from"  value="{{ $from }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="month" id="example-date-input" name="to"  value="{{ $to }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div> --}}
        </div>


        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                            <tr>
                                                <tr>
                                                    <th>#</th>
                                                    <th>الشهر</th>
                                                    <th>مبيع البطاقات</th>
                                                    <th>المصاريف</th>
                                                    <th>دفعات للمعلمين</th>
                                                    <th>دفعات للشركاء</th>
                                                    <th>كاش</th>
                                                    <th>العمليات</th>
                                                </tr>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                @forelse($monthlyData as $indexY => $year)
                                                    @foreach ($year as $indexM => $month)
                                                   {{--  {{ dd($indexM) }} --}}
                                                        <tr>
                                                            <td>{{ $indexM }}</td>
                                                            <td>
                                                                @php
                                                                    $date = \Carbon\Carbon::create($indexY, $indexM, 1);
                                                                    $formattedDate = $date->translatedFormat('F Y');
                                                                @endphp
                                                                {{ $formattedDate  }}
                                                            </td>
                                                            <td>{{ number_format($month['subscriptions_total'] , 0, ',', ',') }}</td>
                                                            <td>{{ number_format($month['total_payments'] , 0, ',', ',') }}</td>
                                                            <td>{{ number_format($month['total_teacher_payments'] , 0, ',', ',') }}</td>
                                                            <td>{{ number_format($month['total_partner_payments'] , 0, ',', ',') }}</td>
                                                            <td>{{ number_format($month['cash'] , 0, ',', ',') }}</td>
                                                            {{-- <td>{{ number_format(($month['subscriptions_total'] - ($month['total_payments'] + $month['total_teacher_payments'] + $month['total_partner_payments'])) , 0, ',', ',') }}</td>
                                                             --}}<td>
                                                                <a href="{{ route('profits.month.details', ['year' => $indexY, 'month' =>$indexM]) }}">
                                                                    <div class="flex space-x-2">
                                                                        <button type="button" class="btn btn-primary waves-effect waves-light">تفاصيل</button>
                                                                    </div>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @empty
                                                    <tr class="noData">
                                                        <td colspan="10" >
                                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد بيانات</div></div>
                                                        </td>
                                                    </tr>
                                                @endforelse

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div><!--end card-body-->
                    </div><!--end card-->


            </div><!--end col-->


        </div><!--end row-->



@endsection
