@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">المشرفون</a></li>
                            <li class="breadcrumb-item active">الأدوار</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأدوار</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('roles.update', $role->id) }}" class="needs-validation" novalidate role="form" method="POST" >
                            @csrf
                            @method('PUT')
                            {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif --}}

                            <input type="hidden" class="form-control" id="{{ $role->id }}" name="id" required>
                            {{-- <div class="form-group">
                                <label class="form-label" for="full-name">الدور</label>
                                <div class="form-control-wrap">
                                    <input type="text" class="form-control" id="name-edit" name="name" value="{{ $role->name }}" required>
                                    <small id="name_edit_error" class="form-text text-danger"></small>
                                </div>
                            </div> --}}
                            <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                <div class="form-group">
                                    <label for="name">اسم الدور</label>
                                    <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" value="{{ $role->name }}" id="name" name="name" required="">
                                    @error('name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="">
                                <small id="permissions_edit_error" class=""></small>
                                @foreach($permissions as $section => $sectionPermissions)
                                    <div class="row">
                                        <h6 class="col-12 col-md-6 title mb-3">{{trans("permission.$section")}}</h6>
                                        <div class="col-12 col-md-6">
                                            @foreach($sectionPermissions as $permission)

                                                    <div class="checkbox checkbox-primary">
                                                        <input type="checkbox" id="permission_edit_{{$permission->id}}"
                                                        @foreach($rolePermissions as $rolePerm)
                                                            @checked($rolePerm->id == $permission->id)
                                                        @endforeach
                                                        value="{{$permission->id}}" name="permissions[]">
                                                        <label  for="permission_edit_{{$permission->id}}">
                                                            {{trans("permission.$permission->name")}}
                                                        </label>
                                                    </div>

                                            @endforeach
                                        </div>
                                    </div>
                                    <hr>
                                @endforeach
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                            <button type="button" class="btn btn-danger">الغاء</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->


@endsection
