@extends('admin.layout.master')
@section('content')

        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">المشرفون</a></li>
                            <li class="breadcrumb-item active">الأدوار</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الأدوار</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['role-add']))
                <a href={{ route('roles.create') }} type="button" class="btn btn-primary mb-3">+ إضافة دور</a>
                @endif

            </div>
            <div class="col-12">
                <div class="card">

                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>اسم الدور</th>
                                <th>العمليات</th>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($roles as $role)
                                    <tr id="tr_{{$role->id}}">
                                    <td>{{ $role->id }}</td>
                                    <td>{{ $role->name }}</td>
                                    <td>
                                        @if ($role->name <> 'admin')
                                            <div class="flex space-x-2">
                                                @if(auth('admin')->user()->can('role-edit'))
                                              {{--       <div data-id="{{$role->id}}" class="btn btn-warning openEditBlock">تعديل</div> --}}

                                                    <a href="{{ route('roles.edit', $role->id ) }}" class="btn btn-success">تعديل</a>
                                                @endif
                                                @if(auth('admin')->user()->can('role-delete'))
                                                   {{--  <button type="submit"  class="btn btn-danger delete-row" data-id="{{$role->id}}">حذف</button> --}}

                                                    <button type="button" class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$role->id}}" id="sa-warning"> حذف</button>

                                                    @endif
                                            </div>
                                        @endif
                                    </td>
                                </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="3" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">{{trans('all.noData')}}</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->

    <script type="text/javascript">
        //Delete Role
        $(document).on("click",".delete-row",function() {
            var id=$(this).attr("data-id");
            let serviceID = $(this).data('id');
            let urlService = '{{ url('/roles') }}';
            var newUrl = urlService + '/' + id;
            console.log(id);
            if(id==1){
                swal({
                    title:" عذراً!!",
                    text: 'لا يمكنك حذف دور مدير النظام',
                    icon: 'error',
                    button: 'موافق',
                });
            }else{
                swal.fire({
                    title: 'هل أنت متأكد؟',
                    text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonText: 'نعم، متأكد من الحذف',
                    cancelButtonText: 'لا، إلغاء',
                    reverseButtons: true
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                            type: "DELETE",
                            url: newUrl,
                            data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                            dataType:"json",
                            success: function (response) {
                                console.log(response);
                                if (response.error==false) {
                                    swal.fire({
                                        title: 'حذف!',
                                        text: 'تم الحذف بنجاح',
                                        icon: 'success',
                                        confirmButtonText: 'موافق',
                                    });
                                    // $(this).closest('tr').remove();
                                    $('#tr_'+id).remove();
                                    var count=parseInt($("#table tr").length)-1;
                                    var noData='{{trans("all.noData")}}';
                                    if (count==0) {
                                        console.log('test');
                                        $('.noData').css('display','block!important');
                                        $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                    }
                                }else{
                                    swal({
                                        title: 'عذرا!!',
                                        text: 'حدث خطأ ما',
                                        icon: 'error',
                                        confirmButtonText: 'موافق',
                                    });
                                }
                            }
                        });
                    } else if (
                        // Read more about handling dismissals
                        result.dismiss === Swal.DismissReason.cancel
                        ) {
                        swal.fire({
                            title: 'تم الإلغاء!',
                            text: 'لم يتم حذف البيانات',
                            icon: 'error',
                            confirmButtonText: 'موافق',
                        });
                    }
                })
            }
        });
    </script>
@endsection
