@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الرواتب</a></li>
                            <li class="breadcrumb-item active">كل الرواتب</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الرواتب</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['salaries-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة راتب</button>
                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
{{--                         <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ Add New</button>
 --}}
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>النوع</th>
                                    <th>الموظف</th>
                                    <th>المبلغ</th>
                                    <th>ملاحظات</th>
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($payments as $index => $payment)
                                    <tr id="tr_{{$payment->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $payment->expense->title }}</td>
                                        <td><a href="{{ route('employees.show', $payment->employee->id) }}">{{ $payment->employee->name }}</a></td>
                                        <td>{{ number_format($payment->amount, 0, ',', ',') }}</td>
                                        <td>{{ Str::words($payment->notes, 3, '...') }}</td>
                                        <td>{{$payment->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$payment->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('salaries-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$payment->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('salaries-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$payment->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="7" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد رواتب حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store payment -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة راتب جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="expense_id" class="mr-2">النوع</label>
                                        <select class="custom-select" id="expense_id" name="expense_id" readonly>
                                            @foreach ($expenses as $expense)
                                                @if($expense->id == 1)
                                                    <option value="{{ $expense->id }}">{{ $expense->title }}</option>
                                                @endif
                                            @endforeach
                                        </select>
                                        <small id="expense_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="employee_id" class="mr-2">الموظف</label>
                                        <select class="custom-select" id="employee_id" name="employee_id" required="">
                                            <option value="">اختر الموظف</option>
                                            @foreach ($employees as $employee)
                                                <option value="{{ $employee->id }}" data-id="{{ $employee->id }}">{{ $employee->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="employee_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount">المبلغ</label>

                                        {{-- <input type="number" class="form-control" id="amount" name="amount" required=""> --}}
                                        <input type="text" min=0 onfocus="formatNumberInput('amount')" onblur="formatNumberInput('amount')" class="form-control" id="amount" name="amount" required="">
                                        <small id="amount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="section">القسم</label>
                                        <input type="text" class="form-control" id="section" disabled>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="notes">ملاحظات</label>
                                        <textarea id="notes" name="notes" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="employee_notes">ملاحظة في حساب الموظف</label>
                                        <textarea id="employee_notes" name="employee_notes" id="employee_notes" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

        <!--  Modal content for the edit payment -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل راتب</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>
                            <input type="hidden" class="form-control" id="employee_id_edit" name="employee_id">

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="expense_id_edit" class="mr-2">النوع</label>
                                        <select class="custom-select" id="expense_id_edit" name="expense_id">
                                            @foreach ($expenses as $expense)
                                                <option value="{{ $expense->id }}">{{ $expense->title }}</option>
                                            @endforeach
                                        </select>
                                        <small id="expense_id_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="employee_edit" class="mr-2">الموظف</label>
                                        <input type="text" class="form-control" id="employee_edit" name="employee_id" disabled>
                                        <small id="employee_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="amount_edit">المبلغ</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('amount_edit')" onblur="formatNumberInput('amount_edit')" class="form-control" id="amount_edit" name="amount" required="">
                                        <small id="amount_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="section_edit">القسم</label>
                                        <input type="text" class="form-control" id="section_edit" disabled>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="notes_edit">ملاحظات</label>
                                        <textarea id="notes_edit" name="notes" id="" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="employee_notes_edit">ملاحظة في حساب الموظف</label>
                                        <textarea id="employee_notes_edit" name="employee_notes" id="employee_notes_edit" cols="30" rows="5" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }

            // start add block Send
                $('.addBlockRequest').click(function () {
                    $("#expense_id_error").text('');
                    $("#employee_id_error").text('');
                    $("#amount_error").text('');
                    let newUrl = '{{ route("salaries.store") }}';
                    let formData = new FormData($('#addBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                    $("#" + key + "_error").text(val[0]);
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                    swal.fire({
                                            title: 'إضافة!',
                                            text: 'تمت الإضافة بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                    location.reload(true)
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }

                            }
                        });

                });
            // add block Send
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/salaries') }}';
                var newUrl = urlService + '/' + id;
               // console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    //console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });


            $(document).on("click",".openEditBlock",function() {
                $("#editBlockRequest").trigger("reset");
                let blockID = $(this).data('id');
                let urlService = '{{ url('/salaries') }}';
                var newUrl = urlService + '/' + blockID;
                //console.log('newUrl',newUrl);
                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        var amount = response.success.amount;
                        amount = amount.toString().replace(/[^0-9]/g, '');
                        const formattedTotal = amount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        $('.editModal #amount_edit').val(formattedTotal);


                        $('.editModal #idOfAttr').val(response.success.id);
                      //  $('.editModal #amount_edit').val(response.success.amount);
                        $('.editModal #notes_edit').val(response.success.notes);
                        $('.editModal #employee_notes_edit').val(response.success.employee.notes);
                        $('.editModal #section_edit').val(response.success.employee.section.title);
                        $('.editModal #employee_edit').val(response.success.employee.name);
                        $('.editModal #employee_id_edit').val(response.success.employee.id);

                        $(".editModal").modal("toggle");
                    }
                });
            });
        //end open edit block modal
        //start edit block modal
            $('.editBlockRequest').click(function() {
                $("#name-ar_error").text('');
                $("#name-en_error").text('');

                let blockID = $('#idOfAttr').val();
                let urlService = '{{ url('/salaries') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData($('#editBlockRequest')[0]);
                formData.append('_token', '{{ csrf_token() }}');
                formData.append('_method', 'PUT');

                    $.ajax({
                        url: newUrl,
                        type: 'POST',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            var response1 = $.parseJSON(response.responseText);
                            $.each(response1.errors, function (key, val) {
                                key = key.replace('.', "-");
                                $("#" + key + "_error").text(val[0]);
                            });
                        },
                        success: function (response) {
                            if(response.success){
                                    swal.fire({
                                            title: 'تعديل!',
                                            text: 'تم التعديل بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        setTimeout(function(){
                                            location.reload(true);
                                        }, 1000);
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }
                        }
                    });

            });
        //end edit block-add modal


        //start select employee
        $(document).on("change","#employee_id",function() {
                var selectedOptionId = $(this).children("option:selected").data('id');
                console.log('selectedOptionId',selectedOptionId);
                if(selectedOptionId == null){
                    $('#addBlockRequest #amount').val('');
                    $('#addBlockRequest #section').val('');
                    $('#addBlockRequest #employee_notes').val('');
                } else {
                    var selectedOptionId = $(this).children("option:selected").data('id');

                    let urlService = '{{ url('/salaries/employee') }}';
                    var newUrl = urlService + '/' + selectedOptionId;
                    let formData = new FormData();
                    formData.append('_token', '{{ csrf_token() }}');
                    $.ajax({
                        url: newUrl,
                        type: 'Get',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            console.log(response);
                        },
                        success: function (response) {
                            var amount = response.success.salary;
                            amount = amount.toString().replace(/[^0-9]/g, '');
                            const formattedTotal = amount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                            $('#addBlockRequest #amount').val(formattedTotal);

                           // $('#addBlockRequest #amount').val(response.success.salary);
                            $('#addBlockRequest #section').val(response.success.section.title);
                            $('#addBlockRequest #employee_notes').val(response.success.notes);
                            /* $('.editModal #idOfAttr').val(response.success.id);

                            $('.editModal #notes_edit').val(response.success.notes);
                            $('#expense_id_edit option').each(function() {
                                if ($(this).val() == response.success.expense_id) {
                                    $(this).prop('selected', true);
                                }
                            });
                            $(".editModal").modal("toggle"); */
                        }
                    });
                }

            });
        //end select employee
        </script>
@endsection
