@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('subscriptions.index') }}">الاشتراكات</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('subscriptions.store')}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="form-control" name="category_id" id="category_id" required>
                                            <option value="">اختر الفئة</option>
                                            @foreach ( $categories as $category )
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}" data-type="{{ $category->type }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="teacher_id1">المعلم</label>
                                        <select class="form-control" name="teacher_id1" id="teacher_id1" required>
                                        </select>
                                        @error('card_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="form-control" name="card_id" id="card_id1" required>
                                        </select>
                                        @error('card_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards')" onblur="formatNumberInput('number_of_cards')"
                                         class="form-control" id="number_of_cards" name="number_of_cards" required="">
                                         @error('number_of_cards')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="total">السعر الإجمالي</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('total')" onblur="formatNumberInput('total')" readonly
                                         class="form-control" id="total" name="total" required="">
                                        <small id="total_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="example-date-input">التاريخ</label>
                                        <input class="form-control" type="date" value="{{ \Carbon\Carbon::parse(now())->format('Y-m-d') }}" id="example-date-input" name="created_at"  value="">
                                    </div>
                                </div>


                            </div>
                            <div class="row" id="discountSection">
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <label for="discount" class="form-label">خصم</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="discount" id="discount" value="active" >
                                            <label class="custom-control-label" for="discount">خصم</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="discount_value">قيمة الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('discount_value')" onblur="formatNumberInput('discount_value')"
                                         class="form-control" id="discount_value" name="discount_value" readonly>
                                        <small id="discount_value_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="price_after_discount">السعر بعد الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price_after_discount')" onblur="formatNumberInput('price_after_discount')" readonly
                                         class="form-control" id="price_after_discount" name="price_after_discount" required="">
                                        <small id="price_after_discount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->

        <script>
            function formatNumberInput(inputId) {
                        document.getElementById(inputId).addEventListener('input', function(e) {

                        let value = e.target.value;
                        value = value.replace(/[^0-9]/g, '');
                        const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        e.target.value = formattedValue;

                        if(inputId == 'number_of_cards'){
                            var price = $('#card_id1').children("option:selected").data('price');
                            var total = value * price;
                            total = total.toString().replace(/[^0-9]/g, '');
                            const formattedTotal = total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                            $('#total').val(formattedTotal);
                        }

                        if(inputId == 'discount_value'){
                            var discountValue = $('#discount_value').val();
                            discountValue1 = discountValue.toString().replace(/[^0-9]/g, '');
                            var total = $('#total').val();
                            total1 = total.toString().replace(/[^0-9]/g, '');
                            var priceAfterDiscount = total1 - discountValue1;
                            priceAfterDiscount = priceAfterDiscount.toString().replace(/[^0-9]/g, '');
                            const formattedPriceAfterDiscount = priceAfterDiscount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                            $('#price_after_discount').val(formattedPriceAfterDiscount);
                        }
                    });
                }
           $(document).ready(function() {
            // Get the discount checkbox, discount value input, and price after discount input elements
                const discountCheckbox = document.getElementById('discount');
                const discountValueInput = document.getElementById('discount_value');
                const priceAfterDiscountInput = document.getElementById('price_after_discount');

            // Add an event listener to the discount checkbox
                discountCheckbox.addEventListener('change', function() {
                    if (discountCheckbox.checked) {
                        // If the discount checkbox is checked, remove the readonly attribute from the discount value and price after discount inputs
                        discountValueInput.removeAttribute('readonly');
                        priceAfterDiscountInput.removeAttribute('readonly');
                    } else {
                        // If the discount checkbox is unchecked, add the readonly attribute to the discount value and price after discount inputs
                        discountValueInput.setAttribute('readonly', 'readonly');
                        priceAfterDiscountInput.setAttribute('readonly', 'readonly');
                        $('#discount_value').val('');
                        $('#price_after_discount').val('');
                    }
                });




                $('#teacher_id1').select2({
                    placeholder: "ابحث عن المعلم",
                    allowClear: true,
                });
                //start select category
                    $(document).on("change","#category_id",function() {
                        var selectedOptionId = $(this).children("option:selected").data('id');
                        var selectedOptionType = $(this).children("option:selected").data('type');
                        if(selectedOptionType == 'amount'){
                            $('#discountSection').hide();
                        } else {
                            $('#discountSection').show();

                        }
                        if(selectedOptionId == null){
                            $('#teacher_id1').html('');
                            $('#card_id1').html('');
                        } else {
                            var selectedOptionId = $(this).children("option:selected").data('id');

                            let urlService = '{{ url('/category') }}';
                            var newUrl = urlService + '/' + selectedOptionId+ '/teachers';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                            console.log('newUrl',newUrl);
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    $('#teacher_id1').html('');
                                    $('#card_id1').html('');
                                    $('#teacher_id1').append(`<option value="">اختر معلم</option>`);
                                    response.success.forEach(element => {
                                        $('#teacher_id1').append(`<option value="${element.id}" data-id="${element.id}">${element.name}</option>`);
                                    });
                                }
                            });
                        }

                    });
                //end select category
                //start select teacher
                    $(document).on("change","#teacher_id1",function() {
                        var selectedOptionId = $(this).children("option:selected").data('id');
                        var selectedCategoryId = $('#category_id').children("option:selected").data('id');
                         console.log('selectedOptionId',selectedOptionId);
                         console.log('selectedCategoryId',selectedCategoryId);
                        if(selectedOptionId == null){
                            $('#card_id1').html('');
                        } else {
                            var selectedOptionId = $(this).children("option:selected").data('id');

                            let urlService = '{{ url('/teacher') }}';
                            var newUrl = urlService + '/' + selectedOptionId+'/category/' + selectedCategoryId + '/cards';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                            console.log('newUrl',newUrl);
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    $('#card_id1').html('');
                                    $('#card_id1').append(`<option value="">اختر بطاقة</option>`);

                                    response.success.forEach(element => {
                                        //console.log('element',element);
                                        //console.log('element.courses',element.courses);
                                        let courses ='' ;
                                        element.courses.forEach(course => {
                                            //console.log('course',course);
                                            courses = courses +  course.title + ' - ';
                                        });
                                        //console.log('courses',courses);
                                        $('#card_id1').append(`<option value="${element.id}" data-price="${element.category.price}">${courses}</option>`);
                                    });
                                }
                            });
                        }
                    });
                //end select teacher
            });

        </script>
@endsection
