@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('subscriptions.index') }}">الاشتراكات</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('subscriptions.update', $subscription->id)}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @method('PUT')
                            <input type="hidden" name="id" value="{{ $subscription->id }}">

                            {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif --}}
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="custom-select" id="category_id" name="category_id" disabled>
                                            <option value="">اختر فئة</option>
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}" @selected($category->id == $subscription->category_id)>{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="category_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="teacher_id1" class="mr-2">المعلم</label>
                                        <select class="custom-select" id="teacher_id1" name="teacher_id" disabled>
                                            @foreach ($teachers as $teacher)
                                                <option value="{{ $teacher->id }}" data-id="{{ $teacher->id }}" @selected($teacher->id == $subscription->teacher_id)>{{ $teacher->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="teacher_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="custom-select" id="card_id1" name="card_id" disabled>
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}" data-price = "{{ $card->category->price }}">
                                                    @foreach ($subscription->card->courses as $course )
                                                    {{$course->title }}
                                                    @if(!$loop->last)
                                                        -
                                                    @endif
                                                    @endforeach
                                                </option>
                                            @endforeach
                                        </select>
                                        <small id="card_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards')" onblur="formatNumberInput('number_of_cards')"
                                         class="form-control" id="number_of_cards" name="number_of_cards" required="" value="{{$subscription->number_of_cards}}" disabled>
                                        <small id="number_of_cards_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="total">السعر الإجمالي</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('total')" onblur="formatNumberInput('total')" readonly
                                         class="form-control" id="total" name="total" required="" value="@if ($subscription->discount){{ number_format($subscription->price_befor_discount, 0, ',', ',') }}@else {{ number_format($subscription->total, 0, ',', ',') }}@endif">
                                        <small id="total_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <label for="discount" class="form-label">خصم</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="discount" id="discount" value="active" @checked($subscription->discount) disabled>
                                            <label class="custom-control-label" for="discount">خصم</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="discount_value">قيمة الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('discount_value')" onblur="formatNumberInput('discount_value')" disabled
                                         class="form-control" id="discount_value" name="discount_value" readonly value="@if ($subscription->discount) {{$subscription->price_befor_discount - $subscription->total}} @endif">
                                        <small id="discount_value_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="price_after_discount">السعر بعد الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price_after_discount')" onblur="formatNumberInput('price_after_discount')" readonly
                                         class="form-control" id="price_after_discount" name="price_after_discount" required="" value="@if ($subscription->discount) {{$subscription->total}} @endif">
                                        <small id="price_after_discount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="example-date-input">التاريخ</label>
                                        <input class="form-control" type="date" id="example-date-input" name="created_at"  value="{{ \Carbon\Carbon::parse($subscription->created_at)->format('Y-m-d') }}">
                                    </div>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->

        <script>
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }

            //start select employee
            $(document).on("change","#teacher_id",function() {
                var selectedOptionId = $(this).children("option:selected").data('id');

                let urlService = '{{ url('/teacher') }}';
                var newUrl = urlService + '/' + selectedOptionId+ '/courses';
                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        $('#courses').html('');
                        response.success.courses.forEach(element => {
                            $('#courses').append(`<div class="col-12 col-md-3">
                                <div class="checkbox checkbox-primary">
                                    <input type="checkbox" id="courses${element.id}"  value="${element.id}" name="courses[]">
                                    <label  for="courses${element.id}">
                                        ${element.title}
                                    </label>
                                </div>
                            </div>`);
                        });
                    }
                });


            });
        //end select employee
</script>
@endsection
