@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الاشتراكات</a></li>
                            <li class="breadcrumb-item active">كل الاشتراكات</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الاشتراكات</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-4">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-4 align-self-center">
                                <div class="icon-info">
                                    <i class="dripicons-card text-purple"></i>
                                </div>
                            </div>
                            <div class="col-8 align-self-center text-right">
                                <div class="ml-2">
                                    <div class="ml-2">
                                        <p class="mb-0 text-muted">عدد الاشتراكات</p>
                                        <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($subscriptions_count, 0, ',', ',') }}</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="progress mt-2" style="height:3px;">
                            <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
            <div class="col-8">
                @if(auth('admin')->check() && auth('admin')->user()->can('subscriptions-add'))
                   {{--  <a href={{ route('subscriptions.create') }} type="button" class="btn btn-primary mb-3">+ إضافة</a> --}}
                    <a href={{ route('subscriptions.create') }} class="btn btn-primary waves-effect waves-light float-right mb-3">+ إضافة </a>

                @endif
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('subscriptions.filter') }}" method="GET" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="form-control" name="category_id" id="category_id" required>
                                            <option value="">اختر الفئة</option>
                                            @foreach ( $categories as $category )
                                                <option value="{{ $category->id }}"  @selected($category_id == $category->id) data-id="{{ $category->id }}" data-teacher="{{ auth('teacher')->user()->id }}" data-type="{{ $category->type }}">{{ $category->name }}</option>

                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                @if(auth('admin')->check() && auth('admin')->user()->canAny(['subscriptions-add']) || auth('partner')->check())

                                <div class="col-sm-12 col-md-4 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="teacher_id1">المعلم</label>
                                        <select class="form-control" name="teacher_id" id="teacher_id1" >
                                            <option value="">اختر المعلم</option>
                                            @foreach ($teachers as $teacher)
                                                <option value="{{ $teacher->id }}" @selected($teacher_id == $teacher->id) data-id="{{ $teacher->id }}">{{ $teacher->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('teacher_id1')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                @endif
                                @if(auth('teacher')->check())
                                <div class="col-sm-12 col-md-4 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="teacher_id">المعلم</label>
                                        <select class="form-control" name="teacher_id" id="teacher_id" disabled>
                                            <option value="">اختر المعلم</option>
                                            @foreach ($teachers as $teacher)
                                                <option value="{{ $teacher->id }}" @selected($teacher_id == $teacher->id) data-id="{{ $teacher->id }}">{{ $teacher->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('teacher_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                @endif

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="form-control" name="card_id" id="card_id1" >
                                            <option value="">اختر البطاقة</option>
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}" @selected($card_id == $card->id) data-id="{{ $card->id }}">
                                                    @foreach ($card->courses as $course )
                                                    {{ $course->title }}
                                                    @if(!$loop->last)
                                                        -
                                                    @endif
                                                    @endforeach</option>
                                            @endforeach
                                        </select>
                                        @error('card_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">من</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="from"  value="{{ $from }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-5">
                                    <div class="form-group row">
                                        <label for="example-date-input" class="col-sm-2 col-form-label text-right">الى</label>
                                        <div class="col-sm-10">
                                            <input class="form-control" type="date" id="example-date-input" name="to"  value="{{ $to }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="col-sm-12 text-right">
                                        <button type="submit" class="btn btn-primary px-5 py-2">بحث</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>الفئة</th>
                                    <th>البطاقة</th>
                                    <th>المعلم</th>
                                    <th>العدد</th>
                                    {{-- <th>السعر</th> --}}
                                    {{-- <th>خصم؟</th> --}}
                                    @if(auth('admin')->check() || auth('partner')->check())
                                        <th>المجموع</th>
                                    @endif

                                    {{--  <th>نسبة المعلم</th> --}}
                                    <th>حصة المعلم</th>
                                    @if(auth('admin')->check() || auth('partner')->check())
                                        <th>حصة الشركاء</th>
                                    @endif
                                    <th>التاريخ</th>
                                    @if(auth('admin')->check() || auth('partner')->check())
                                        <th>العمليات</th>
                                    @endif

                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($subscriptions as $index => $subscription)
                                    <tr id="tr_{{$subscription->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $subscription->category->name }}</td>
                                        <td>
                                            @foreach ($subscription->card->courses as $course )
                                            {{ $course->title }}
                                            @if(!$loop->last)
                                                -
                                            @endif
                                            @endforeach
                                        </td>
                                        <td><a href="{{ route('teachers.show', $subscription->card->teacher->id) }}">{{ $subscription->card->teacher->name }}</a></td>
                                        <td>{{ number_format($subscription->number_of_cards, 0, ',', ',') }}</td>
                                        {{-- <td>{{ number_format($subscription->price, 0, ',', ',') }}</td> --}}
                                        {{-- <td>
                                            @if(!$subscription->discount)
                                                <div class="tb-tnx-status" >
                                                    <span class="badge badge-dot bg-success text-white" style="text-transform: capitalize">لا يوجد</span>
                                                </div>
                                            @else
                                                <div class="tb-tnx-status">
                                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">يوجد خصم</span>
                                                </div>
                                            @endif
                                        </td> --}}
                                        @if(auth('admin')->check() || auth('partner')->check())
                                            <td>{{ number_format($subscription->total, 0, ',', ',') }}</td>
                                        @endif

                                       {{--  <td>{{$subscription->teacher_percentage}}%</td> --}}
                                        <td>{{ number_format($subscription->teacher_amount, 0, ',', ',') }}</td>
                                        @if(auth('admin')->check() || auth('partner')->check())
                                            <td>{{ number_format($subscription->partners_amount, 0, ',', ',') }}</td>
                                        @endif
                                        <td>{{$subscription->created_at}}</td>
                                        @if(auth('admin')->check() || auth('partner')->check())
                                            <td>
                                                <div class="flex space-x-2" id="btn-section_{{$subscription->id}}">

                                                    @if(auth('admin')->check() && auth('admin')->user()->can('subscriptions-edit'))
                                                        <a href="{{route('subscriptions.edit', $subscription->id) }}" class="btn btn-primary waves-effect waves-light">تعديل</a>
                                                    @endif
                                                    @if(auth('admin')->check() && auth('admin')->user()->can('subscriptions-delete'))
                                                        <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$subscription->id}}" >حذف</button>
                                                    @endif
                                                </div>
                                            </td>
                                        @endif
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="11" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد اشتراكات </div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store subscription -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة اشتراك جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category_id" class="mr-2">الفئة</label>
                                        <select class="custom-select" id="category_id" name="category_id">
                                            <option value="">اختر فئة</option>
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}" data-id="{{ $category->id }}">{{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="category_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="teacher_id1" class="mr-2">المعلم</label>
                                        <select class="custom-select" id="teacher_id1" name="teacher_id">
                                        </select>
                                        <small id="teacher_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id1" class="mr-2">البطاقة</label>
                                        <select class="custom-select" id="card_id1" name="card_id">
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}" data-price = "{{ $card->category->price }}">{{ $card->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="card_id_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards">عدد البطاقات</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('number_of_cards')" onblur="formatNumberInput('number_of_cards')"
                                         class="form-control" id="number_of_cards" name="number_of_cards" required="">
                                        <small id="number_of_cards_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="total">السعر الإجمالي</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('total')" onblur="formatNumberInput('total')" readonly
                                         class="form-control" id="total" name="total" required="">
                                        <small id="total_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <label for="discount" class="form-label">خصم</label>
                                    <div class="form-group mx-3">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="discount" id="discount" value="active">
                                            <label class="custom-control-label" for="discount">خصم</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="discount_value">قيمة الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('discount_value')" onblur="formatNumberInput('discount_value')"
                                         class="form-control" id="discount_value" name="discount_value" readonly>
                                        <small id="discount_value_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="price_after_discount">السعر بعد الخصم</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price_after_discount')" onblur="formatNumberInput('price_after_discount')" readonly
                                         class="form-control" id="price_after_discount" name="price_after_discount" required="">
                                        <small id="price_after_discount_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <!--  Modal content for the edit subscription -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل اشتراك</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="card_id_edit" class="mr-2">البطاقة</label>
                                        <select class="custom-select" id="card_id_edit" name="card_id">
                                            @foreach ($cards as $card)
                                                <option value="{{ $card->id }}">{{ $card->name }}</option>
                                            @endforeach
                                        </select>
                                        <small id="card_id_edit_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="number_of_cards_edit">عدد البطاقات</label>
                                        <input type="text" class="form-control" id="number_of_cards_edit" name="number_of_cards" required="">
                                        <small id="number_of_cards_edit_error" class="form-text text-danger"></small>

                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
        $(document).ready(function() {
            // Get the discount checkbox, discount value input, and price after discount input elements
                const discountCheckbox = document.getElementById('discount');
                const discountValueInput = document.getElementById('discount_value');
                const priceAfterDiscountInput = document.getElementById('price_after_discount');

            // Add an event listener to the discount checkbox
            discountCheckbox.addEventListener('change', function() {
                if (discountCheckbox.checked) {
                    // If the discount checkbox is checked, remove the readonly attribute from the discount value and price after discount inputs
                    discountValueInput.removeAttribute('readonly');
                    priceAfterDiscountInput.removeAttribute('readonly');
                } else {
                    // If the discount checkbox is unchecked, add the readonly attribute to the discount value and price after discount inputs
                    discountValueInput.setAttribute('readonly', 'readonly');
                    priceAfterDiscountInput.setAttribute('readonly', 'readonly');
                    $('#discount_value').val('');
                    $('#price_after_discount').val('');
                }
            });


            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {

                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;

                    if(inputId == 'number_of_cards'){
                        var price = $('#card_id1').children("option:selected").data('price');
                        var total = value * price;
                        total = total.toString().replace(/[^0-9]/g, '');
                        const formattedTotal = total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        $('#total').val(formattedTotal);
                    }

                    if(inputId == 'discount_value'){
                        var discountValue = $('#discount_value').val();
                        discountValue1 = discountValue.toString().replace(/[^0-9]/g, '');
                        var total = $('#total').val();
                        total1 = total.toString().replace(/[^0-9]/g, '');
                        var priceAfterDiscount = total1 - discountValue1;
                        priceAfterDiscount = priceAfterDiscount.toString().replace(/[^0-9]/g, '');
                        const formattedPriceAfterDiscount = priceAfterDiscount.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        $('#price_after_discount').val(formattedPriceAfterDiscount);
                    }
                });
            }

            // start add block Send
                $('.addBlockRequest').click(function () {
                    $("#card_id_error").text('');
                    $("#number_of_cards_error").text('');
                    let newUrl = '{{ route("subscriptions.store") }}';
                    let formData = new FormData($('#addBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                //console.log('errors',response1.errors);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                   // console.log(key);
                                   // console.log("#" + key + "_error");
                                    $("#" + key + "_error").text(val[0]);
                                   // console.log( $("#" + key + "_error").val());
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                    swal.fire({
                                            title: 'إضافة!',
                                            text: 'تمت الإضافة بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                    location.reload(true)
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }

                            }
                        });

                });
            // add block Send
            //Delete Role
                $(document).on("click",".delete-row",function() {
                    var id=$(this).attr("data-id");
                    let serviceID = $(this).data('id');
                    let urlService = '{{ url('/subscriptions') }}';
                    var newUrl = urlService + '/' + id;
                    // console.log(id);

                        swal.fire({
                            title: 'هل أنت متأكد؟',
                            text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                            type: 'warning',
                            showCancelButton: true,
                            confirmButtonText: 'نعم، متأكد من الحذف',
                            cancelButtonText: 'لا، إلغاء',
                            reverseButtons: true
                        }).then((result) => {
                            if (result.value) {
                                $.ajax({
                                    type: "DELETE",
                                    url: newUrl,
                                    data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                    dataType:"json",
                                    success: function (response) {
                                        //console.log(response);
                                        if (response.error==false) {
                                            swal.fire({
                                                title: 'حذف!',
                                                text: 'تم الحذف بنجاح',
                                                icon: 'success',
                                                confirmButtonText: 'موافق',
                                            });
                                            // $(this).closest('tr').remove();
                                            $('#tr_'+id).remove();
                                            var count=parseInt($("#table tr").length)-1;
                                            var noData='{{trans("all.noData")}}';
                                            if (count==0) {
                                                console.log('test');
                                                $('.noData').css('display','block!important');
                                                $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                            }
                                        }else{
                                            swal({
                                                title: 'عذرا!!',
                                                text: response.error,
                                                icon: 'error',
                                                confirmButtonText: 'موافق',
                                            });
                                        }
                                    }
                                });
                            } else if (
                                // Read more about handling dismissals
                                result.dismiss === Swal.DismissReason.cancel
                                ) {
                                swal.fire({
                                    title: 'تم الإلغاء!',
                                    text: 'لم يتم حذف البيانات',
                                    icon: 'error',
                                    confirmButtonText: 'موافق',
                                });
                            }
                        })

                });
            //Delete Role
            //start open edit block modal
                $(document).on("click",".openEditBlock",function() {
                    $("#editBlockRequest").trigger("reset");
                    let blockID = $(this).data('id');
                    let urlService = '{{ url('/subscriptions') }}';
                    var newUrl = urlService + '/' + blockID;

                    let formData = new FormData();
                    formData.append('_token', '{{ csrf_token() }}');
                    $.ajax({
                        url: newUrl,
                        type: 'Get',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            console.log(response);
                        },
                        success: function (response) {
                            $('.editModal #idOfAttr').val(response.success.id);
                            $('.editModal #number_of_cards_edit').val(response.success.number_of_cards);
                            $('#card_id_edit option').each(function() {
                                if ($(this).val() == response.success.card_id) {
                                    $(this).prop('selected', true);
                                }
                            });
                            $(".editModal").modal("toggle");
                        }
                    });
                });
            //end open edit block modal
            //start edit block modal
                $('.editBlockRequest').click(function() {
                    $("#name-ar_error").text('');
                    $("#name-en_error").text('');

                    let blockID = $('#idOfAttr').val();
                    let urlService = '{{ url('/subscriptions') }}';
                    var newUrl = urlService + '/' + blockID;

                    let formData = new FormData($('#editBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                    formData.append('_method', 'PUT');

                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                    $("#" + key + "_error").text(val[0]);
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                        swal.fire({
                                                title: 'تعديل!',
                                                text: 'تم التعديل بنجاح',
                                                icon: 'success',
                                                confirmButtonText: 'موافق',
                                            });
                                            setTimeout(function(){
                                                location.reload(true);
                                            }, 1000);
                                    } else {
                                        swal({
                                                title: 'عذرا!!',
                                                text: response.error,
                                                icon: 'error',
                                                confirmButtonText: 'موافق',
                                            });
                                    }
                            }
                        });

                });
            //end edit block-add modal


                //start select teacher
                    $(document).on("change","#category_id",function() {
                        var selectedOptionId = $('#category_id').children("option:selected").data('teacher');
                        var selectedCategoryId = $('#category_id').children("option:selected").data('id');
                         console.log('selectedOptionId',selectedOptionId);
                         console.log('selectedCategoryId',selectedCategoryId);
                        if(selectedOptionId == null){
                            $('#card_id1').html('');
                        } else {
                            var selectedOptionId = $('#category_id').children("option:selected").data('teacher');

                            let urlService = '{{ url('/teacher') }}';
                            var newUrl = urlService + '/' + selectedOptionId+'/category/' + selectedCategoryId + '/cards';
                            let formData = new FormData();
                            formData.append('_token', '{{ csrf_token() }}');
                            console.log('newUrl',newUrl);
                            $.ajax({
                                url: newUrl,
                                type: 'Get',
                                processData: false,
                                contentType: false,
                                data: formData,
                                beforeSend: function () {
                                },
                                error: function (response) {
                                    console.log(response);
                                },
                                success: function (response) {
                                    $('#card_id1').html('');
                                    $('#card_id1').append(`<option value="">اختر بطاقة</option>`);

                                    response.success.forEach(element => {
                                        //console.log('element',element);
                                        //console.log('element.courses',element.courses);
                                        let courses ='' ;
                                        element.courses.forEach(course => {
                                            //console.log('course',course);
                                            courses = courses +  course.title + ' - ';
                                        });
                                        //console.log('courses',courses);
                                        $('#card_id1').append(`<option value="${element.id}" data-price="${element.category.price}">${courses}</option>`);
                                    });
                                }
                            });
                        }
                    });
                //end select teacher


        });


    </script>
@endsection
