@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('supervisors.index') }}">المشرفون</a></li>
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{Route('supervisors.update',$admin->id)}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                            @csrf
                            @method('PUT')
                            <input type="hidden" name="id" value="{{ $admin->id }}">

                            {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif --}}
                            <div class="row">
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="edit_name">الاسم</label>
                                        <input type="text" class="form-control @if($errors->has('edit_name')) is-invalid @endif"
                                               id="edit_name" name="edit_name" required="" autocomplete="off" value="{{ $admin->name }}">
                                        @error('edit_name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="email">البريد الالكتروني</label>
                                        <input type="email" class="form-control @if($errors->has('email')) is-invalid @endif" id="email" name="email" required="" value="{{ $admin->email }}" >
                                        @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="password">كلمة المرور</label>
                                        <input type="password" class="form-control @if($errors->has('password')) is-invalid @endif" id="password" name="password" autocomplete="new-password">
                                        @error('password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="phone">رقم الهاتف</label>
                                        <input type="number" class="form-control @if($errors->has('phone')) is-invalid @endif" id="phone" name="phone" required=""  value="{{ $admin->phone }}">
                                        @error('phone')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <label for="avatar">الصورة الشخصية</label>
                                        @if($admin->hasMedia('avatar'))
                                            <input type="file" name="avatar" id="input-file-now-custom-1" class="dropify" data-default-file="{{ $admin->getFirstMedia('avatar')->getUrl() }}"/>
                                        @else
                                            <input type="file" name="avatar" id="input-file-now-custom-1" class="dropify" data-default-file=""/>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center ">
                                    <label class="form-label">مفعل</label>
                                    <div class="form-group">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" @if($admin->status=='active')checked="checked"@endif>
                                            <label class="custom-control-label" for="status">مفعل</label>
                                            @error('status')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12">
                                    <div class="form-group">
                                        <label for="status-select" class="mr-2">الدور</label>
                                        <div class="row">
                                            @foreach ($roles as $role)
                                                    <div class="col-12 col-md-3 checkbox checkbox-primary">
                                                        <input type="checkbox" id="role_{{$role->id}}" @if($admin->hasRole($role->name)) checked="checked"@endif value="{{$role->id}}" name="roles_name[]">
                                                        <label  for="role_{{$role->id}}">
                                                            {{ $role->name }}
                                                        </label>
                                                    </div>
                                            @endforeach
                                        </div>
                                        @error('roles_name')
                                            <span class="invalid-feedback" style="display: block" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->


@endsection
