@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">الملازم</a></li>
                            <li class="breadcrumb-item active">كل الملازم</li>
                        </ol>
                    </div>
                    <h4 class="page-title">كل الملازم</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->

        <div class="row">
            <div class="col-12">
                @if(auth('admin')->check() && auth('admin')->user()->canAny(['supplies-add']))
                    <button type="button" class="btn btn-primary waves-effect waves-light float-right mb-3" data-toggle="modal" data-animation="bounce" data-target=".bs-example-modal-lg">+ إضافة </button>
                @endif

            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <tr>
                                    <th>#</th>
                                    <th>العنوان</th>
                                    <th>السعر</th>
                                    <th>البطاقة</th>
                                    <th>الكمية</th>
                                    <th>التاريخ</th>
                                    <th>العمليات</th>
                                </tr>
                            </tr>
                            </thead>
                            <tbody>
                                @forelse($supplies as $index => $supply)
                                    <tr id="tr_{{$supply->id}}">
                                        <td>{{ ++$index }}</td>
                                        <td>{{ $supply->name }}</td>
                                        <td>{{ number_format($supply->price, 0, ',', ',') }}</td>
                                        <td>
                                            @if ($supply->card)
                                                @foreach ($supply->card->courses as $course )
                                                {{ $course->title }}
                                                @if(!$loop->last)
                                                    -
                                                @endif
                                                @endforeach
                                                / {{ $supply->card->teacher->name }}
                                            @endif

                                        </td>
                                        <td>{{ number_format($supply->quantity, 0, ',', ',') }}</td>
                                        <td>{{$supply->created_at}}</td>
                                        <td>
                                            <div class="flex space-x-2" id="btn-section_{{$supply->id}}">
                                                @if(auth('admin')->check() && auth('admin')->user()->can('supplies-edit'))
                                                    <button type="button" class="btn btn-primary waves-effect waves-light openEditBlock" data-id="{{$supply->id}}" data-toggle="modal" data-animation="bounce" data-target=".editModal">تعديل</button>
                                                @endif
                                                @if(auth('admin')->check() && auth('admin')->user()->can('supplies-delete'))
                                                    <button type="button"  class="btn btn-danger waves-effect waves-light delete-row" data-id="{{$supply->id}}" >حذف</button>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                    <tr class="noData">
                                        <td colspan="5" >
                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد ملازم حتى الآن</div></div>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> <!-- end col -->
        </div> <!-- end row -->
        <!--  Modal content for the store section -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">إضافة جديد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="addBlockRequest" class="needs-validation" novalidate role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="name">العنوان</label>
                                        <input type="text" class="form-control" id="name" name="name" required="">
                                        <small id="name_error" class="form-text text-danger"></small>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="price">السعر</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price')" onblur="formatNumberInput('price')" class="form-control" id="price" name="price" required="">
                                        <small id="price_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="quantity">الكمية</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('quantity')" onblur="formatNumberInput('quantity')" class="form-control" id="quantity" name="quantity" required="">
                                        <small id="quantity_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-12">
                                                <label for="card_id">البطاقة</label>
                                            </div>
                                            <div class="col-12">
                                                <select class="form-control" name="card_id" id="card_id">
                                                    @foreach ($cards as $card)
                                                        <option value="{{ $card->id }}">@foreach ($card->courses as $course )
                                                            {{ $course->title }}
                                                            @if(!$loop->last)
                                                                -
                                                            @endif
                                                            @endforeach
                                                            / {{ $card->teacher->name }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <button type="button" class="btn btn-sm btn-primary addBlockRequest">حفظ</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <!--  Modal content for the edit section -->
        <div class="modal fade editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="editModal">تعديل </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    </div>
                    <div class="modal-body">
                        <form action="#" id="editBlockRequest" class="needs-validation" novalidate role="form">
                            <input type="hidden" class="form-control" id="idOfAttr" name="id" required>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="name_edit">عدد البطاقات</label>
                                        <input type="text" class="form-control" id="name_edit" name="name" required="">
                                        <small id="name_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="price_edit">السعر</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('price_edit')" onblur="formatNumberInput('price_edit')" class="form-control" id="price_edit" name="price_edit" required="">
                                        <small id="price_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="quantity_edit">الكمية</label>
                                        <input type="text" min=0 onfocus="formatNumberInput('quantity_edit')" onblur="formatNumberInput('quantity_edit')" class="form-control" id="quantity_edit" name="quantity" required="">
                                        <small id="quantity_edit_error" class="form-text text-danger"></small>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-12">
                                                <label for="card_id_edit">البطاقة</label>
                                            </div>
                                            <div class="col-12">
                                                <select class="form-control" name="card_id" id="card_id_edit">
                                                    @foreach ($cards as $card)
                                                        <option value="{{ $card->id }}">
                                                            @foreach ($card->courses as $course )
                                                            {{ $course->title }}
                                                            @if(!$loop->last)
                                                                -
                                                            @endif
                                                            @endforeach
                                                            / {{ $card->teacher->name }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <button type="button" class="btn btn-sm btn-primary editBlockRequest">تعديل</button>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script type="text/javascript">
            function formatNumberInput(inputId) {
                document.getElementById(inputId).addEventListener('input', function(e) {
                    let value = e.target.value;
                    value = value.replace(/[^0-9]/g, '');
                    const formattedValue = value.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                    e.target.value = formattedValue;
                });
            }
            // start add block Send
                $('.addBlockRequest').click(function () {
                    $("#teacher_id_error").text('');
                    $("#name_error").text('');
                    let newUrl = '{{ route("supplies.store") }}';
                    let formData = new FormData($('#addBlockRequest')[0]);
                    formData.append('_token', '{{ csrf_token() }}');
                        $.ajax({
                            url: newUrl,
                            type: 'POST',
                            processData: false,
                            contentType: false,
                            data: formData,
                            beforeSend: function () {
                            },
                            error: function (response) {
                                var response1 = $.parseJSON(response.responseText);
                                $.each(response1.errors, function (key, val) {
                                    key = key.replace('.', "-");
                                    $("#" + key + "_error").text(val[0]);
                                });
                            },
                            success: function (response) {
                                if(response.success){
                                    swal.fire({
                                            title: 'إضافة!',
                                            text: 'تمت الإضافة بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                    location.reload(true)
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }

                            }
                        });

                });
            // add block Send
            //Delete Role
            $(document).on("click",".delete-row",function() {
                var id=$(this).attr("data-id");
                let serviceID = $(this).data('id');
                let urlService = '{{ url('/supplies') }}';
                var newUrl = urlService + '/' + id;
               // console.log(id);

                    swal.fire({
                        title: 'هل أنت متأكد؟',
                        text: 'بمجرد الحذف ، لن تتمكن من الاستعادة!',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'نعم، متأكد من الحذف',
                        cancelButtonText: 'لا، إلغاء',
                        reverseButtons: true
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: "DELETE",
                                url: newUrl,
                                data: {'id':id,'_token' :'{{csrf_token()}}','_method':"DELETE"},
                                dataType:"json",
                                success: function (response) {
                                    //console.log(response);
                                    if (response.error==false) {
                                        swal.fire({
                                            title: 'حذف!',
                                            text: 'تم الحذف بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        // $(this).closest('tr').remove();
                                        $('#tr_'+id).remove();
                                        var count=parseInt($("#table tr").length)-1;
                                        var noData='{{trans("all.noData")}}';
                                        if (count==0) {
                                            console.log('test');
                                            $('.noData').css('display','block!important');
                                            $('#table').append('<tr  class="noData"><td colspan="3"><div class="norows"><div class="alert text-center alert-warning" role="alert">'+noData+'</div></div></td></tr>');
                                        }
                                    }else{
                                        swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                    }
                                }
                            });
                        } else if (
                            // Read more about handling dismissals
                            result.dismiss === Swal.DismissReason.cancel
                            ) {
                            swal.fire({
                                title: 'تم الإلغاء!',
                                text: 'لم يتم حذف البيانات',
                                icon: 'error',
                                confirmButtonText: 'موافق',
                            });
                        }
                    })

            });


            $(document).on("click",".openEditBlock",function() {
                $("#editBlockRequest").trigger("reset");
                let blockID = $(this).data('id');
                let urlService = '{{ url('/supplies') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData();
                formData.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: newUrl,
                    type: 'Get',
                    processData: false,
                    contentType: false,
                    data: formData,
                    beforeSend: function () {
                    },
                    error: function (response) {
                        console.log(response);
                    },
                    success: function (response) {
                        const price = response.success.price;
                        const formattedPrice = price.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

                        const quantity = response.success.quantity;
                        const formattedQuantity = quantity.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                        console.log(' response.success.card_id',  response.success.card_id);

                        $('.editModal #idOfAttr').val(response.success.id);
                        $('.editModal #name_edit').val(response.success.name);
                        $('.editModal #price_edit').val(formattedPrice);
                        $('.editModal #quantity_edit').val(formattedQuantity);
                        $('.editModal #card_id_edit').val(response.success.card_id);
                        /* $('.editModal #card_id_edit').each(function() {
                            if ($(this).val() == response.success.card_id) {
                                $(this).prop('selected', true);
                            }
                        }); */

                        $(".editModal").modal("toggle");
                    }
                });
            });
        //end open edit block modal
        //start edit block modal
            $('.editBlockRequest').click(function() {
                $("#name-ar_error").text('');
                $("#name-en_error").text('');

                let blockID = $('#idOfAttr').val();
                let urlService = '{{ url('/supplies') }}';
                var newUrl = urlService + '/' + blockID;

                let formData = new FormData($('#editBlockRequest')[0]);
                formData.append('_token', '{{ csrf_token() }}');
                formData.append('_method', 'PUT');

                    $.ajax({
                        url: newUrl,
                        type: 'POST',
                        processData: false,
                        contentType: false,
                        data: formData,
                        beforeSend: function () {
                        },
                        error: function (response) {
                            var response1 = $.parseJSON(response.responseText);
                            $.each(response1.errors, function (key, val) {
                                key = key.replace('.', "-");
                                $("#" + key + "_edit_error").text(val[0]);
                            });
                        },
                        success: function (response) {
                            if(response.success){
                                    swal.fire({
                                            title: 'تعديل!',
                                            text: 'تم التعديل بنجاح',
                                            icon: 'success',
                                            confirmButtonText: 'موافق',
                                        });
                                        setTimeout(function(){
                                            location.reload(true);
                                        }, 1000);
                                } else {
                                    swal({
                                            title: 'عذرا!!',
                                            text: response.error,
                                            icon: 'error',
                                            confirmButtonText: 'موافق',
                                        });
                                }
                        }
                    });

            });
        //end edit block-add modal
        $(document).ready(function() {
                /* $('#teacher_id').select2({
                    placeholder: "ابحث عن المعلم", // Placeholder text
                    allowClear: true, // Allow clearing the selection
                });
                $('#teacher_id_edit').select2({
                    placeholder: "ابحث عن المعلم", // Placeholder text
                    allowClear: true, // Allow clearing the selection
                }); */
             /*   $('#card_id').select2({
                    placeholder: "ابحث عن البطاقة",
                    allowClear: true,
                });
                 $('#card_id_edit').select2({
                    placeholder: "ابحث عن البطاقة",
                    allowClear: true,
                }); */
            });
        </script>
@endsection
