@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            @if(auth('admin')->check())
                                <li class="breadcrumb-item"><a href="{{ route('teachers.index') }}">المعلمون</a></li>
                            @endif
                            <li class="breadcrumb-item active">{{ $pageInfo['title'] }}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{ $pageInfo['title'] }}</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
<!-- Page-Title -->

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body border-bottom  met-pro-bg">
                <div class="met-profile">
                    <div class="row">
                        <div class="col-lg-4 mb-3 mb-lg-0 align-self-center">
                            <div class="met-profile-main">
                                <div class="met-profile-main-pic">
                                    @if($teacher->hasMedia('avatar'))
                                        <img src="{{ $teacher->getFirstMedia('avatar')->getUrl() }}" alt="" class="rounded-circle" style="max-width: 128px;max-height: 128px;">
                                    @else
                                        <img src="{{ asset('assets/images/users/user-4.jpg') }}" alt="" class="rounded-circle">
                                    @endif
                                    {{-- <span class="fro-profile_main-pic-change">
                                        <i class="fas fa-camera"></i>
                                    </span> --}}
                                </div>
                                <div class="met-profile_user-detail">
                                    <h5 class="met-user-name">{{ $teacher->name }}</h5>
                                    <p class="mb-0 met-user-name-post">{{ $teacher->subject->title }}</p>
                                </div>
                            </div>
                        </div><!--end col-->
                        <div class="col-lg-4 ml-auto">
                            <ul class="list-unstyled personal-detail">
                                <li class=""><i class="dripicons-phone mr-2 text-info font-18"></i><b> الهاتف </b> : {{ $teacher->phone }} </li>
                                <li class="mt-2"><i class="dripicons-mail text-info font-18 mt-2 mr-2"></i><b> البريد الالكتروني </b> : {{ $teacher->email }} </li>
                              {{--   <li class="mt-2"><i class="dripicons-location text-info font-18 mt-2 mr-2"></i><b>العنوان</b> </li> --}}
                            </ul>
                            {{-- <div class="button-list btn-social-icon">
                                <button type="button" class="btn btn-blue btn-round">
                                    <i class="fab fa-facebook-f"></i>
                                </button>

                                <button type="button" class="btn btn-secondary btn-round ml-2">
                                    <i class="fab fa-twitter"></i>
                                </button>

                                <button type="button" class="btn btn-pink btn-round  ml-2">
                                    <i class="fab fa-dribbble"></i>
                                </button>
                            </div> --}}
                        </div><!--end col-->
                    </div><!--end row-->
                </div><!--end f_profile-->
            </div><!--end card-body-->
            <div class="card-body">
                <ul class="nav nav-pills mb-0" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="payments_tab" data-toggle="pill" href="#payments">الدفعات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="teacher_cards_tab" data-toggle="pill" href="#teacher_cards">البطاقات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="courses_tab" data-toggle="pill" href="#courses">الدورات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="subscriptions_tab" data-toggle="pill" href="#subscriptions">الاشتراكات</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link " id="general_detail_tab" data-toggle="pill" href="#general_detail">معلومات شخصية</a>
                    </li>
                    {{-- <li class="nav-item">
                        <a class="nav-link" id="education_detail_tab" data-toggle="pill" href="#education_detail">Education</a>
                    </li> --}}
                </ul>
            </div><!--end card-body-->
        </div><!--end card-->
    </div><!--end col-->
</div><!--end row-->
<div class="row">
    <div class="col-12">
        <div class="tab-content detail-list" id="pills-tabContent">
            <div class="tab-pane fade" id="general_detail">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="name">الاسم</label>
                                                <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="" value="{{ $teacher->name }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="email">البريد الالكتروني</label>
                                                <input type="email" class="form-control" id="email" name="email" required="" autocomplete="off"  value="{{ $teacher->email }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">رقم الهاتف</label>
                                                <input type="text" class="form-control" id="phone" name="phone" required="" value="{{ $teacher->phone }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">التخصص</label>
                                                <select class="form-control" name="specialization" disabled>
                                                    @foreach ($subjects as $subject)
                                                        <option value="{{ $subject->id }}"  @selected( $teacher->specialization == $subject->id)>{{ $subject->title }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 d-flex flex-column justify-content-center mx-3">
                                            <label class="form-label">مفعل</label>
                                            <div class="form-group">
                                                <div class="custom-control custom-switch">
                                                    <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" checked disabled>
                                                    <label class="custom-control-label" for="status">مفعل</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->
            <div class="tab-pane fade" id="teacher_cards">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="dripicons-user-id text-warning"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-1 text-muted">عدد البطاقات</p>
                                                            <h4 class="mt-0 mb-1">{{ $cards->count() }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->
                                </div><!--end row-->
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>الفئة</th>
                                                                <th>المعلم</th>
                                                                <th>السعر</th>
                                                                <th>السعر لنقطة البيع</th>
                                                                <th>نسبة المعلم</th>
                                                                <th>عدد الاشتراكات</th>
                                                                <th>حالة البطاقة</th>
                                                                <th>تاريخ</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                                @forelse($cards as $cardIndex => $card)
                                                                    <tr id="tr_{{$card->id}}">
                                                                        <td>{{ ++$cardIndex }}</td>
                                                                        <td>{{ $card->category->name }}</td>
                                                                        @if ($card->teacher)
                                                                            <td><a href="{{ route('teachers.show', $card->teacher->id) }}">{{ $card->teacher->name }}</a></td>
                                                                        @else
                                                                            <td></td>
                                                                        @endif
                                                                        <td>{{ number_format($card->category->price, 0, ',', ',') }}</td>
                                                                        <td>{{ number_format($card->category->price_point_sale, 0, ',', ',') }}</td>

                                                                        @if ($card->category->type == 'amount')
                                                                            <td>{{number_format($card->category->teacher_amount, 0, ',', ',')}}</td>
                                                                        @else
                                                                            <td>{{number_format($card->category->teacher_percentage, 0, ',', ',')}}%</td>
                                                                        @endif

                                                                        <td>{{ $card->subscriptions_sum_number_of_cards }}</td>
                                                                        <td id="status_{{$card->id}}">
                                                                            @if($card->status=='active')
                                                                                <div class="tb-tnx-status" >
                                                                                    <span class="badge badge-dot bg-success text-white" style="text-transform: capitalize">مفعل</span>
                                                                                </div>
                                                                            @else
                                                                                <div class="tb-tnx-status">
                                                                                    <span class="badge badge-dot bg-danger text-white" style="text-transform: capitalize">غير مفعل</span>
                                                                                </div>
                                                                            @endif
                                                                        </td>
                                                                        <td>{{ $card->created_at }}</td>

                                                                    </tr>
                                                                @empty
                                                                    <tr class="noData">
                                                                        <td colspan="9" >
                                                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد بطاقات حتى الآن</div></div>
                                                                        </td>
                                                                    </tr>
                                                                @endforelse
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->
            <div class="tab-pane fade" id="courses">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="dripicons-user-id text-warning"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-1 text-muted">عدد الدورات</p>
                                                            <h4 class="mt-0 mb-1">{{ $cards->count() }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->

                                    </div><!--end row-->
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered">
                                                        <thead>
                                                        <tr>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>الدورة</th>
                                                                <th>المعلم</th>
                                                                <th>السعر</th>
                                                                <th>التاريخ</th>
                                                            </tr>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                            @forelse($courses as $index => $course)
                                                                <tr id="tr_{{$course->id}}">
                                                                    <td>{{ ++$index }}</td>
                                                                    <td>{{ $course->title }}</td>
                                                                    <td>{{ $course->teacher->name}}</td>
                                                                    <td>{{number_format($course->price, 0, ',', ',') }}</td>
                                                                    <td>{{$course->created_at}}</td>
                                                                </tr>
                                                            @empty
                                                                <tr class="noData">
                                                                    <td colspan="7" >
                                                                        <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد دورات حتى الآن</div></div>
                                                                    </td>
                                                                </tr>
                                                            @endforelse
                                                        </tbody>
                                                    </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->
            <div class="tab-pane fade" id="subscriptions">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-account-group text-warning"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-1 text-muted">عدد الاشتراكات</p>
                                                            <h4 class="mt-0 mb-1">{{ number_format($subscriptions_count, 0, ',', ',') }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->

                                    {{-- <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-folder-open text-purple"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <div class="ml-2">
                                                                <p class="mb-0 text-muted">رصيد المعلم</p>
                                                                <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($total_teacher_amount, 0, ',', ',') }}</h4>
                                                                <span class="badge badge-soft-success mt-1 shadow-none">الكلي</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->

                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-folder text-pink"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-0 text-muted">المسدد</p>
                                                            <h4 class="mt-0 mb-1 d-inline-block">{{ number_format(0, 0, ',', ',') }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                        <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col--> --}}
                                </div><!--end row-->
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered">
                                                        <thead>
                                                            <tr>
                                                                <tr>
                                                                    <th>#</th>
                                                                    <th>البطاقة</th>
                                                                    <th>عن طريق</th>
                                                                    <th>عدد البطاقات</th>
                                                                    <th>السعر</th>
                                                                    <th>المجموع</th>
                                                                    <th>نسبة المعلم</th>
                                                                    <th>حصة المعلم</th>
                                                                    <th>التاريخ</th>
                                                                </tr>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                                @forelse($subscriptions as $index => $subscription)
                                                                    <tr id="tr_{{$subscription->id}}">
                                                                        <td>{{ ++$index }}</td>
                                                                        <td>
                                                                            @foreach ($subscription->card->courses as $course )
                                                                            {{ $course->title }}
                                                                            @if(!$loop->last)
                                                                                -
                                                                            @endif
                                                                            @endforeach
                                                                        </td>
                                                                        <td>
                                                                            @if( $subscription->type == 'pos')
                                                                                {{ $subscription->pos->name }}
                                                                            @else
                                                                                إدارة الموقع
                                                                            @endif
                                                                        </td>
                                                                        <td>{{ number_format($subscription->number_of_cards, 0, ',', ',')  }}</td>
                                                                        <td>{{number_format($subscription->price, 0, ',', ',') }}</td>
                                                                        <td>{{number_format($subscription->total, 0, ',', ',') }}</td>
                                                                        @if ($subscription->card->category->type == 'amount')
                                                                            <td>{{$subscription->teacher_percentage}}</td>
                                                                        @else
                                                                            <td>{{$subscription->teacher_percentage}}%</td>
                                                                        @endif
                                                                        <td>{{number_format($subscription->teacher_amount, 0, ',', ',') }}</td>
                                                                        <td>{{$subscription->created_at}}</td>
                                                                    </tr>
                                                                @empty
                                                                    <tr class="noData">
                                                                        <td colspan="10" >
                                                                            <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد اشتراكات حتى الآن</div></div>
                                                                        </td>
                                                                    </tr>
                                                                @endforelse
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->
            <div class="tab-pane fade show active" id="payments">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-account-group text-warning"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-1 text-muted">أرباح المعلم</p>
                                                            <h4 class="mt-0 mb-1">{{ number_format($teacher->total_amount, 0, ',', ',') }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->

                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-folder-open text-purple"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <div class="ml-2">
                                                                <p class="mb-0 text-muted">الغير مسدد</p>
                                                                <h4 class="mt-0 mb-1 d-inline-block">{{ number_format($teacher->unpaid_amount, 0, ',', ',') }}</h4>
                                                                <span class="badge badge-soft-success mt-1 shadow-none">متبقي</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                    <div class="progress-bar bg-purple" role="progressbar" style="width: 39%;" aria-valuenow="39" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->

                                    <div class="col-lg-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-4 align-self-center">
                                                        <div class="icon-info">
                                                            <i class="mdi mdi-folder text-pink"></i>
                                                        </div>
                                                    </div>
                                                    <div class="col-8 align-self-center text-right">
                                                        <div class="ml-2">
                                                            <p class="mb-0 text-muted">المسدد</p>
                                                            <h4 class="mt-0 mb-1 d-inline-block">{{ number_format(($teacher->total_amount - $teacher->unpaid_amount), 0, ',', ',') }}</h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="progress mt-2" style="height:3px;">
                                                        <div class="progress-bar bg-pink" role="progressbar" style="width: 48%;" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100"></div>
                                                </div>
                                            </div><!--end card-body-->
                                        </div><!--end card-->
                                    </div><!--end col-->
                                </div><!--end row-->
                                    <div class="row">

                                         <div class="col-12">
                                            <div class="card">
                                                <div class="card-body ">
                                                    <div class="table-responsive">
                                                        <table class="table table-bordered mb-0 table-centered">
                                                            <thead>
                                                                <tr>
                                                                    <tr>
                                                                        <th>#</th>
                                                                        <th>المعلم</th>
                                                                        <th>رصيد المعلم الكلي</th>
                                                                        <th>المبلغ غير المدفوع قبل الدفعة</th>
                                                                        <th>قيمة الدفعة</th>
                                                                        <th>المبلغ المتبقي</th>
                                                                        <th>التاريخ</th>
                                                                    </tr>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @forelse($payments as $index => $payment)
                                                                        <tr id="tr_{{$payment->id}}">
                                                                            <td>{{ ++$index }}</td>
                                                                            <td><a href="{{ route('teachers.show', $payment->teacher->id) }}">{{ $payment->teacher->name }}</a></td>
                                                                            <td>{{ number_format($payment->total_teacher_amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($payment->unpaid_teacher_amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($payment->amount, 0, ',', ',') }}</td>
                                                                            <td>{{ number_format($payment->remaining_unpaid_amount, 0, ',', ',') }}</td>
                                                                            <td>{{$payment->created_at}}</td>
                                                                        </tr>
                                                                    @empty
                                                                        <tr class="noData">
                                                                            <td colspan="11" >
                                                                                <div class="norows"><div class="alert text-center alert-warning" role="alert">لايوجد دفعات </div></div>
                                                                            </td>
                                                                        </tr>
                                                                    @endforelse
                                                                </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->

            {{-- <div class="tab-pane fade" id="personal_detail">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="name">الاسم</label>
                                                <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="" value="{{ $teacher->name }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="email">البريد الالكتروني</label>
                                                <input type="email" class="form-control" id="email" name="email" required="" autocomplete="off"  value="{{ $teacher->email }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">رقم الهاتف</label>
                                                <input type="text" class="form-control" id="phone" name="phone" required="" value="{{ $teacher->phone }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">التخصص</label>
                                                <select class="form-control" name="specialization" disabled>
                                                    @foreach ($subjects as $subject)
                                                        <option value="{{ $subject->id }}"  @selected( $teacher->specialization == $subject->id)>{{ $subject->title }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 d-flex flex-column justify-content-center mx-3">
                                            <label class="form-label">مفعل</label>
                                            <div class="form-group">
                                                <div class="custom-control custom-switch">
                                                    <input type="checkbox" class="custom-control-input" name="status" id="status" value="active" checked disabled>
                                                    <label class="custom-control-label" for="status">مفعل</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end personal detail--> --}}
        </div><!--end tab-content-->

    </div><!--end col-->
</div><!--end row-->

@endsection
