<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>كتابك</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A premium admin dashboard template by Mannatthemes" name="description" />
        <meta content="Mannatthemes" name="author" />

        <!-- App favicon -->
        <link rel="shortcut icon" href="{{ asset('assets/images/favicon.ico') }}">

        <!-- App css -->
        <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/icons.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/metisMenu.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/style.css') }}" rel="stylesheet" type="text/css" />

    </head>

    <body class="account-body">

        <!-- Log In page -->
        <div class="row vh-100 ">
            <div class="col-12 align-self-center">
                <div class="auth-page">
                    <div class="card auth-card shadow-lg">
                        <div class="card-body">
                            <div class="px-3">
                                <div class="auth-logo-box">
                                    <a href="{{ asset('analytics/analytics-index.html') }}" class="logo logo-admin"><img src="{{ asset('assets/images/logo-sm.png') }}" height="55" alt="logo" class="auth-logo"></a>
                                </div><!--end auth-logo-box-->

                                <div class="text-center auth-logo-text">
                                    <h4 class="mt-0 mb-3 mt-5">تسجيل دخول</h4>
                                </div> <!--end auth-logo-text-->

                                <form method="POST" action="{{ route('login') }}" class="form-horizontal auth-form my-4">
                                    @csrf

                                    @if (session('error'))
                                        <div class="alert alert-danger">
                                            <ul>
                                                <li>{{ session('error') }}</li>
                                            </ul>
                                        </div>
                                    @endif

                                    <div class="form-group">
                                        <label for="email">البريد الالكتروني</label>
                                        <div class="input-group mb-3">
                                            <span class="auth-form-icon">
                                                <i class="dripicons-user"></i>
                                            </span>
                                            <input type="text" name="email" class="form-control @if($errors->has('email')) is-invalid @endif" id="email" placeholder="ادخل بريدك الالكتروني">
                                            @error('email')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>

                                    </div><!--end form-group-->

                                    <div class="form-group">
                                        <label for="userpassword">كلمة المرور</label>
                                        <div class="input-group mb-3">
                                            <span class="auth-form-icon">
                                                <i class="dripicons-lock"></i>
                                            </span>
                                            <input type="password" name="password" class="form-control @if($errors->has('password')) is-invalid @endif" id="userpassword" placeholder="ادخل كلمة المرور">
                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div><!--end form-group-->
                                    <div class="form-group">
                                        <label for="email">النوع</label>
                                        <div class="d-flex justify-content-around">
                                            <div class="radio radio-primary">
                                                <input type="radio" name="type" id="admin" value="admin" checked>
                                                <label for="admin">
                                                    ادارة
                                                </label>
                                            </div>
                                            <div class="radio radio-primary">
                                                <input type="radio" name="type" id="teacher" value="teacher">
                                                <label for="teacher">
                                                    معلم
                                                </label>
                                            </div>
                                            <div class="radio radio-primary">
                                                <input type="radio" name="type" id="partner" value="partner">
                                                <label for="partner">
                                                    شريك
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                   {{--  <div class="form-group row mt-4">
                                        <div class="col-sm-6">
                                            <div class="custom-control custom-switch switch-success">
                                                <input type="checkbox" class="custom-control-input" id="customSwitchSuccess">
                                                <label class="custom-control-label text-muted" for="customSwitchSuccess">تذكرني</label>
                                            </div>
                                        </div><!--end col-->
                                        <div class="col-sm-6 text-right">
                                            <a href="auth-recover-pw.html" class="text-muted font-13"><i class="dripicons-lock"></i> نسيت كلمة السر؟</a>
                                        </div><!--end col-->
                                    </div><!--end form-group--> --}}

                                    <div class="form-group mb-0 row">
                                        <div class="col-12 mt-2">
                                            <button class="btn btn-primary btn-round btn-block waves-effect waves-light" type="submit">تسجيل الدخول <i class="fas fa-sign-in-alt ml-1"></i></button>
                                        </div><!--end col-->
                                    </div> <!--end form-group-->
                                </form><!--end form-->
                            </div><!--end /div-->
                        </div><!--end card-body-->
                    </div><!--end card-->
                </div><!--end auth-page-->
            </div><!--end col-->
        </div><!--end row-->
        <!-- End Log In page -->


        <!-- jQuery  -->
        <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
        <script src="{{ asset('assets/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('assets/js/metisMenu.min.js') }}"></script>
        <script src="{{ asset('assets/js/waves.min.js') }}"></script>
        <script src="{{ asset('assets/js/jquery.slimscroll.min.js') }}"></script>

        <!-- App js -->
        <script src="{{ asset('assets/js/app.js') }}"></script>

    </body>
</html>
