@extends('admin.layout.master')
@section('content')
        <!-- Page-Title -->
        <div class="row">
            <div class="col-sm-12">
                <div class="page-title-box">
                    <div class="float-right">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">الرئيسية</a></li>
                            <li class="breadcrumb-item active">بروفايلي</li>
                        </ol>
                    </div>
                    <h4 class="page-title">بروفايلي</h4>
                </div><!--end page-title-box-->
            </div><!--end col-->
        </div>
        <!-- end page title end breadcrumb -->
<!-- Page-Title -->

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body border-bottom  met-pro-bg">
                <div class="met-profile">
                    <div class="row">
                        <div class="col-lg-4 mb-3 mb-lg-0 align-self-center">
                            <div class="met-profile-main">
                                <div class="met-profile-main-pic">
                                    @if($user->hasMedia('avatar'))
                                        <img src="{{ $user->getFirstMedia('avatar')->getUrl() }}" alt="" class="rounded-circle" style="max-width: 128px;max-height: 128px;">
                                    @else
                                        <img src="{{ asset('assets/images/users/user-4.jpg') }}" alt="" class="rounded-circle">
                                    @endif
                                </div>
                                <div class="met-profile_user-detail">
                                    <h5 class="met-user-name">{{ $user->name }}</h5>
                                </div>
                            </div>
                        </div><!--end col-->
                        <div class="col-lg-4 ml-auto">
                            <ul class="list-unstyled personal-detail">
                                <li class=""><i class="dripicons-phone mr-2 text-info font-18"></i><b> الهاتف </b> : {{ $user->phone }} </li>
                                <li class="mt-2"><i class="dripicons-mail text-info font-18 mt-2 mr-2"></i><b> البريد الالكتروني </b> : {{ $user->email }} </li>
                            </ul>

                        </div><!--end col-->

                    </div><!--end row-->
                </div><!--end f_profile-->
            </div><!--end card-body-->
            <div class="card-body">
                <ul class="nav nav-pills mb-0" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link " id="general_detail_tab" data-toggle="pill" href="#general_detail">معلومات شخصية</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" id="updatePassword_tab" data-toggle="pill" href="#updatePassword">تحديث كلمة السر</a>
                    </li>
                </ul>
            </div><!--end card-body-->
        </div><!--end card-->
    </div><!--end col-->
</div><!--end row-->
<div class="row">
    <div class="col-12">
        <div class="tab-content detail-list" id="pills-tabContent">
            <div class="tab-pane fade" id="general_detail">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="{{route('profile.image.update',$user->id)}}" id="updateForm" enctype="multipart/form-data" class="needs-validation" novalidate role="form" method="POST">
                                    @csrf
                                    <input type="hidden" name="id" value="{{ $user->id }}">
                                    <div class="row">
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="name">الاسم</label>
                                                <input type="text" class="form-control @if($errors->has('name')) is-invalid @endif" id="name" name="name" required="" value="{{ $user->name }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="email">البريد الالكتروني</label>
                                                <input type="email" class="form-control" id="email" name="email" required="" autocomplete="off"  value="{{ $user->email }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="phone">رقم الهاتف</label>
                                                <input type="text" class="form-control" id="phone" name="phone" required="" value="{{ $user->phone }}" disabled>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <div class="form-group">
                                                <label for="avatar">الصورة الشخصية</label>
                                                @if($user->hasMedia('avatar'))
                                                    <input type="file" name="avatar" id="input-file-now-custom-1" class="dropify" data-default-file="{{ $user->getFirstMedia('avatar')->getUrl() }}"/>
                                                @else
                                                    <input type="file" name="avatar" id="input-file-now-custom-1" class="dropify" data-default-file=""/>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                        </div>
                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                            <button type="submit" class="btn btn-primary">تحديث الصورة الشخصية</button>
                                        </div>
                                    </form>
                                    </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->

            <div class="tab-pane fade show active" id="updatePassword">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="card">
                                            <div class="card-body">
                                                <form method="post" action="{{ route('password.update') }}" class="mt-6 space-y-6">
                                                    @csrf
                                                    @method('put')
                                                    <div class="row mt-3">
                                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                                            <x-input-label for="update_password_current_password" :value="__('كلمة السر الحالية')" />
                                                            <x-text-input id="update_password_current_password" name="current_password" type="password" class="form-control" autocomplete="current-password" />
                                                            <x-input-error :messages="$errors->updatePassword->get('current_password')" class="mt-2" />
                                                        </div>
                                                    </div>
                                                    <div class="row mt-3">
                                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                                            <x-input-label for="update_password_password" :value="__('كلمة السر الجديدة')" />
                                                            <x-text-input id="update_password_password" name="password" type="password" class="form-control" autocomplete="new-password" />
                                                            <x-input-error :messages="$errors->updatePassword->get('password')" class="mt-2" />
                                                        </div>
                                                    </div>
                                                    <div class="row mt-3">
                                                        <div class="col-sm-12 col-md-6 d-flex flex-column justify-content-center">
                                                            <x-input-label for="update_password_password_confirmation" :value="__('تأكيد كلمة السر')" />
                                                            <x-text-input id="update_password_password_confirmation" name="password_confirmation" type="password" class="form-control" autocomplete="new-password" />
                                                            <x-input-error :messages="$errors->updatePassword->get('password_confirmation')" class="mt-2" />
                                                        </div>
                                                    </div>
                                                        <div class="flex items-center gap-4 mt-3">
                                                            <x-primary-button  class="btn btn-success">{{ __('Save') }}</x-primary-button>

                                                            @if (session('status') === 'password-updated')
                                                                <p
                                                                    x-data="{ show: true }"
                                                                    x-show="show"
                                                                    x-transition
                                                                    x-init="setTimeout(() => show = false, 2000)"
                                                                    class="text-sm text-gray-600"
                                                                >{{ __('Saved.') }}</p>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div> <!-- end col -->
                                </div>
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div><!--end general detail-->

        </div><!--end tab-content-->

    </div><!--end col-->
</div><!--end row-->

@endsection
